# ArticleComplete

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**citation** | **string** | Article citation | [optional] 
**confidential_reason** | **string** | Confidentiality reason | [optional] 
**is_confidential** | **bool** | Article Confidentiality | [optional] 
**size** | **int** | Article size | [optional] 
**funding** | **string** | Article funding | [optional] 
**funding_list** | [**\Swagger\Client\Model\FundingInformation[]**](FundingInformation.md) | Full Article funding information | [optional] 
**tags** | **string[]** | List of article tags | [optional] 
**version** | **int** | Article version | [optional] 
**is_active** | **bool** | True if article is active | [optional] 
**is_metadata_record** | **bool** | True if article has no files | [optional] 
**metadata_reason** | **string** | Article metadata reason | [optional] 
**status** | **string** | Article status | [optional] 
**description** | **string** | Article description | [optional] 
**is_embargoed** | **bool** | True if article is embargoed | [optional] 
**is_public** | **bool** | True if article is published | [optional] 
**created_date** | **string** | Date when article was created | [optional] 
**has_linked_file** | **bool** | True if any files are linked to the article | [optional] 
**categories** | [**\Swagger\Client\Model\Category[]**](Category.md) | List of categories selected for the article | [optional] 
**license** | [**\Swagger\Client\Model\License**](License.md) | Article selected license | [optional] 
**embargo_title** | **string** | Title for embargo | [optional] 
**embargo_reason** | **string** | Reason for embargo | [optional] 
**references** | **string[]** | List of references | [optional] 
**related_materials** | [**\Swagger\Client\Model\RelatedMaterial[]**](RelatedMaterial.md) | List of related materials; supersedes references and resource DOI/title. | [optional] 
**id** | **int** | Unique identifier for article | 
**title** | **string** | Title of article | 
**doi** | **string** | DOI | 
**handle** | **string** | Handle | 
**url** | **string** | Api endpoint for article | 
**url_public_html** | **string** | Public site endpoint for article | 
**url_public_api** | **string** | Public Api endpoint for article | 
**url_private_html** | **string** | Private site endpoint for article | 
**url_private_api** | **string** | Private Api endpoint for article | 
**timeline** | [**\Swagger\Client\Model\Timeline**](Timeline.md) | Various timeline dates | 
**thumb** | **string** | Thumbnail image | 
**defined_type** | **int** | Type of article identifier | 
**defined_type_name** | **string** | Name of the article type identifier | 
**figshare_url** | **string** | Article public url | 
**download_disabled** | **bool** | If true, downloading of files for this article is disabled | 
**files** | [**\Swagger\Client\Model\PublicFile[]**](PublicFile.md) | List of article files | 
**authors** | [**\Swagger\Client\Model\Author[]**](Author.md) | List of article authors | 
**custom_fields** | [**\Swagger\Client\Model\CustomArticleField[]**](CustomArticleField.md) | List of custom fields values | 
**embargo_options** | [**\Swagger\Client\Model\GroupEmbargoOptions[]**](GroupEmbargoOptions.md) | List of embargo options | 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)


