<?php
/**
 * ArticleEmbargoUpdater
 *
 * PHP version 5
 *
 * @category Class
 * @package  Swagger\Client
 * @author   Swagger Codegen team
 * @link     https://github.com/swagger-api/swagger-codegen
 */

/**
 * Figshare API
 *
 * Figshare apiv2. Using Swagger 2.0
 *
 * OpenAPI spec version: 2.0.0
 * 
 * Generated by: https://github.com/swagger-api/swagger-codegen.git
 * Swagger Codegen version: 2.4.32
 */

/**
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen
 * Do not edit the class manually.
 */

namespace Swagger\Client\Model;

use \ArrayAccess;
use \Swagger\Client\ObjectSerializer;

/**
 * ArticleEmbargoUpdater Class Doc Comment
 *
 * @category Class
 * @package  Swagger\Client
 * @author   Swagger Codegen team
 * @link     https://github.com/swagger-api/swagger-codegen
 */
class ArticleEmbargoUpdater implements ModelInterface, ArrayAccess
{
    const DISCRIMINATOR = null;

    /**
      * The original name of the model.
      *
      * @var string
      */
    protected static $swaggerModelName = 'ArticleEmbargoUpdater';

    /**
      * Array of property to type mappings. Used for (de)serialization
      *
      * @var string[]
      */
    protected static $swaggerTypes = [
        'is_embargoed' => 'bool',
        'embargo_date' => 'string',
        'embargo_type' => 'string',
        'embargo_title' => 'string',
        'embargo_reason' => 'string',
        'embargo_options' => 'object[]'
    ];

    /**
      * Array of property to format mappings. Used for (de)serialization
      *
      * @var string[]
      */
    protected static $swaggerFormats = [
        'is_embargoed' => null,
        'embargo_date' => null,
        'embargo_type' => null,
        'embargo_title' => null,
        'embargo_reason' => null,
        'embargo_options' => null
    ];

    /**
     * Array of property to type mappings. Used for (de)serialization
     *
     * @return array
     */
    public static function swaggerTypes()
    {
        return self::$swaggerTypes;
    }

    /**
     * Array of property to format mappings. Used for (de)serialization
     *
     * @return array
     */
    public static function swaggerFormats()
    {
        return self::$swaggerFormats;
    }

    /**
     * Array of attributes where the key is the local name,
     * and the value is the original name
     *
     * @var string[]
     */
    protected static $attributeMap = [
        'is_embargoed' => 'is_embargoed',
        'embargo_date' => 'embargo_date',
        'embargo_type' => 'embargo_type',
        'embargo_title' => 'embargo_title',
        'embargo_reason' => 'embargo_reason',
        'embargo_options' => 'embargo_options'
    ];

    /**
     * Array of attributes to setter functions (for deserialization of responses)
     *
     * @var string[]
     */
    protected static $setters = [
        'is_embargoed' => 'setIsEmbargoed',
        'embargo_date' => 'setEmbargoDate',
        'embargo_type' => 'setEmbargoType',
        'embargo_title' => 'setEmbargoTitle',
        'embargo_reason' => 'setEmbargoReason',
        'embargo_options' => 'setEmbargoOptions'
    ];

    /**
     * Array of attributes to getter functions (for serialization of requests)
     *
     * @var string[]
     */
    protected static $getters = [
        'is_embargoed' => 'getIsEmbargoed',
        'embargo_date' => 'getEmbargoDate',
        'embargo_type' => 'getEmbargoType',
        'embargo_title' => 'getEmbargoTitle',
        'embargo_reason' => 'getEmbargoReason',
        'embargo_options' => 'getEmbargoOptions'
    ];

    /**
     * Array of attributes where the key is the local name,
     * and the value is the original name
     *
     * @return array
     */
    public static function attributeMap()
    {
        return self::$attributeMap;
    }

    /**
     * Array of attributes to setter functions (for deserialization of responses)
     *
     * @return array
     */
    public static function setters()
    {
        return self::$setters;
    }

    /**
     * Array of attributes to getter functions (for serialization of requests)
     *
     * @return array
     */
    public static function getters()
    {
        return self::$getters;
    }

    /**
     * The original name of the model.
     *
     * @return string
     */
    public function getModelName()
    {
        return self::$swaggerModelName;
    }

    const EMBARGO_TYPE_ARTICLE = 'article';
    const EMBARGO_TYPE_FILE = 'file';
    

    
    /**
     * Gets allowable values of the enum
     *
     * @return string[]
     */
    public function getEmbargoTypeAllowableValues()
    {
        return [
            self::EMBARGO_TYPE_ARTICLE,
            self::EMBARGO_TYPE_FILE,
        ];
    }
    

    /**
     * Associative array for storing property values
     *
     * @var mixed[]
     */
    protected $container = [];

    /**
     * Constructor
     *
     * @param mixed[] $data Associated array of property values
     *                      initializing the model
     */
    public function __construct(array $data = null)
    {
        $this->container['is_embargoed'] = isset($data['is_embargoed']) ? $data['is_embargoed'] : null;
        $this->container['embargo_date'] = isset($data['embargo_date']) ? $data['embargo_date'] : null;
        $this->container['embargo_type'] = isset($data['embargo_type']) ? $data['embargo_type'] : null;
        $this->container['embargo_title'] = isset($data['embargo_title']) ? $data['embargo_title'] : null;
        $this->container['embargo_reason'] = isset($data['embargo_reason']) ? $data['embargo_reason'] : null;
        $this->container['embargo_options'] = isset($data['embargo_options']) ? $data['embargo_options'] : null;
    }

    /**
     * Show all the invalid properties with reasons.
     *
     * @return array invalid properties with reasons
     */
    public function listInvalidProperties()
    {
        $invalidProperties = [];

        if ($this->container['is_embargoed'] === null) {
            $invalidProperties[] = "'is_embargoed' can't be null";
        }
        if ($this->container['embargo_date'] === null) {
            $invalidProperties[] = "'embargo_date' can't be null";
        }
        if ($this->container['embargo_type'] === null) {
            $invalidProperties[] = "'embargo_type' can't be null";
        }
        $allowedValues = $this->getEmbargoTypeAllowableValues();
        if (!is_null($this->container['embargo_type']) && !in_array($this->container['embargo_type'], $allowedValues, true)) {
            $invalidProperties[] = sprintf(
                "invalid value for 'embargo_type', must be one of '%s'",
                implode("', '", $allowedValues)
            );
        }

        return $invalidProperties;
    }

    /**
     * Validate all the properties in the model
     * return true if all passed
     *
     * @return bool True if all properties are valid
     */
    public function valid()
    {
        return count($this->listInvalidProperties()) === 0;
    }


    /**
     * Gets is_embargoed
     *
     * @return bool
     */
    public function getIsEmbargoed()
    {
        return $this->container['is_embargoed'];
    }

    /**
     * Sets is_embargoed
     *
     * @param bool $is_embargoed Embargo status
     *
     * @return $this
     */
    public function setIsEmbargoed($is_embargoed)
    {
        $this->container['is_embargoed'] = $is_embargoed;

        return $this;
    }

    /**
     * Gets embargo_date
     *
     * @return string
     */
    public function getEmbargoDate()
    {
        return $this->container['embargo_date'];
    }

    /**
     * Sets embargo_date
     *
     * @param string $embargo_date Date when the embargo expires and the article gets published, '0' value will set up permanent embargo
     *
     * @return $this
     */
    public function setEmbargoDate($embargo_date)
    {
        $this->container['embargo_date'] = $embargo_date;

        return $this;
    }

    /**
     * Gets embargo_type
     *
     * @return string
     */
    public function getEmbargoType()
    {
        return $this->container['embargo_type'];
    }

    /**
     * Sets embargo_type
     *
     * @param string $embargo_type Embargo can be enabled at the article or the file level. Possible values: article, file
     *
     * @return $this
     */
    public function setEmbargoType($embargo_type)
    {
        $allowedValues = $this->getEmbargoTypeAllowableValues();
        if (!in_array($embargo_type, $allowedValues, true)) {
            throw new \InvalidArgumentException(
                sprintf(
                    "Invalid value for 'embargo_type', must be one of '%s'",
                    implode("', '", $allowedValues)
                )
            );
        }
        $this->container['embargo_type'] = $embargo_type;

        return $this;
    }

    /**
     * Gets embargo_title
     *
     * @return string
     */
    public function getEmbargoTitle()
    {
        return $this->container['embargo_title'];
    }

    /**
     * Sets embargo_title
     *
     * @param string $embargo_title Title for embargo
     *
     * @return $this
     */
    public function setEmbargoTitle($embargo_title)
    {
        $this->container['embargo_title'] = $embargo_title;

        return $this;
    }

    /**
     * Gets embargo_reason
     *
     * @return string
     */
    public function getEmbargoReason()
    {
        return $this->container['embargo_reason'];
    }

    /**
     * Sets embargo_reason
     *
     * @param string $embargo_reason Reason for setting embargo
     *
     * @return $this
     */
    public function setEmbargoReason($embargo_reason)
    {
        $this->container['embargo_reason'] = $embargo_reason;

        return $this;
    }

    /**
     * Gets embargo_options
     *
     * @return object[]
     */
    public function getEmbargoOptions()
    {
        return $this->container['embargo_options'];
    }

    /**
     * Sets embargo_options
     *
     * @param object[] $embargo_options List of embargo permissions to be associated with the article. The list must contain `id` and can also contain `group_ids`(a field that only applies to 'logged_in' permissions). The new list replaces old options in the database, and an empty list removes all permissions for this article. Administration permission has to be set up alone but logged in and IP range permissions can be set up together.
     *
     * @return $this
     */
    public function setEmbargoOptions($embargo_options)
    {
        $this->container['embargo_options'] = $embargo_options;

        return $this;
    }
    /**
     * Returns true if offset exists. False otherwise.
     *
     * @param integer $offset Offset
     *
     * @return boolean
     */
    #[\ReturnTypeWillChange]
    public function offsetExists($offset)
    {
        return isset($this->container[$offset]);
    }

    /**
     * Gets offset.
     *
     * @param integer $offset Offset
     *
     * @return mixed
     */
    #[\ReturnTypeWillChange]
    public function offsetGet($offset)
    {
        return isset($this->container[$offset]) ? $this->container[$offset] : null;
    }

    /**
     * Sets value based on offset.
     *
     * @param integer $offset Offset
     * @param mixed   $value  Value to be set
     *
     * @return void
     */
    #[\ReturnTypeWillChange]
    public function offsetSet($offset, $value)
    {
        if (is_null($offset)) {
            $this->container[] = $value;
        } else {
            $this->container[$offset] = $value;
        }
    }

    /**
     * Unsets offset.
     *
     * @param integer $offset Offset
     *
     * @return void
     */
    #[\ReturnTypeWillChange]
    public function offsetUnset($offset)
    {
        unset($this->container[$offset]);
    }

    /**
     * Gets the string presentation of the object
     *
     * @return string
     */
    public function __toString()
    {
        if (defined('JSON_PRETTY_PRINT')) { // use JSON pretty print
            return json_encode(
                ObjectSerializer::sanitizeForSerialization($this),
                JSON_PRETTY_PRINT
            );
        }

        return json_encode(ObjectSerializer::sanitizeForSerialization($this));
    }
}


