<?php
/**
 * ProjectsSearch
 *
 * PHP version 5
 *
 * @category Class
 * @package  Swagger\Client
 * @author   Swagger Codegen team
 * @link     https://github.com/swagger-api/swagger-codegen
 */

/**
 * Figshare API
 *
 * Figshare apiv2. Using Swagger 2.0
 *
 * OpenAPI spec version: 2.0.0
 * 
 * Generated by: https://github.com/swagger-api/swagger-codegen.git
 * Swagger Codegen version: 2.4.32
 */

/**
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen
 * Do not edit the class manually.
 */

namespace Swagger\Client\Model;
use \Swagger\Client\ObjectSerializer;

/**
 * ProjectsSearch Class Doc Comment
 *
 * @category Class
 * @package  Swagger\Client
 * @author   Swagger Codegen team
 * @link     https://github.com/swagger-api/swagger-codegen
 */
class ProjectsSearch extends CommonSearch 
{
    const DISCRIMINATOR = null;

    /**
      * The original name of the model.
      *
      * @var string
      */
    protected static $swaggerModelName = 'ProjectsSearch';

    /**
      * Array of property to type mappings. Used for (de)serialization
      *
      * @var string[]
      */
    protected static $swaggerTypes = [
        'search_for' => 'string',
        'page' => 'int',
        'page_size' => 'int',
        'limit' => 'int',
        'offset' => 'int',
        'order_direction' => 'string',
        'institution' => 'int',
        'published_since' => 'string',
        'modified_since' => 'string',
        'group' => 'int',
        'order' => 'string'
    ];

    /**
      * Array of property to format mappings. Used for (de)serialization
      *
      * @var string[]
      */
    protected static $swaggerFormats = [
        'search_for' => null,
        'page' => 'int64',
        'page_size' => 'int64',
        'limit' => 'int64',
        'offset' => 'int64',
        'order_direction' => null,
        'institution' => 'int32',
        'published_since' => null,
        'modified_since' => null,
        'group' => 'int32',
        'order' => null
    ];

    /**
     * Array of property to type mappings. Used for (de)serialization
     *
     * @return array
     */
    public static function swaggerTypes()
    {
        return self::$swaggerTypes + parent::swaggerTypes();
    }

    /**
     * Array of property to format mappings. Used for (de)serialization
     *
     * @return array
     */
    public static function swaggerFormats()
    {
        return self::$swaggerFormats + parent::swaggerFormats();
    }

    /**
     * Array of attributes where the key is the local name,
     * and the value is the original name
     *
     * @var string[]
     */
    protected static $attributeMap = [
        'search_for' => 'search_for',
        'page' => 'page',
        'page_size' => 'page_size',
        'limit' => 'limit',
        'offset' => 'offset',
        'order_direction' => 'order_direction',
        'institution' => 'institution',
        'published_since' => 'published_since',
        'modified_since' => 'modified_since',
        'group' => 'group',
        'order' => 'order'
    ];

    /**
     * Array of attributes to setter functions (for deserialization of responses)
     *
     * @var string[]
     */
    protected static $setters = [
        'search_for' => 'setSearchFor',
        'page' => 'setPage',
        'page_size' => 'setPageSize',
        'limit' => 'setLimit',
        'offset' => 'setOffset',
        'order_direction' => 'setOrderDirection',
        'institution' => 'setInstitution',
        'published_since' => 'setPublishedSince',
        'modified_since' => 'setModifiedSince',
        'group' => 'setGroup',
        'order' => 'setOrder'
    ];

    /**
     * Array of attributes to getter functions (for serialization of requests)
     *
     * @var string[]
     */
    protected static $getters = [
        'search_for' => 'getSearchFor',
        'page' => 'getPage',
        'page_size' => 'getPageSize',
        'limit' => 'getLimit',
        'offset' => 'getOffset',
        'order_direction' => 'getOrderDirection',
        'institution' => 'getInstitution',
        'published_since' => 'getPublishedSince',
        'modified_since' => 'getModifiedSince',
        'group' => 'getGroup',
        'order' => 'getOrder'
    ];

    /**
     * Array of attributes where the key is the local name,
     * and the value is the original name
     *
     * @return array
     */
    public static function attributeMap()
    {
        return parent::attributeMap() + self::$attributeMap;
    }

    /**
     * Array of attributes to setter functions (for deserialization of responses)
     *
     * @return array
     */
    public static function setters()
    {
        return parent::setters() + self::$setters;
    }

    /**
     * Array of attributes to getter functions (for serialization of requests)
     *
     * @return array
     */
    public static function getters()
    {
        return parent::getters() + self::$getters;
    }

    /**
     * The original name of the model.
     *
     * @return string
     */
    public function getModelName()
    {
        return self::$swaggerModelName;
    }

    const ORDER_DIRECTION_ASC = 'asc';
    const ORDER_DIRECTION_DESC = 'desc';
    const ORDER_PUBLISHED_DATE = 'published_date';
    const ORDER_MODIFIED_DATE = 'modified_date';
    const ORDER_VIEWS = 'views';
    

    
    /**
     * Gets allowable values of the enum
     *
     * @return string[]
     */
    public function getOrderDirectionAllowableValues()
    {
        return [
            self::ORDER_DIRECTION_ASC,
            self::ORDER_DIRECTION_DESC,
        ];
    }
    
    /**
     * Gets allowable values of the enum
     *
     * @return string[]
     */
    public function getOrderAllowableValues()
    {
        return [
            self::ORDER_PUBLISHED_DATE,
            self::ORDER_MODIFIED_DATE,
            self::ORDER_VIEWS,
        ];
    }
    


    /**
     * Constructor
     *
     * @param mixed[] $data Associated array of property values
     *                      initializing the model
     */
    public function __construct(array $data = null)
    {
        parent::__construct($data);

        $this->container['search_for'] = isset($data['search_for']) ? $data['search_for'] : null;
        $this->container['page'] = isset($data['page']) ? $data['page'] : null;
        $this->container['page_size'] = isset($data['page_size']) ? $data['page_size'] : 10;
        $this->container['limit'] = isset($data['limit']) ? $data['limit'] : null;
        $this->container['offset'] = isset($data['offset']) ? $data['offset'] : null;
        $this->container['order_direction'] = isset($data['order_direction']) ? $data['order_direction'] : 'desc';
        $this->container['institution'] = isset($data['institution']) ? $data['institution'] : null;
        $this->container['published_since'] = isset($data['published_since']) ? $data['published_since'] : null;
        $this->container['modified_since'] = isset($data['modified_since']) ? $data['modified_since'] : null;
        $this->container['group'] = isset($data['group']) ? $data['group'] : null;
        $this->container['order'] = isset($data['order']) ? $data['order'] : 'published_date';
    }

    /**
     * Show all the invalid properties with reasons.
     *
     * @return array invalid properties with reasons
     */
    public function listInvalidProperties()
    {
        $invalidProperties = parent::listInvalidProperties();

        if (!is_null($this->container['page']) && ($this->container['page'] > 5000)) {
            $invalidProperties[] = "invalid value for 'page', must be smaller than or equal to 5000.";
        }

        if (!is_null($this->container['page']) && ($this->container['page'] < 1)) {
            $invalidProperties[] = "invalid value for 'page', must be bigger than or equal to 1.";
        }

        if (!is_null($this->container['page_size']) && ($this->container['page_size'] > 1000)) {
            $invalidProperties[] = "invalid value for 'page_size', must be smaller than or equal to 1000.";
        }

        if (!is_null($this->container['page_size']) && ($this->container['page_size'] < 1)) {
            $invalidProperties[] = "invalid value for 'page_size', must be bigger than or equal to 1.";
        }

        if (!is_null($this->container['limit']) && ($this->container['limit'] > 1000)) {
            $invalidProperties[] = "invalid value for 'limit', must be smaller than or equal to 1000.";
        }

        if (!is_null($this->container['limit']) && ($this->container['limit'] < 1)) {
            $invalidProperties[] = "invalid value for 'limit', must be bigger than or equal to 1.";
        }

        if (!is_null($this->container['offset']) && ($this->container['offset'] > 5000)) {
            $invalidProperties[] = "invalid value for 'offset', must be smaller than or equal to 5000.";
        }

        if (!is_null($this->container['offset']) && ($this->container['offset'] < 0)) {
            $invalidProperties[] = "invalid value for 'offset', must be bigger than or equal to 0.";
        }

        $allowedValues = $this->getOrderDirectionAllowableValues();
        if (!is_null($this->container['order_direction']) && !in_array($this->container['order_direction'], $allowedValues, true)) {
            $invalidProperties[] = sprintf(
                "invalid value for 'order_direction', must be one of '%s'",
                implode("', '", $allowedValues)
            );
        }

        $allowedValues = $this->getOrderAllowableValues();
        if (!is_null($this->container['order']) && !in_array($this->container['order'], $allowedValues, true)) {
            $invalidProperties[] = sprintf(
                "invalid value for 'order', must be one of '%s'",
                implode("', '", $allowedValues)
            );
        }

        return $invalidProperties;
    }

    /**
     * Validate all the properties in the model
     * return true if all passed
     *
     * @return bool True if all properties are valid
     */
    public function valid()
    {
        return count($this->listInvalidProperties()) === 0;
    }


    /**
     * Gets search_for
     *
     * @return string
     */
    public function getSearchFor()
    {
        return $this->container['search_for'];
    }

    /**
     * Sets search_for
     *
     * @param string $search_for Search term
     *
     * @return $this
     */
    public function setSearchFor($search_for)
    {
        $this->container['search_for'] = $search_for;

        return $this;
    }

    /**
     * Gets page
     *
     * @return int
     */
    public function getPage()
    {
        return $this->container['page'];
    }

    /**
     * Sets page
     *
     * @param int $page Page number. Used for pagination with page_size
     *
     * @return $this
     */
    public function setPage($page)
    {

        if (!is_null($page) && ($page > 5000)) {
            throw new \InvalidArgumentException('invalid value for $page when calling ProjectsSearch., must be smaller than or equal to 5000.');
        }
        if (!is_null($page) && ($page < 1)) {
            throw new \InvalidArgumentException('invalid value for $page when calling ProjectsSearch., must be bigger than or equal to 1.');
        }

        $this->container['page'] = $page;

        return $this;
    }

    /**
     * Gets page_size
     *
     * @return int
     */
    public function getPageSize()
    {
        return $this->container['page_size'];
    }

    /**
     * Sets page_size
     *
     * @param int $page_size The number of results included on a page. Used for pagination with page
     *
     * @return $this
     */
    public function setPageSize($page_size)
    {

        if (!is_null($page_size) && ($page_size > 1000)) {
            throw new \InvalidArgumentException('invalid value for $page_size when calling ProjectsSearch., must be smaller than or equal to 1000.');
        }
        if (!is_null($page_size) && ($page_size < 1)) {
            throw new \InvalidArgumentException('invalid value for $page_size when calling ProjectsSearch., must be bigger than or equal to 1.');
        }

        $this->container['page_size'] = $page_size;

        return $this;
    }

    /**
     * Gets limit
     *
     * @return int
     */
    public function getLimit()
    {
        return $this->container['limit'];
    }

    /**
     * Sets limit
     *
     * @param int $limit Number of results included on a page. Used for pagination with query
     *
     * @return $this
     */
    public function setLimit($limit)
    {

        if (!is_null($limit) && ($limit > 1000)) {
            throw new \InvalidArgumentException('invalid value for $limit when calling ProjectsSearch., must be smaller than or equal to 1000.');
        }
        if (!is_null($limit) && ($limit < 1)) {
            throw new \InvalidArgumentException('invalid value for $limit when calling ProjectsSearch., must be bigger than or equal to 1.');
        }

        $this->container['limit'] = $limit;

        return $this;
    }

    /**
     * Gets offset
     *
     * @return int
     */
    public function getOffset()
    {
        return $this->container['offset'];
    }

    /**
     * Sets offset
     *
     * @param int $offset Where to start the listing(the offset of the first result). Used for pagination with limit
     *
     * @return $this
     */
    public function setOffset($offset)
    {

        if (!is_null($offset) && ($offset > 5000)) {
            throw new \InvalidArgumentException('invalid value for $offset when calling ProjectsSearch., must be smaller than or equal to 5000.');
        }
        if (!is_null($offset) && ($offset < 0)) {
            throw new \InvalidArgumentException('invalid value for $offset when calling ProjectsSearch., must be bigger than or equal to 0.');
        }

        $this->container['offset'] = $offset;

        return $this;
    }

    /**
     * Gets order_direction
     *
     * @return string
     */
    public function getOrderDirection()
    {
        return $this->container['order_direction'];
    }

    /**
     * Sets order_direction
     *
     * @param string $order_direction Direction of ordering
     *
     * @return $this
     */
    public function setOrderDirection($order_direction)
    {
        $allowedValues = $this->getOrderDirectionAllowableValues();
        if (!is_null($order_direction) && !in_array($order_direction, $allowedValues, true)) {
            throw new \InvalidArgumentException(
                sprintf(
                    "Invalid value for 'order_direction', must be one of '%s'",
                    implode("', '", $allowedValues)
                )
            );
        }
        $this->container['order_direction'] = $order_direction;

        return $this;
    }

    /**
     * Gets institution
     *
     * @return int
     */
    public function getInstitution()
    {
        return $this->container['institution'];
    }

    /**
     * Sets institution
     *
     * @param int $institution only return collections from this institution
     *
     * @return $this
     */
    public function setInstitution($institution)
    {
        $this->container['institution'] = $institution;

        return $this;
    }

    /**
     * Gets published_since
     *
     * @return string
     */
    public function getPublishedSince()
    {
        return $this->container['published_since'];
    }

    /**
     * Sets published_since
     *
     * @param string $published_since Filter by article publishing date. Will only return articles published after the date. date(ISO 8601) YYYY-MM-DD
     *
     * @return $this
     */
    public function setPublishedSince($published_since)
    {
        $this->container['published_since'] = $published_since;

        return $this;
    }

    /**
     * Gets modified_since
     *
     * @return string
     */
    public function getModifiedSince()
    {
        return $this->container['modified_since'];
    }

    /**
     * Sets modified_since
     *
     * @param string $modified_since Filter by article modified date. Will only return articles published after the date. date(ISO 8601) YYYY-MM-DD
     *
     * @return $this
     */
    public function setModifiedSince($modified_since)
    {
        $this->container['modified_since'] = $modified_since;

        return $this;
    }

    /**
     * Gets group
     *
     * @return int
     */
    public function getGroup()
    {
        return $this->container['group'];
    }

    /**
     * Sets group
     *
     * @param int $group only return collections from this group
     *
     * @return $this
     */
    public function setGroup($group)
    {
        $this->container['group'] = $group;

        return $this;
    }

    /**
     * Gets order
     *
     * @return string
     */
    public function getOrder()
    {
        return $this->container['order'];
    }

    /**
     * Sets order
     *
     * @param string $order The field by which to order.
     *
     * @return $this
     */
    public function setOrder($order)
    {
        $allowedValues = $this->getOrderAllowableValues();
        if (!is_null($order) && !in_array($order, $allowedValues, true)) {
            throw new \InvalidArgumentException(
                sprintf(
                    "Invalid value for 'order', must be one of '%s'",
                    implode("', '", $allowedValues)
                )
            );
        }
        $this->container['order'] = $order;

        return $this;
    }
    /**
     * Returns true if offset exists. False otherwise.
     *
     * @param integer $offset Offset
     *
     * @return boolean
     */
    #[\ReturnTypeWillChange]
    public function offsetExists($offset)
    {
        return isset($this->container[$offset]);
    }

    /**
     * Gets offset.
     *
     * @param integer $offset Offset
     *
     * @return mixed
     */
    #[\ReturnTypeWillChange]
    public function offsetGet($offset)
    {
        return isset($this->container[$offset]) ? $this->container[$offset] : null;
    }

    /**
     * Sets value based on offset.
     *
     * @param integer $offset Offset
     * @param mixed   $value  Value to be set
     *
     * @return void
     */
    #[\ReturnTypeWillChange]
    public function offsetSet($offset, $value)
    {
        if (is_null($offset)) {
            $this->container[] = $value;
        } else {
            $this->container[$offset] = $value;
        }
    }

    /**
     * Unsets offset.
     *
     * @param integer $offset Offset
     *
     * @return void
     */
    #[\ReturnTypeWillChange]
    public function offsetUnset($offset)
    {
        unset($this->container[$offset]);
    }

    /**
     * Gets the string presentation of the object
     *
     * @return string
     */
    public function __toString()
    {
        if (defined('JSON_PRETTY_PRINT')) { // use JSON pretty print
            return json_encode(
                ObjectSerializer::sanitizeForSerialization($this),
                JSON_PRETTY_PRINT
            );
        }

        return json_encode(ObjectSerializer::sanitizeForSerialization($this));
    }
}


