<?php
/**
 * CollectionsApi
 * PHP version 5
 *
 * @category Class
 * @package  Swagger\Client
 * @author   Swagger Codegen team
 * @link     https://github.com/swagger-api/swagger-codegen
 */

/**
 * Figshare API
 *
 * Figshare apiv2. Using Swagger 2.0
 *
 * OpenAPI spec version: 2.0.0
 * 
 * Generated by: https://github.com/swagger-api/swagger-codegen.git
 * Swagger Codegen version: 2.4.32
 */

/**
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen
 * Do not edit the class manually.
 */

namespace Swagger\Client\Api;

use GuzzleHttp\Client;
use GuzzleHttp\ClientInterface;
use GuzzleHttp\Exception\RequestException;
use GuzzleHttp\Psr7\MultipartStream;
use GuzzleHttp\Psr7\Request;
use GuzzleHttp\RequestOptions;
use Swagger\Client\ApiException;
use Swagger\Client\Configuration;
use Swagger\Client\HeaderSelector;
use Swagger\Client\ObjectSerializer;

/**
 * CollectionsApi Class Doc Comment
 *
 * @category Class
 * @package  Swagger\Client
 * @author   Swagger Codegen team
 * @link     https://github.com/swagger-api/swagger-codegen
 */
class CollectionsApi
{
    /**
     * @var ClientInterface
     */
    protected $client;

    /**
     * @var Configuration
     */
    protected $config;

    /**
     * @var HeaderSelector
     */
    protected $headerSelector;

    /**
     * @param ClientInterface $client
     * @param Configuration   $config
     * @param HeaderSelector  $selector
     */
    public function __construct(
        ClientInterface $client = null,
        Configuration $config = null,
        HeaderSelector $selector = null
    ) {
        $this->client = $client ?: new Client();
        $this->config = $config ?: new Configuration();
        $this->headerSelector = $selector ?: new HeaderSelector();
    }

    /**
     * @return Configuration
     */
    public function getConfig()
    {
        return $this->config;
    }

    /**
     * Operation collectionArticles
     *
     * Public Collection Articles
     *
     * @param  int $collection_id Collection Unique identifier (required)
     * @param  int $page Page number. Used for pagination with page_size (optional)
     * @param  int $page_size The number of results included on a page. Used for pagination with page (optional, default to 10)
     * @param  int $limit Number of results included on a page. Used for pagination with query (optional)
     * @param  int $offset Where to start the listing(the offset of the first result). Used for pagination with limit (optional)
     *
     * @throws \Swagger\Client\ApiException on non-2xx response
     * @throws \InvalidArgumentException
     * @return \Swagger\Client\Model\Article[]
     */
    public function collectionArticles($collection_id, $page = null, $page_size = '10', $limit = null, $offset = null)
    {
        list($response) = $this->collectionArticlesWithHttpInfo($collection_id, $page, $page_size, $limit, $offset);
        return $response;
    }

    /**
     * Operation collectionArticlesWithHttpInfo
     *
     * Public Collection Articles
     *
     * @param  int $collection_id Collection Unique identifier (required)
     * @param  int $page Page number. Used for pagination with page_size (optional)
     * @param  int $page_size The number of results included on a page. Used for pagination with page (optional, default to 10)
     * @param  int $limit Number of results included on a page. Used for pagination with query (optional)
     * @param  int $offset Where to start the listing(the offset of the first result). Used for pagination with limit (optional)
     *
     * @throws \Swagger\Client\ApiException on non-2xx response
     * @throws \InvalidArgumentException
     * @return array of \Swagger\Client\Model\Article[], HTTP status code, HTTP response headers (array of strings)
     */
    public function collectionArticlesWithHttpInfo($collection_id, $page = null, $page_size = '10', $limit = null, $offset = null)
    {
        $returnType = '\Swagger\Client\Model\Article[]';
        $request = $this->collectionArticlesRequest($collection_id, $page, $page_size, $limit, $offset);

        try {
            $options = $this->createHttpClientOption();
            try {
                $response = $this->client->send($request, $options);
            } catch (RequestException $e) {
                throw new ApiException(
                    "[{$e->getCode()}] {$e->getMessage()}",
                    $e->getCode(),
                    $e->getResponse() ? $e->getResponse()->getHeaders() : null,
                    $e->getResponse() ? $e->getResponse()->getBody()->getContents() : null
                );
            }

            $statusCode = $response->getStatusCode();

            if ($statusCode < 200 || $statusCode > 299) {
                throw new ApiException(
                    sprintf(
                        '[%d] Error connecting to the API (%s)',
                        $statusCode,
                        $request->getUri()
                    ),
                    $statusCode,
                    $response->getHeaders(),
                    $response->getBody()
                );
            }

            $responseBody = $response->getBody();
            if ($returnType === '\SplFileObject') {
                $content = $responseBody; //stream goes to serializer
            } else {
                $content = $responseBody->getContents();
                if ($returnType !== 'string') {
                    $content = json_decode($content);
                }
            }

            return [
                ObjectSerializer::deserialize($content, $returnType, []),
                $response->getStatusCode(),
                $response->getHeaders()
            ];

        } catch (ApiException $e) {
            switch ($e->getCode()) {
                case 200:
                    $data = ObjectSerializer::deserialize(
                        $e->getResponseBody(),
                        '\Swagger\Client\Model\Article[]',
                        $e->getResponseHeaders()
                    );
                    $e->setResponseObject($data);
                    break;
            }
            throw $e;
        }
    }

    /**
     * Operation collectionArticlesAsync
     *
     * Public Collection Articles
     *
     * @param  int $collection_id Collection Unique identifier (required)
     * @param  int $page Page number. Used for pagination with page_size (optional)
     * @param  int $page_size The number of results included on a page. Used for pagination with page (optional, default to 10)
     * @param  int $limit Number of results included on a page. Used for pagination with query (optional)
     * @param  int $offset Where to start the listing(the offset of the first result). Used for pagination with limit (optional)
     *
     * @throws \InvalidArgumentException
     * @return \GuzzleHttp\Promise\PromiseInterface
     */
    public function collectionArticlesAsync($collection_id, $page = null, $page_size = '10', $limit = null, $offset = null)
    {
        return $this->collectionArticlesAsyncWithHttpInfo($collection_id, $page, $page_size, $limit, $offset)
            ->then(
                function ($response) {
                    return $response[0];
                }
            );
    }

    /**
     * Operation collectionArticlesAsyncWithHttpInfo
     *
     * Public Collection Articles
     *
     * @param  int $collection_id Collection Unique identifier (required)
     * @param  int $page Page number. Used for pagination with page_size (optional)
     * @param  int $page_size The number of results included on a page. Used for pagination with page (optional, default to 10)
     * @param  int $limit Number of results included on a page. Used for pagination with query (optional)
     * @param  int $offset Where to start the listing(the offset of the first result). Used for pagination with limit (optional)
     *
     * @throws \InvalidArgumentException
     * @return \GuzzleHttp\Promise\PromiseInterface
     */
    public function collectionArticlesAsyncWithHttpInfo($collection_id, $page = null, $page_size = '10', $limit = null, $offset = null)
    {
        $returnType = '\Swagger\Client\Model\Article[]';
        $request = $this->collectionArticlesRequest($collection_id, $page, $page_size, $limit, $offset);

        return $this->client
            ->sendAsync($request, $this->createHttpClientOption())
            ->then(
                function ($response) use ($returnType) {
                    $responseBody = $response->getBody();
                    if ($returnType === '\SplFileObject') {
                        $content = $responseBody; //stream goes to serializer
                    } else {
                        $content = $responseBody->getContents();
                        if ($returnType !== 'string') {
                            $content = json_decode($content);
                        }
                    }

                    return [
                        ObjectSerializer::deserialize($content, $returnType, []),
                        $response->getStatusCode(),
                        $response->getHeaders()
                    ];
                },
                function ($exception) {
                    $response = $exception->getResponse();
                    $statusCode = $response->getStatusCode();
                    throw new ApiException(
                        sprintf(
                            '[%d] Error connecting to the API (%s)',
                            $statusCode,
                            $exception->getRequest()->getUri()
                        ),
                        $statusCode,
                        $response->getHeaders(),
                        $response->getBody()
                    );
                }
            );
    }

    /**
     * Create request for operation 'collectionArticles'
     *
     * @param  int $collection_id Collection Unique identifier (required)
     * @param  int $page Page number. Used for pagination with page_size (optional)
     * @param  int $page_size The number of results included on a page. Used for pagination with page (optional, default to 10)
     * @param  int $limit Number of results included on a page. Used for pagination with query (optional)
     * @param  int $offset Where to start the listing(the offset of the first result). Used for pagination with limit (optional)
     *
     * @throws \InvalidArgumentException
     * @return \GuzzleHttp\Psr7\Request
     */
    protected function collectionArticlesRequest($collection_id, $page = null, $page_size = '10', $limit = null, $offset = null)
    {
        // verify the required parameter 'collection_id' is set
        if ($collection_id === null || (is_array($collection_id) && count($collection_id) === 0)) {
            throw new \InvalidArgumentException(
                'Missing the required parameter $collection_id when calling collectionArticles'
            );
        }
        if ($collection_id < 1) {
            throw new \InvalidArgumentException('invalid value for "$collection_id" when calling CollectionsApi.collectionArticles, must be bigger than or equal to 1.');
        }

        if ($page !== null && $page > 5000) {
            throw new \InvalidArgumentException('invalid value for "$page" when calling CollectionsApi.collectionArticles, must be smaller than or equal to 5000.');
        }
        if ($page !== null && $page < 1) {
            throw new \InvalidArgumentException('invalid value for "$page" when calling CollectionsApi.collectionArticles, must be bigger than or equal to 1.');
        }

        if ($page_size !== null && $page_size > 1000) {
            throw new \InvalidArgumentException('invalid value for "$page_size" when calling CollectionsApi.collectionArticles, must be smaller than or equal to 1000.');
        }
        if ($page_size !== null && $page_size < 1) {
            throw new \InvalidArgumentException('invalid value for "$page_size" when calling CollectionsApi.collectionArticles, must be bigger than or equal to 1.');
        }

        if ($limit !== null && $limit > 1000) {
            throw new \InvalidArgumentException('invalid value for "$limit" when calling CollectionsApi.collectionArticles, must be smaller than or equal to 1000.');
        }
        if ($limit !== null && $limit < 1) {
            throw new \InvalidArgumentException('invalid value for "$limit" when calling CollectionsApi.collectionArticles, must be bigger than or equal to 1.');
        }

        if ($offset !== null && $offset > 5000) {
            throw new \InvalidArgumentException('invalid value for "$offset" when calling CollectionsApi.collectionArticles, must be smaller than or equal to 5000.');
        }
        if ($offset !== null && $offset < 0) {
            throw new \InvalidArgumentException('invalid value for "$offset" when calling CollectionsApi.collectionArticles, must be bigger than or equal to 0.');
        }


        $resourcePath = '/collections/{collection_id}/articles';
        $formParams = [];
        $queryParams = [];
        $headerParams = [];
        $httpBody = '';
        $multipart = false;

        // query params
        if ($page !== null) {
            $queryParams['page'] = ObjectSerializer::toQueryValue($page);
        }
        // query params
        if ($page_size !== null) {
            $queryParams['page_size'] = ObjectSerializer::toQueryValue($page_size);
        }
        // query params
        if ($limit !== null) {
            $queryParams['limit'] = ObjectSerializer::toQueryValue($limit);
        }
        // query params
        if ($offset !== null) {
            $queryParams['offset'] = ObjectSerializer::toQueryValue($offset);
        }

        // path params
        if ($collection_id !== null) {
            $resourcePath = str_replace(
                '{' . 'collection_id' . '}',
                ObjectSerializer::toPathValue($collection_id),
                $resourcePath
            );
        }

        // body params
        $_tempBody = null;

        if ($multipart) {
            $headers = $this->headerSelector->selectHeadersForMultipart(
                ['application/json']
            );
        } else {
            $headers = $this->headerSelector->selectHeaders(
                ['application/json'],
                []
            );
        }

        // for model (json/xml)
        if (isset($_tempBody)) {
            // $_tempBody is the method argument, if present
            $httpBody = $_tempBody;
            
            if($headers['Content-Type'] === 'application/json') {
                // \stdClass has no __toString(), so we should encode it manually
                if ($httpBody instanceof \stdClass) {
                    $httpBody = \GuzzleHttp\json_encode($httpBody);
                }
                // array has no __toString(), so we should encode it manually
                if(is_array($httpBody)) {
                    $httpBody = \GuzzleHttp\json_encode(ObjectSerializer::sanitizeForSerialization($httpBody));
                }
            }
        } elseif (count($formParams) > 0) {
            if ($multipart) {
                $multipartContents = [];
                foreach ($formParams as $formParamName => $formParamValue) {
                    $multipartContents[] = [
                        'name' => $formParamName,
                        'contents' => $formParamValue
                    ];
                }
                // for HTTP post (form)
                $httpBody = new MultipartStream($multipartContents);

            } elseif ($headers['Content-Type'] === 'application/json') {
                $httpBody = \GuzzleHttp\json_encode($formParams);

            } else {
                // for HTTP post (form)
                $httpBody = \GuzzleHttp\Psr7\Query::build($formParams);
            }
        }


        $defaultHeaders = [];
        if ($this->config->getUserAgent()) {
            $defaultHeaders['User-Agent'] = $this->config->getUserAgent();
        }

        $headers = array_merge(
            $defaultHeaders,
            $headerParams,
            $headers
        );

        $query = \GuzzleHttp\Psr7\Query::build($queryParams);
        return new Request(
            'GET',
            $this->config->getHost() . $resourcePath . ($query ? "?{$query}" : ''),
            $headers,
            $httpBody
        );
    }

    /**
     * Operation collectionDetails
     *
     * Collection details
     *
     * @param  int $collection_id Collection Unique identifier (required)
     *
     * @throws \Swagger\Client\ApiException on non-2xx response
     * @throws \InvalidArgumentException
     * @return \Swagger\Client\Model\CollectionComplete
     */
    public function collectionDetails($collection_id)
    {
        list($response) = $this->collectionDetailsWithHttpInfo($collection_id);
        return $response;
    }

    /**
     * Operation collectionDetailsWithHttpInfo
     *
     * Collection details
     *
     * @param  int $collection_id Collection Unique identifier (required)
     *
     * @throws \Swagger\Client\ApiException on non-2xx response
     * @throws \InvalidArgumentException
     * @return array of \Swagger\Client\Model\CollectionComplete, HTTP status code, HTTP response headers (array of strings)
     */
    public function collectionDetailsWithHttpInfo($collection_id)
    {
        $returnType = '\Swagger\Client\Model\CollectionComplete';
        $request = $this->collectionDetailsRequest($collection_id);

        try {
            $options = $this->createHttpClientOption();
            try {
                $response = $this->client->send($request, $options);
            } catch (RequestException $e) {
                throw new ApiException(
                    "[{$e->getCode()}] {$e->getMessage()}",
                    $e->getCode(),
                    $e->getResponse() ? $e->getResponse()->getHeaders() : null,
                    $e->getResponse() ? $e->getResponse()->getBody()->getContents() : null
                );
            }

            $statusCode = $response->getStatusCode();

            if ($statusCode < 200 || $statusCode > 299) {
                throw new ApiException(
                    sprintf(
                        '[%d] Error connecting to the API (%s)',
                        $statusCode,
                        $request->getUri()
                    ),
                    $statusCode,
                    $response->getHeaders(),
                    $response->getBody()
                );
            }

            $responseBody = $response->getBody();
            if ($returnType === '\SplFileObject') {
                $content = $responseBody; //stream goes to serializer
            } else {
                $content = $responseBody->getContents();
                if ($returnType !== 'string') {
                    $content = json_decode($content);
                }
            }

            return [
                ObjectSerializer::deserialize($content, $returnType, []),
                $response->getStatusCode(),
                $response->getHeaders()
            ];

        } catch (ApiException $e) {
            switch ($e->getCode()) {
                case 200:
                    $data = ObjectSerializer::deserialize(
                        $e->getResponseBody(),
                        '\Swagger\Client\Model\CollectionComplete',
                        $e->getResponseHeaders()
                    );
                    $e->setResponseObject($data);
                    break;
            }
            throw $e;
        }
    }

    /**
     * Operation collectionDetailsAsync
     *
     * Collection details
     *
     * @param  int $collection_id Collection Unique identifier (required)
     *
     * @throws \InvalidArgumentException
     * @return \GuzzleHttp\Promise\PromiseInterface
     */
    public function collectionDetailsAsync($collection_id)
    {
        return $this->collectionDetailsAsyncWithHttpInfo($collection_id)
            ->then(
                function ($response) {
                    return $response[0];
                }
            );
    }

    /**
     * Operation collectionDetailsAsyncWithHttpInfo
     *
     * Collection details
     *
     * @param  int $collection_id Collection Unique identifier (required)
     *
     * @throws \InvalidArgumentException
     * @return \GuzzleHttp\Promise\PromiseInterface
     */
    public function collectionDetailsAsyncWithHttpInfo($collection_id)
    {
        $returnType = '\Swagger\Client\Model\CollectionComplete';
        $request = $this->collectionDetailsRequest($collection_id);

        return $this->client
            ->sendAsync($request, $this->createHttpClientOption())
            ->then(
                function ($response) use ($returnType) {
                    $responseBody = $response->getBody();
                    if ($returnType === '\SplFileObject') {
                        $content = $responseBody; //stream goes to serializer
                    } else {
                        $content = $responseBody->getContents();
                        if ($returnType !== 'string') {
                            $content = json_decode($content);
                        }
                    }

                    return [
                        ObjectSerializer::deserialize($content, $returnType, []),
                        $response->getStatusCode(),
                        $response->getHeaders()
                    ];
                },
                function ($exception) {
                    $response = $exception->getResponse();
                    $statusCode = $response->getStatusCode();
                    throw new ApiException(
                        sprintf(
                            '[%d] Error connecting to the API (%s)',
                            $statusCode,
                            $exception->getRequest()->getUri()
                        ),
                        $statusCode,
                        $response->getHeaders(),
                        $response->getBody()
                    );
                }
            );
    }

    /**
     * Create request for operation 'collectionDetails'
     *
     * @param  int $collection_id Collection Unique identifier (required)
     *
     * @throws \InvalidArgumentException
     * @return \GuzzleHttp\Psr7\Request
     */
    protected function collectionDetailsRequest($collection_id)
    {
        // verify the required parameter 'collection_id' is set
        if ($collection_id === null || (is_array($collection_id) && count($collection_id) === 0)) {
            throw new \InvalidArgumentException(
                'Missing the required parameter $collection_id when calling collectionDetails'
            );
        }
        if ($collection_id < 1) {
            throw new \InvalidArgumentException('invalid value for "$collection_id" when calling CollectionsApi.collectionDetails, must be bigger than or equal to 1.');
        }


        $resourcePath = '/collections/{collection_id}';
        $formParams = [];
        $queryParams = [];
        $headerParams = [];
        $httpBody = '';
        $multipart = false;


        // path params
        if ($collection_id !== null) {
            $resourcePath = str_replace(
                '{' . 'collection_id' . '}',
                ObjectSerializer::toPathValue($collection_id),
                $resourcePath
            );
        }

        // body params
        $_tempBody = null;

        if ($multipart) {
            $headers = $this->headerSelector->selectHeadersForMultipart(
                ['application/json']
            );
        } else {
            $headers = $this->headerSelector->selectHeaders(
                ['application/json'],
                []
            );
        }

        // for model (json/xml)
        if (isset($_tempBody)) {
            // $_tempBody is the method argument, if present
            $httpBody = $_tempBody;
            
            if($headers['Content-Type'] === 'application/json') {
                // \stdClass has no __toString(), so we should encode it manually
                if ($httpBody instanceof \stdClass) {
                    $httpBody = \GuzzleHttp\json_encode($httpBody);
                }
                // array has no __toString(), so we should encode it manually
                if(is_array($httpBody)) {
                    $httpBody = \GuzzleHttp\json_encode(ObjectSerializer::sanitizeForSerialization($httpBody));
                }
            }
        } elseif (count($formParams) > 0) {
            if ($multipart) {
                $multipartContents = [];
                foreach ($formParams as $formParamName => $formParamValue) {
                    $multipartContents[] = [
                        'name' => $formParamName,
                        'contents' => $formParamValue
                    ];
                }
                // for HTTP post (form)
                $httpBody = new MultipartStream($multipartContents);

            } elseif ($headers['Content-Type'] === 'application/json') {
                $httpBody = \GuzzleHttp\json_encode($formParams);

            } else {
                // for HTTP post (form)
                $httpBody = \GuzzleHttp\Psr7\Query::build($formParams);
            }
        }


        $defaultHeaders = [];
        if ($this->config->getUserAgent()) {
            $defaultHeaders['User-Agent'] = $this->config->getUserAgent();
        }

        $headers = array_merge(
            $defaultHeaders,
            $headerParams,
            $headers
        );

        $query = \GuzzleHttp\Psr7\Query::build($queryParams);
        return new Request(
            'GET',
            $this->config->getHost() . $resourcePath . ($query ? "?{$query}" : ''),
            $headers,
            $httpBody
        );
    }

    /**
     * Operation collectionVersionDetails
     *
     * Collection Version details
     *
     * @param  int $collection_id Collection Unique identifier (required)
     * @param  int $version_id Version Number (required)
     *
     * @throws \Swagger\Client\ApiException on non-2xx response
     * @throws \InvalidArgumentException
     * @return \Swagger\Client\Model\CollectionComplete
     */
    public function collectionVersionDetails($collection_id, $version_id)
    {
        list($response) = $this->collectionVersionDetailsWithHttpInfo($collection_id, $version_id);
        return $response;
    }

    /**
     * Operation collectionVersionDetailsWithHttpInfo
     *
     * Collection Version details
     *
     * @param  int $collection_id Collection Unique identifier (required)
     * @param  int $version_id Version Number (required)
     *
     * @throws \Swagger\Client\ApiException on non-2xx response
     * @throws \InvalidArgumentException
     * @return array of \Swagger\Client\Model\CollectionComplete, HTTP status code, HTTP response headers (array of strings)
     */
    public function collectionVersionDetailsWithHttpInfo($collection_id, $version_id)
    {
        $returnType = '\Swagger\Client\Model\CollectionComplete';
        $request = $this->collectionVersionDetailsRequest($collection_id, $version_id);

        try {
            $options = $this->createHttpClientOption();
            try {
                $response = $this->client->send($request, $options);
            } catch (RequestException $e) {
                throw new ApiException(
                    "[{$e->getCode()}] {$e->getMessage()}",
                    $e->getCode(),
                    $e->getResponse() ? $e->getResponse()->getHeaders() : null,
                    $e->getResponse() ? $e->getResponse()->getBody()->getContents() : null
                );
            }

            $statusCode = $response->getStatusCode();

            if ($statusCode < 200 || $statusCode > 299) {
                throw new ApiException(
                    sprintf(
                        '[%d] Error connecting to the API (%s)',
                        $statusCode,
                        $request->getUri()
                    ),
                    $statusCode,
                    $response->getHeaders(),
                    $response->getBody()
                );
            }

            $responseBody = $response->getBody();
            if ($returnType === '\SplFileObject') {
                $content = $responseBody; //stream goes to serializer
            } else {
                $content = $responseBody->getContents();
                if ($returnType !== 'string') {
                    $content = json_decode($content);
                }
            }

            return [
                ObjectSerializer::deserialize($content, $returnType, []),
                $response->getStatusCode(),
                $response->getHeaders()
            ];

        } catch (ApiException $e) {
            switch ($e->getCode()) {
                case 200:
                    $data = ObjectSerializer::deserialize(
                        $e->getResponseBody(),
                        '\Swagger\Client\Model\CollectionComplete',
                        $e->getResponseHeaders()
                    );
                    $e->setResponseObject($data);
                    break;
            }
            throw $e;
        }
    }

    /**
     * Operation collectionVersionDetailsAsync
     *
     * Collection Version details
     *
     * @param  int $collection_id Collection Unique identifier (required)
     * @param  int $version_id Version Number (required)
     *
     * @throws \InvalidArgumentException
     * @return \GuzzleHttp\Promise\PromiseInterface
     */
    public function collectionVersionDetailsAsync($collection_id, $version_id)
    {
        return $this->collectionVersionDetailsAsyncWithHttpInfo($collection_id, $version_id)
            ->then(
                function ($response) {
                    return $response[0];
                }
            );
    }

    /**
     * Operation collectionVersionDetailsAsyncWithHttpInfo
     *
     * Collection Version details
     *
     * @param  int $collection_id Collection Unique identifier (required)
     * @param  int $version_id Version Number (required)
     *
     * @throws \InvalidArgumentException
     * @return \GuzzleHttp\Promise\PromiseInterface
     */
    public function collectionVersionDetailsAsyncWithHttpInfo($collection_id, $version_id)
    {
        $returnType = '\Swagger\Client\Model\CollectionComplete';
        $request = $this->collectionVersionDetailsRequest($collection_id, $version_id);

        return $this->client
            ->sendAsync($request, $this->createHttpClientOption())
            ->then(
                function ($response) use ($returnType) {
                    $responseBody = $response->getBody();
                    if ($returnType === '\SplFileObject') {
                        $content = $responseBody; //stream goes to serializer
                    } else {
                        $content = $responseBody->getContents();
                        if ($returnType !== 'string') {
                            $content = json_decode($content);
                        }
                    }

                    return [
                        ObjectSerializer::deserialize($content, $returnType, []),
                        $response->getStatusCode(),
                        $response->getHeaders()
                    ];
                },
                function ($exception) {
                    $response = $exception->getResponse();
                    $statusCode = $response->getStatusCode();
                    throw new ApiException(
                        sprintf(
                            '[%d] Error connecting to the API (%s)',
                            $statusCode,
                            $exception->getRequest()->getUri()
                        ),
                        $statusCode,
                        $response->getHeaders(),
                        $response->getBody()
                    );
                }
            );
    }

    /**
     * Create request for operation 'collectionVersionDetails'
     *
     * @param  int $collection_id Collection Unique identifier (required)
     * @param  int $version_id Version Number (required)
     *
     * @throws \InvalidArgumentException
     * @return \GuzzleHttp\Psr7\Request
     */
    protected function collectionVersionDetailsRequest($collection_id, $version_id)
    {
        // verify the required parameter 'collection_id' is set
        if ($collection_id === null || (is_array($collection_id) && count($collection_id) === 0)) {
            throw new \InvalidArgumentException(
                'Missing the required parameter $collection_id when calling collectionVersionDetails'
            );
        }
        if ($collection_id < 1) {
            throw new \InvalidArgumentException('invalid value for "$collection_id" when calling CollectionsApi.collectionVersionDetails, must be bigger than or equal to 1.');
        }

        // verify the required parameter 'version_id' is set
        if ($version_id === null || (is_array($version_id) && count($version_id) === 0)) {
            throw new \InvalidArgumentException(
                'Missing the required parameter $version_id when calling collectionVersionDetails'
            );
        }
        if ($version_id < 1) {
            throw new \InvalidArgumentException('invalid value for "$version_id" when calling CollectionsApi.collectionVersionDetails, must be bigger than or equal to 1.');
        }


        $resourcePath = '/collections/{collection_id}/versions/{version_id}';
        $formParams = [];
        $queryParams = [];
        $headerParams = [];
        $httpBody = '';
        $multipart = false;


        // path params
        if ($collection_id !== null) {
            $resourcePath = str_replace(
                '{' . 'collection_id' . '}',
                ObjectSerializer::toPathValue($collection_id),
                $resourcePath
            );
        }
        // path params
        if ($version_id !== null) {
            $resourcePath = str_replace(
                '{' . 'version_id' . '}',
                ObjectSerializer::toPathValue($version_id),
                $resourcePath
            );
        }

        // body params
        $_tempBody = null;

        if ($multipart) {
            $headers = $this->headerSelector->selectHeadersForMultipart(
                ['application/json']
            );
        } else {
            $headers = $this->headerSelector->selectHeaders(
                ['application/json'],
                []
            );
        }

        // for model (json/xml)
        if (isset($_tempBody)) {
            // $_tempBody is the method argument, if present
            $httpBody = $_tempBody;
            
            if($headers['Content-Type'] === 'application/json') {
                // \stdClass has no __toString(), so we should encode it manually
                if ($httpBody instanceof \stdClass) {
                    $httpBody = \GuzzleHttp\json_encode($httpBody);
                }
                // array has no __toString(), so we should encode it manually
                if(is_array($httpBody)) {
                    $httpBody = \GuzzleHttp\json_encode(ObjectSerializer::sanitizeForSerialization($httpBody));
                }
            }
        } elseif (count($formParams) > 0) {
            if ($multipart) {
                $multipartContents = [];
                foreach ($formParams as $formParamName => $formParamValue) {
                    $multipartContents[] = [
                        'name' => $formParamName,
                        'contents' => $formParamValue
                    ];
                }
                // for HTTP post (form)
                $httpBody = new MultipartStream($multipartContents);

            } elseif ($headers['Content-Type'] === 'application/json') {
                $httpBody = \GuzzleHttp\json_encode($formParams);

            } else {
                // for HTTP post (form)
                $httpBody = \GuzzleHttp\Psr7\Query::build($formParams);
            }
        }


        $defaultHeaders = [];
        if ($this->config->getUserAgent()) {
            $defaultHeaders['User-Agent'] = $this->config->getUserAgent();
        }

        $headers = array_merge(
            $defaultHeaders,
            $headerParams,
            $headers
        );

        $query = \GuzzleHttp\Psr7\Query::build($queryParams);
        return new Request(
            'GET',
            $this->config->getHost() . $resourcePath . ($query ? "?{$query}" : ''),
            $headers,
            $httpBody
        );
    }

    /**
     * Operation collectionVersions
     *
     * Collection Versions list
     *
     * @param  int $collection_id Collection Unique identifier (required)
     *
     * @throws \Swagger\Client\ApiException on non-2xx response
     * @throws \InvalidArgumentException
     * @return \Swagger\Client\Model\CollectionVersions[]
     */
    public function collectionVersions($collection_id)
    {
        list($response) = $this->collectionVersionsWithHttpInfo($collection_id);
        return $response;
    }

    /**
     * Operation collectionVersionsWithHttpInfo
     *
     * Collection Versions list
     *
     * @param  int $collection_id Collection Unique identifier (required)
     *
     * @throws \Swagger\Client\ApiException on non-2xx response
     * @throws \InvalidArgumentException
     * @return array of \Swagger\Client\Model\CollectionVersions[], HTTP status code, HTTP response headers (array of strings)
     */
    public function collectionVersionsWithHttpInfo($collection_id)
    {
        $returnType = '\Swagger\Client\Model\CollectionVersions[]';
        $request = $this->collectionVersionsRequest($collection_id);

        try {
            $options = $this->createHttpClientOption();
            try {
                $response = $this->client->send($request, $options);
            } catch (RequestException $e) {
                throw new ApiException(
                    "[{$e->getCode()}] {$e->getMessage()}",
                    $e->getCode(),
                    $e->getResponse() ? $e->getResponse()->getHeaders() : null,
                    $e->getResponse() ? $e->getResponse()->getBody()->getContents() : null
                );
            }

            $statusCode = $response->getStatusCode();

            if ($statusCode < 200 || $statusCode > 299) {
                throw new ApiException(
                    sprintf(
                        '[%d] Error connecting to the API (%s)',
                        $statusCode,
                        $request->getUri()
                    ),
                    $statusCode,
                    $response->getHeaders(),
                    $response->getBody()
                );
            }

            $responseBody = $response->getBody();
            if ($returnType === '\SplFileObject') {
                $content = $responseBody; //stream goes to serializer
            } else {
                $content = $responseBody->getContents();
                if ($returnType !== 'string') {
                    $content = json_decode($content);
                }
            }

            return [
                ObjectSerializer::deserialize($content, $returnType, []),
                $response->getStatusCode(),
                $response->getHeaders()
            ];

        } catch (ApiException $e) {
            switch ($e->getCode()) {
                case 200:
                    $data = ObjectSerializer::deserialize(
                        $e->getResponseBody(),
                        '\Swagger\Client\Model\CollectionVersions[]',
                        $e->getResponseHeaders()
                    );
                    $e->setResponseObject($data);
                    break;
            }
            throw $e;
        }
    }

    /**
     * Operation collectionVersionsAsync
     *
     * Collection Versions list
     *
     * @param  int $collection_id Collection Unique identifier (required)
     *
     * @throws \InvalidArgumentException
     * @return \GuzzleHttp\Promise\PromiseInterface
     */
    public function collectionVersionsAsync($collection_id)
    {
        return $this->collectionVersionsAsyncWithHttpInfo($collection_id)
            ->then(
                function ($response) {
                    return $response[0];
                }
            );
    }

    /**
     * Operation collectionVersionsAsyncWithHttpInfo
     *
     * Collection Versions list
     *
     * @param  int $collection_id Collection Unique identifier (required)
     *
     * @throws \InvalidArgumentException
     * @return \GuzzleHttp\Promise\PromiseInterface
     */
    public function collectionVersionsAsyncWithHttpInfo($collection_id)
    {
        $returnType = '\Swagger\Client\Model\CollectionVersions[]';
        $request = $this->collectionVersionsRequest($collection_id);

        return $this->client
            ->sendAsync($request, $this->createHttpClientOption())
            ->then(
                function ($response) use ($returnType) {
                    $responseBody = $response->getBody();
                    if ($returnType === '\SplFileObject') {
                        $content = $responseBody; //stream goes to serializer
                    } else {
                        $content = $responseBody->getContents();
                        if ($returnType !== 'string') {
                            $content = json_decode($content);
                        }
                    }

                    return [
                        ObjectSerializer::deserialize($content, $returnType, []),
                        $response->getStatusCode(),
                        $response->getHeaders()
                    ];
                },
                function ($exception) {
                    $response = $exception->getResponse();
                    $statusCode = $response->getStatusCode();
                    throw new ApiException(
                        sprintf(
                            '[%d] Error connecting to the API (%s)',
                            $statusCode,
                            $exception->getRequest()->getUri()
                        ),
                        $statusCode,
                        $response->getHeaders(),
                        $response->getBody()
                    );
                }
            );
    }

    /**
     * Create request for operation 'collectionVersions'
     *
     * @param  int $collection_id Collection Unique identifier (required)
     *
     * @throws \InvalidArgumentException
     * @return \GuzzleHttp\Psr7\Request
     */
    protected function collectionVersionsRequest($collection_id)
    {
        // verify the required parameter 'collection_id' is set
        if ($collection_id === null || (is_array($collection_id) && count($collection_id) === 0)) {
            throw new \InvalidArgumentException(
                'Missing the required parameter $collection_id when calling collectionVersions'
            );
        }
        if ($collection_id < 1) {
            throw new \InvalidArgumentException('invalid value for "$collection_id" when calling CollectionsApi.collectionVersions, must be bigger than or equal to 1.');
        }


        $resourcePath = '/collections/{collection_id}/versions';
        $formParams = [];
        $queryParams = [];
        $headerParams = [];
        $httpBody = '';
        $multipart = false;


        // path params
        if ($collection_id !== null) {
            $resourcePath = str_replace(
                '{' . 'collection_id' . '}',
                ObjectSerializer::toPathValue($collection_id),
                $resourcePath
            );
        }

        // body params
        $_tempBody = null;

        if ($multipart) {
            $headers = $this->headerSelector->selectHeadersForMultipart(
                ['application/json']
            );
        } else {
            $headers = $this->headerSelector->selectHeaders(
                ['application/json'],
                []
            );
        }

        // for model (json/xml)
        if (isset($_tempBody)) {
            // $_tempBody is the method argument, if present
            $httpBody = $_tempBody;
            
            if($headers['Content-Type'] === 'application/json') {
                // \stdClass has no __toString(), so we should encode it manually
                if ($httpBody instanceof \stdClass) {
                    $httpBody = \GuzzleHttp\json_encode($httpBody);
                }
                // array has no __toString(), so we should encode it manually
                if(is_array($httpBody)) {
                    $httpBody = \GuzzleHttp\json_encode(ObjectSerializer::sanitizeForSerialization($httpBody));
                }
            }
        } elseif (count($formParams) > 0) {
            if ($multipart) {
                $multipartContents = [];
                foreach ($formParams as $formParamName => $formParamValue) {
                    $multipartContents[] = [
                        'name' => $formParamName,
                        'contents' => $formParamValue
                    ];
                }
                // for HTTP post (form)
                $httpBody = new MultipartStream($multipartContents);

            } elseif ($headers['Content-Type'] === 'application/json') {
                $httpBody = \GuzzleHttp\json_encode($formParams);

            } else {
                // for HTTP post (form)
                $httpBody = \GuzzleHttp\Psr7\Query::build($formParams);
            }
        }


        $defaultHeaders = [];
        if ($this->config->getUserAgent()) {
            $defaultHeaders['User-Agent'] = $this->config->getUserAgent();
        }

        $headers = array_merge(
            $defaultHeaders,
            $headerParams,
            $headers
        );

        $query = \GuzzleHttp\Psr7\Query::build($queryParams);
        return new Request(
            'GET',
            $this->config->getHost() . $resourcePath . ($query ? "?{$query}" : ''),
            $headers,
            $httpBody
        );
    }

    /**
     * Operation collectionsList
     *
     * Public Collections
     *
     * @param  string $x_cursor Unique hash used for bypassing the item retrieval limit of 9,000 entities. When using this parameter, please note that the offset parameter will not be available, but the limit parameter will still work as expected. (optional)
     * @param  int $page Page number. Used for pagination with page_size (optional)
     * @param  int $page_size The number of results included on a page. Used for pagination with page (optional, default to 10)
     * @param  int $limit Number of results included on a page. Used for pagination with query (optional)
     * @param  int $offset Where to start the listing(the offset of the first result). Used for pagination with limit (optional)
     * @param  string $order The field by which to order. Default varies by endpoint/resource. (optional, default to published_date)
     * @param  string $order_direction order_direction (optional, default to desc)
     * @param  int $institution only return collections from this institution (optional)
     * @param  string $published_since Filter by collection publishing date. Will only return collections published after the date. date(ISO 8601) YYYY-MM-DD (optional)
     * @param  string $modified_since Filter by collection modified date. Will only return collections published after the date. date(ISO 8601) YYYY-MM-DD (optional)
     * @param  int $group only return collections from this group (optional)
     * @param  string $resource_doi only return collections with this resource_doi (optional)
     * @param  string $doi only return collections with this doi (optional)
     * @param  string $handle only return collections with this handle (optional)
     *
     * @throws \Swagger\Client\ApiException on non-2xx response
     * @throws \InvalidArgumentException
     * @return \Swagger\Client\Model\Collection[]
     */
    public function collectionsList($x_cursor = null, $page = null, $page_size = '10', $limit = null, $offset = null, $order = 'published_date', $order_direction = 'desc', $institution = null, $published_since = null, $modified_since = null, $group = null, $resource_doi = null, $doi = null, $handle = null)
    {
        list($response) = $this->collectionsListWithHttpInfo($x_cursor, $page, $page_size, $limit, $offset, $order, $order_direction, $institution, $published_since, $modified_since, $group, $resource_doi, $doi, $handle);
        return $response;
    }

    /**
     * Operation collectionsListWithHttpInfo
     *
     * Public Collections
     *
     * @param  string $x_cursor Unique hash used for bypassing the item retrieval limit of 9,000 entities. When using this parameter, please note that the offset parameter will not be available, but the limit parameter will still work as expected. (optional)
     * @param  int $page Page number. Used for pagination with page_size (optional)
     * @param  int $page_size The number of results included on a page. Used for pagination with page (optional, default to 10)
     * @param  int $limit Number of results included on a page. Used for pagination with query (optional)
     * @param  int $offset Where to start the listing(the offset of the first result). Used for pagination with limit (optional)
     * @param  string $order The field by which to order. Default varies by endpoint/resource. (optional, default to published_date)
     * @param  string $order_direction (optional, default to desc)
     * @param  int $institution only return collections from this institution (optional)
     * @param  string $published_since Filter by collection publishing date. Will only return collections published after the date. date(ISO 8601) YYYY-MM-DD (optional)
     * @param  string $modified_since Filter by collection modified date. Will only return collections published after the date. date(ISO 8601) YYYY-MM-DD (optional)
     * @param  int $group only return collections from this group (optional)
     * @param  string $resource_doi only return collections with this resource_doi (optional)
     * @param  string $doi only return collections with this doi (optional)
     * @param  string $handle only return collections with this handle (optional)
     *
     * @throws \Swagger\Client\ApiException on non-2xx response
     * @throws \InvalidArgumentException
     * @return array of \Swagger\Client\Model\Collection[], HTTP status code, HTTP response headers (array of strings)
     */
    public function collectionsListWithHttpInfo($x_cursor = null, $page = null, $page_size = '10', $limit = null, $offset = null, $order = 'published_date', $order_direction = 'desc', $institution = null, $published_since = null, $modified_since = null, $group = null, $resource_doi = null, $doi = null, $handle = null)
    {
        $returnType = '\Swagger\Client\Model\Collection[]';
        $request = $this->collectionsListRequest($x_cursor, $page, $page_size, $limit, $offset, $order, $order_direction, $institution, $published_since, $modified_since, $group, $resource_doi, $doi, $handle);

        try {
            $options = $this->createHttpClientOption();
            try {
                $response = $this->client->send($request, $options);
            } catch (RequestException $e) {
                throw new ApiException(
                    "[{$e->getCode()}] {$e->getMessage()}",
                    $e->getCode(),
                    $e->getResponse() ? $e->getResponse()->getHeaders() : null,
                    $e->getResponse() ? $e->getResponse()->getBody()->getContents() : null
                );
            }

            $statusCode = $response->getStatusCode();

            if ($statusCode < 200 || $statusCode > 299) {
                throw new ApiException(
                    sprintf(
                        '[%d] Error connecting to the API (%s)',
                        $statusCode,
                        $request->getUri()
                    ),
                    $statusCode,
                    $response->getHeaders(),
                    $response->getBody()
                );
            }

            $responseBody = $response->getBody();
            if ($returnType === '\SplFileObject') {
                $content = $responseBody; //stream goes to serializer
            } else {
                $content = $responseBody->getContents();
                if ($returnType !== 'string') {
                    $content = json_decode($content);
                }
            }

            return [
                ObjectSerializer::deserialize($content, $returnType, []),
                $response->getStatusCode(),
                $response->getHeaders()
            ];

        } catch (ApiException $e) {
            switch ($e->getCode()) {
                case 200:
                    $data = ObjectSerializer::deserialize(
                        $e->getResponseBody(),
                        '\Swagger\Client\Model\Collection[]',
                        $e->getResponseHeaders()
                    );
                    $e->setResponseObject($data);
                    break;
            }
            throw $e;
        }
    }

    /**
     * Operation collectionsListAsync
     *
     * Public Collections
     *
     * @param  string $x_cursor Unique hash used for bypassing the item retrieval limit of 9,000 entities. When using this parameter, please note that the offset parameter will not be available, but the limit parameter will still work as expected. (optional)
     * @param  int $page Page number. Used for pagination with page_size (optional)
     * @param  int $page_size The number of results included on a page. Used for pagination with page (optional, default to 10)
     * @param  int $limit Number of results included on a page. Used for pagination with query (optional)
     * @param  int $offset Where to start the listing(the offset of the first result). Used for pagination with limit (optional)
     * @param  string $order The field by which to order. Default varies by endpoint/resource. (optional, default to published_date)
     * @param  string $order_direction (optional, default to desc)
     * @param  int $institution only return collections from this institution (optional)
     * @param  string $published_since Filter by collection publishing date. Will only return collections published after the date. date(ISO 8601) YYYY-MM-DD (optional)
     * @param  string $modified_since Filter by collection modified date. Will only return collections published after the date. date(ISO 8601) YYYY-MM-DD (optional)
     * @param  int $group only return collections from this group (optional)
     * @param  string $resource_doi only return collections with this resource_doi (optional)
     * @param  string $doi only return collections with this doi (optional)
     * @param  string $handle only return collections with this handle (optional)
     *
     * @throws \InvalidArgumentException
     * @return \GuzzleHttp\Promise\PromiseInterface
     */
    public function collectionsListAsync($x_cursor = null, $page = null, $page_size = '10', $limit = null, $offset = null, $order = 'published_date', $order_direction = 'desc', $institution = null, $published_since = null, $modified_since = null, $group = null, $resource_doi = null, $doi = null, $handle = null)
    {
        return $this->collectionsListAsyncWithHttpInfo($x_cursor, $page, $page_size, $limit, $offset, $order, $order_direction, $institution, $published_since, $modified_since, $group, $resource_doi, $doi, $handle)
            ->then(
                function ($response) {
                    return $response[0];
                }
            );
    }

    /**
     * Operation collectionsListAsyncWithHttpInfo
     *
     * Public Collections
     *
     * @param  string $x_cursor Unique hash used for bypassing the item retrieval limit of 9,000 entities. When using this parameter, please note that the offset parameter will not be available, but the limit parameter will still work as expected. (optional)
     * @param  int $page Page number. Used for pagination with page_size (optional)
     * @param  int $page_size The number of results included on a page. Used for pagination with page (optional, default to 10)
     * @param  int $limit Number of results included on a page. Used for pagination with query (optional)
     * @param  int $offset Where to start the listing(the offset of the first result). Used for pagination with limit (optional)
     * @param  string $order The field by which to order. Default varies by endpoint/resource. (optional, default to published_date)
     * @param  string $order_direction (optional, default to desc)
     * @param  int $institution only return collections from this institution (optional)
     * @param  string $published_since Filter by collection publishing date. Will only return collections published after the date. date(ISO 8601) YYYY-MM-DD (optional)
     * @param  string $modified_since Filter by collection modified date. Will only return collections published after the date. date(ISO 8601) YYYY-MM-DD (optional)
     * @param  int $group only return collections from this group (optional)
     * @param  string $resource_doi only return collections with this resource_doi (optional)
     * @param  string $doi only return collections with this doi (optional)
     * @param  string $handle only return collections with this handle (optional)
     *
     * @throws \InvalidArgumentException
     * @return \GuzzleHttp\Promise\PromiseInterface
     */
    public function collectionsListAsyncWithHttpInfo($x_cursor = null, $page = null, $page_size = '10', $limit = null, $offset = null, $order = 'published_date', $order_direction = 'desc', $institution = null, $published_since = null, $modified_since = null, $group = null, $resource_doi = null, $doi = null, $handle = null)
    {
        $returnType = '\Swagger\Client\Model\Collection[]';
        $request = $this->collectionsListRequest($x_cursor, $page, $page_size, $limit, $offset, $order, $order_direction, $institution, $published_since, $modified_since, $group, $resource_doi, $doi, $handle);

        return $this->client
            ->sendAsync($request, $this->createHttpClientOption())
            ->then(
                function ($response) use ($returnType) {
                    $responseBody = $response->getBody();
                    if ($returnType === '\SplFileObject') {
                        $content = $responseBody; //stream goes to serializer
                    } else {
                        $content = $responseBody->getContents();
                        if ($returnType !== 'string') {
                            $content = json_decode($content);
                        }
                    }

                    return [
                        ObjectSerializer::deserialize($content, $returnType, []),
                        $response->getStatusCode(),
                        $response->getHeaders()
                    ];
                },
                function ($exception) {
                    $response = $exception->getResponse();
                    $statusCode = $response->getStatusCode();
                    throw new ApiException(
                        sprintf(
                            '[%d] Error connecting to the API (%s)',
                            $statusCode,
                            $exception->getRequest()->getUri()
                        ),
                        $statusCode,
                        $response->getHeaders(),
                        $response->getBody()
                    );
                }
            );
    }

    /**
     * Create request for operation 'collectionsList'
     *
     * @param  string $x_cursor Unique hash used for bypassing the item retrieval limit of 9,000 entities. When using this parameter, please note that the offset parameter will not be available, but the limit parameter will still work as expected. (optional)
     * @param  int $page Page number. Used for pagination with page_size (optional)
     * @param  int $page_size The number of results included on a page. Used for pagination with page (optional, default to 10)
     * @param  int $limit Number of results included on a page. Used for pagination with query (optional)
     * @param  int $offset Where to start the listing(the offset of the first result). Used for pagination with limit (optional)
     * @param  string $order The field by which to order. Default varies by endpoint/resource. (optional, default to published_date)
     * @param  string $order_direction (optional, default to desc)
     * @param  int $institution only return collections from this institution (optional)
     * @param  string $published_since Filter by collection publishing date. Will only return collections published after the date. date(ISO 8601) YYYY-MM-DD (optional)
     * @param  string $modified_since Filter by collection modified date. Will only return collections published after the date. date(ISO 8601) YYYY-MM-DD (optional)
     * @param  int $group only return collections from this group (optional)
     * @param  string $resource_doi only return collections with this resource_doi (optional)
     * @param  string $doi only return collections with this doi (optional)
     * @param  string $handle only return collections with this handle (optional)
     *
     * @throws \InvalidArgumentException
     * @return \GuzzleHttp\Psr7\Request
     */
    protected function collectionsListRequest($x_cursor = null, $page = null, $page_size = '10', $limit = null, $offset = null, $order = 'published_date', $order_direction = 'desc', $institution = null, $published_since = null, $modified_since = null, $group = null, $resource_doi = null, $doi = null, $handle = null)
    {
        if ($page !== null && $page > 5000) {
            throw new \InvalidArgumentException('invalid value for "$page" when calling CollectionsApi.collectionsList, must be smaller than or equal to 5000.');
        }
        if ($page !== null && $page < 1) {
            throw new \InvalidArgumentException('invalid value for "$page" when calling CollectionsApi.collectionsList, must be bigger than or equal to 1.');
        }

        if ($page_size !== null && $page_size > 1000) {
            throw new \InvalidArgumentException('invalid value for "$page_size" when calling CollectionsApi.collectionsList, must be smaller than or equal to 1000.');
        }
        if ($page_size !== null && $page_size < 1) {
            throw new \InvalidArgumentException('invalid value for "$page_size" when calling CollectionsApi.collectionsList, must be bigger than or equal to 1.');
        }

        if ($limit !== null && $limit > 1000) {
            throw new \InvalidArgumentException('invalid value for "$limit" when calling CollectionsApi.collectionsList, must be smaller than or equal to 1000.');
        }
        if ($limit !== null && $limit < 1) {
            throw new \InvalidArgumentException('invalid value for "$limit" when calling CollectionsApi.collectionsList, must be bigger than or equal to 1.');
        }

        if ($offset !== null && $offset > 5000) {
            throw new \InvalidArgumentException('invalid value for "$offset" when calling CollectionsApi.collectionsList, must be smaller than or equal to 5000.');
        }
        if ($offset !== null && $offset < 0) {
            throw new \InvalidArgumentException('invalid value for "$offset" when calling CollectionsApi.collectionsList, must be bigger than or equal to 0.');
        }


        $resourcePath = '/collections';
        $formParams = [];
        $queryParams = [];
        $headerParams = [];
        $httpBody = '';
        $multipart = false;

        // query params
        if ($page !== null) {
            $queryParams['page'] = ObjectSerializer::toQueryValue($page);
        }
        // query params
        if ($page_size !== null) {
            $queryParams['page_size'] = ObjectSerializer::toQueryValue($page_size);
        }
        // query params
        if ($limit !== null) {
            $queryParams['limit'] = ObjectSerializer::toQueryValue($limit);
        }
        // query params
        if ($offset !== null) {
            $queryParams['offset'] = ObjectSerializer::toQueryValue($offset);
        }
        // query params
        if ($order !== null) {
            $queryParams['order'] = ObjectSerializer::toQueryValue($order);
        }
        // query params
        if ($order_direction !== null) {
            $queryParams['order_direction'] = ObjectSerializer::toQueryValue($order_direction);
        }
        // query params
        if ($institution !== null) {
            $queryParams['institution'] = ObjectSerializer::toQueryValue($institution);
        }
        // query params
        if ($published_since !== null) {
            $queryParams['published_since'] = ObjectSerializer::toQueryValue($published_since);
        }
        // query params
        if ($modified_since !== null) {
            $queryParams['modified_since'] = ObjectSerializer::toQueryValue($modified_since);
        }
        // query params
        if ($group !== null) {
            $queryParams['group'] = ObjectSerializer::toQueryValue($group);
        }
        // query params
        if ($resource_doi !== null) {
            $queryParams['resource_doi'] = ObjectSerializer::toQueryValue($resource_doi);
        }
        // query params
        if ($doi !== null) {
            $queryParams['doi'] = ObjectSerializer::toQueryValue($doi);
        }
        // query params
        if ($handle !== null) {
            $queryParams['handle'] = ObjectSerializer::toQueryValue($handle);
        }
        // header params
        if ($x_cursor !== null) {
            $headerParams['X-Cursor'] = ObjectSerializer::toHeaderValue($x_cursor);
        }


        // body params
        $_tempBody = null;

        if ($multipart) {
            $headers = $this->headerSelector->selectHeadersForMultipart(
                ['application/json']
            );
        } else {
            $headers = $this->headerSelector->selectHeaders(
                ['application/json'],
                []
            );
        }

        // for model (json/xml)
        if (isset($_tempBody)) {
            // $_tempBody is the method argument, if present
            $httpBody = $_tempBody;
            
            if($headers['Content-Type'] === 'application/json') {
                // \stdClass has no __toString(), so we should encode it manually
                if ($httpBody instanceof \stdClass) {
                    $httpBody = \GuzzleHttp\json_encode($httpBody);
                }
                // array has no __toString(), so we should encode it manually
                if(is_array($httpBody)) {
                    $httpBody = \GuzzleHttp\json_encode(ObjectSerializer::sanitizeForSerialization($httpBody));
                }
            }
        } elseif (count($formParams) > 0) {
            if ($multipart) {
                $multipartContents = [];
                foreach ($formParams as $formParamName => $formParamValue) {
                    $multipartContents[] = [
                        'name' => $formParamName,
                        'contents' => $formParamValue
                    ];
                }
                // for HTTP post (form)
                $httpBody = new MultipartStream($multipartContents);

            } elseif ($headers['Content-Type'] === 'application/json') {
                $httpBody = \GuzzleHttp\json_encode($formParams);

            } else {
                // for HTTP post (form)
                $httpBody = \GuzzleHttp\Psr7\Query::build($formParams);
            }
        }


        $defaultHeaders = [];
        if ($this->config->getUserAgent()) {
            $defaultHeaders['User-Agent'] = $this->config->getUserAgent();
        }

        $headers = array_merge(
            $defaultHeaders,
            $headerParams,
            $headers
        );

        $query = \GuzzleHttp\Psr7\Query::build($queryParams);
        return new Request(
            'GET',
            $this->config->getHost() . $resourcePath . ($query ? "?{$query}" : ''),
            $headers,
            $httpBody
        );
    }

    /**
     * Operation collectionsSearch
     *
     * Public Collections Search
     *
     * @param  string $x_cursor Unique hash used for bypassing the item retrieval limit of 9,000 entities. When using this parameter, please note that the offset parameter will not be available, but the limit parameter will still work as expected. (optional)
     * @param  \Swagger\Client\Model\CollectionSearch $search Search Parameters (optional)
     *
     * @throws \Swagger\Client\ApiException on non-2xx response
     * @throws \InvalidArgumentException
     * @return \Swagger\Client\Model\Collection[]
     */
    public function collectionsSearch($x_cursor = null, $search = null)
    {
        list($response) = $this->collectionsSearchWithHttpInfo($x_cursor, $search);
        return $response;
    }

    /**
     * Operation collectionsSearchWithHttpInfo
     *
     * Public Collections Search
     *
     * @param  string $x_cursor Unique hash used for bypassing the item retrieval limit of 9,000 entities. When using this parameter, please note that the offset parameter will not be available, but the limit parameter will still work as expected. (optional)
     * @param  \Swagger\Client\Model\CollectionSearch $search Search Parameters (optional)
     *
     * @throws \Swagger\Client\ApiException on non-2xx response
     * @throws \InvalidArgumentException
     * @return array of \Swagger\Client\Model\Collection[], HTTP status code, HTTP response headers (array of strings)
     */
    public function collectionsSearchWithHttpInfo($x_cursor = null, $search = null)
    {
        $returnType = '\Swagger\Client\Model\Collection[]';
        $request = $this->collectionsSearchRequest($x_cursor, $search);

        try {
            $options = $this->createHttpClientOption();
            try {
                $response = $this->client->send($request, $options);
            } catch (RequestException $e) {
                throw new ApiException(
                    "[{$e->getCode()}] {$e->getMessage()}",
                    $e->getCode(),
                    $e->getResponse() ? $e->getResponse()->getHeaders() : null,
                    $e->getResponse() ? $e->getResponse()->getBody()->getContents() : null
                );
            }

            $statusCode = $response->getStatusCode();

            if ($statusCode < 200 || $statusCode > 299) {
                throw new ApiException(
                    sprintf(
                        '[%d] Error connecting to the API (%s)',
                        $statusCode,
                        $request->getUri()
                    ),
                    $statusCode,
                    $response->getHeaders(),
                    $response->getBody()
                );
            }

            $responseBody = $response->getBody();
            if ($returnType === '\SplFileObject') {
                $content = $responseBody; //stream goes to serializer
            } else {
                $content = $responseBody->getContents();
                if ($returnType !== 'string') {
                    $content = json_decode($content);
                }
            }

            return [
                ObjectSerializer::deserialize($content, $returnType, []),
                $response->getStatusCode(),
                $response->getHeaders()
            ];

        } catch (ApiException $e) {
            switch ($e->getCode()) {
                case 200:
                    $data = ObjectSerializer::deserialize(
                        $e->getResponseBody(),
                        '\Swagger\Client\Model\Collection[]',
                        $e->getResponseHeaders()
                    );
                    $e->setResponseObject($data);
                    break;
            }
            throw $e;
        }
    }

    /**
     * Operation collectionsSearchAsync
     *
     * Public Collections Search
     *
     * @param  string $x_cursor Unique hash used for bypassing the item retrieval limit of 9,000 entities. When using this parameter, please note that the offset parameter will not be available, but the limit parameter will still work as expected. (optional)
     * @param  \Swagger\Client\Model\CollectionSearch $search Search Parameters (optional)
     *
     * @throws \InvalidArgumentException
     * @return \GuzzleHttp\Promise\PromiseInterface
     */
    public function collectionsSearchAsync($x_cursor = null, $search = null)
    {
        return $this->collectionsSearchAsyncWithHttpInfo($x_cursor, $search)
            ->then(
                function ($response) {
                    return $response[0];
                }
            );
    }

    /**
     * Operation collectionsSearchAsyncWithHttpInfo
     *
     * Public Collections Search
     *
     * @param  string $x_cursor Unique hash used for bypassing the item retrieval limit of 9,000 entities. When using this parameter, please note that the offset parameter will not be available, but the limit parameter will still work as expected. (optional)
     * @param  \Swagger\Client\Model\CollectionSearch $search Search Parameters (optional)
     *
     * @throws \InvalidArgumentException
     * @return \GuzzleHttp\Promise\PromiseInterface
     */
    public function collectionsSearchAsyncWithHttpInfo($x_cursor = null, $search = null)
    {
        $returnType = '\Swagger\Client\Model\Collection[]';
        $request = $this->collectionsSearchRequest($x_cursor, $search);

        return $this->client
            ->sendAsync($request, $this->createHttpClientOption())
            ->then(
                function ($response) use ($returnType) {
                    $responseBody = $response->getBody();
                    if ($returnType === '\SplFileObject') {
                        $content = $responseBody; //stream goes to serializer
                    } else {
                        $content = $responseBody->getContents();
                        if ($returnType !== 'string') {
                            $content = json_decode($content);
                        }
                    }

                    return [
                        ObjectSerializer::deserialize($content, $returnType, []),
                        $response->getStatusCode(),
                        $response->getHeaders()
                    ];
                },
                function ($exception) {
                    $response = $exception->getResponse();
                    $statusCode = $response->getStatusCode();
                    throw new ApiException(
                        sprintf(
                            '[%d] Error connecting to the API (%s)',
                            $statusCode,
                            $exception->getRequest()->getUri()
                        ),
                        $statusCode,
                        $response->getHeaders(),
                        $response->getBody()
                    );
                }
            );
    }

    /**
     * Create request for operation 'collectionsSearch'
     *
     * @param  string $x_cursor Unique hash used for bypassing the item retrieval limit of 9,000 entities. When using this parameter, please note that the offset parameter will not be available, but the limit parameter will still work as expected. (optional)
     * @param  \Swagger\Client\Model\CollectionSearch $search Search Parameters (optional)
     *
     * @throws \InvalidArgumentException
     * @return \GuzzleHttp\Psr7\Request
     */
    protected function collectionsSearchRequest($x_cursor = null, $search = null)
    {

        $resourcePath = '/collections/search';
        $formParams = [];
        $queryParams = [];
        $headerParams = [];
        $httpBody = '';
        $multipart = false;

        // header params
        if ($x_cursor !== null) {
            $headerParams['X-Cursor'] = ObjectSerializer::toHeaderValue($x_cursor);
        }


        // body params
        $_tempBody = null;
        if (isset($search)) {
            $_tempBody = $search;
        }

        if ($multipart) {
            $headers = $this->headerSelector->selectHeadersForMultipart(
                ['application/json']
            );
        } else {
            $headers = $this->headerSelector->selectHeaders(
                ['application/json'],
                []
            );
        }

        // for model (json/xml)
        if (isset($_tempBody)) {
            // $_tempBody is the method argument, if present
            $httpBody = $_tempBody;
            
            if($headers['Content-Type'] === 'application/json') {
                // \stdClass has no __toString(), so we should encode it manually
                if ($httpBody instanceof \stdClass) {
                    $httpBody = \GuzzleHttp\json_encode($httpBody);
                }
                // array has no __toString(), so we should encode it manually
                if(is_array($httpBody)) {
                    $httpBody = \GuzzleHttp\json_encode(ObjectSerializer::sanitizeForSerialization($httpBody));
                }
            }
        } elseif (count($formParams) > 0) {
            if ($multipart) {
                $multipartContents = [];
                foreach ($formParams as $formParamName => $formParamValue) {
                    $multipartContents[] = [
                        'name' => $formParamName,
                        'contents' => $formParamValue
                    ];
                }
                // for HTTP post (form)
                $httpBody = new MultipartStream($multipartContents);

            } elseif ($headers['Content-Type'] === 'application/json') {
                $httpBody = \GuzzleHttp\json_encode($formParams);

            } else {
                // for HTTP post (form)
                $httpBody = \GuzzleHttp\Psr7\Query::build($formParams);
            }
        }


        $defaultHeaders = [];
        if ($this->config->getUserAgent()) {
            $defaultHeaders['User-Agent'] = $this->config->getUserAgent();
        }

        $headers = array_merge(
            $defaultHeaders,
            $headerParams,
            $headers
        );

        $query = \GuzzleHttp\Psr7\Query::build($queryParams);
        return new Request(
            'POST',
            $this->config->getHost() . $resourcePath . ($query ? "?{$query}" : ''),
            $headers,
            $httpBody
        );
    }

    /**
     * Operation privateCollectionArticleDelete
     *
     * Delete collection article
     *
     * @param  int $collection_id Collection unique identifier (required)
     * @param  int $article_id Collection article unique identifier (required)
     *
     * @throws \Swagger\Client\ApiException on non-2xx response
     * @throws \InvalidArgumentException
     * @return void
     */
    public function privateCollectionArticleDelete($collection_id, $article_id)
    {
        $this->privateCollectionArticleDeleteWithHttpInfo($collection_id, $article_id);
    }

    /**
     * Operation privateCollectionArticleDeleteWithHttpInfo
     *
     * Delete collection article
     *
     * @param  int $collection_id Collection unique identifier (required)
     * @param  int $article_id Collection article unique identifier (required)
     *
     * @throws \Swagger\Client\ApiException on non-2xx response
     * @throws \InvalidArgumentException
     * @return array of null, HTTP status code, HTTP response headers (array of strings)
     */
    public function privateCollectionArticleDeleteWithHttpInfo($collection_id, $article_id)
    {
        $returnType = '';
        $request = $this->privateCollectionArticleDeleteRequest($collection_id, $article_id);

        try {
            $options = $this->createHttpClientOption();
            try {
                $response = $this->client->send($request, $options);
            } catch (RequestException $e) {
                throw new ApiException(
                    "[{$e->getCode()}] {$e->getMessage()}",
                    $e->getCode(),
                    $e->getResponse() ? $e->getResponse()->getHeaders() : null,
                    $e->getResponse() ? $e->getResponse()->getBody()->getContents() : null
                );
            }

            $statusCode = $response->getStatusCode();

            if ($statusCode < 200 || $statusCode > 299) {
                throw new ApiException(
                    sprintf(
                        '[%d] Error connecting to the API (%s)',
                        $statusCode,
                        $request->getUri()
                    ),
                    $statusCode,
                    $response->getHeaders(),
                    $response->getBody()
                );
            }

            return [null, $statusCode, $response->getHeaders()];

        } catch (ApiException $e) {
            switch ($e->getCode()) {
                case 403:
                    $data = ObjectSerializer::deserialize(
                        $e->getResponseBody(),
                        '\Swagger\Client\Model\ErrorMessage',
                        $e->getResponseHeaders()
                    );
                    $e->setResponseObject($data);
                    break;
            }
            throw $e;
        }
    }

    /**
     * Operation privateCollectionArticleDeleteAsync
     *
     * Delete collection article
     *
     * @param  int $collection_id Collection unique identifier (required)
     * @param  int $article_id Collection article unique identifier (required)
     *
     * @throws \InvalidArgumentException
     * @return \GuzzleHttp\Promise\PromiseInterface
     */
    public function privateCollectionArticleDeleteAsync($collection_id, $article_id)
    {
        return $this->privateCollectionArticleDeleteAsyncWithHttpInfo($collection_id, $article_id)
            ->then(
                function ($response) {
                    return $response[0];
                }
            );
    }

    /**
     * Operation privateCollectionArticleDeleteAsyncWithHttpInfo
     *
     * Delete collection article
     *
     * @param  int $collection_id Collection unique identifier (required)
     * @param  int $article_id Collection article unique identifier (required)
     *
     * @throws \InvalidArgumentException
     * @return \GuzzleHttp\Promise\PromiseInterface
     */
    public function privateCollectionArticleDeleteAsyncWithHttpInfo($collection_id, $article_id)
    {
        $returnType = '';
        $request = $this->privateCollectionArticleDeleteRequest($collection_id, $article_id);

        return $this->client
            ->sendAsync($request, $this->createHttpClientOption())
            ->then(
                function ($response) use ($returnType) {
                    return [null, $response->getStatusCode(), $response->getHeaders()];
                },
                function ($exception) {
                    $response = $exception->getResponse();
                    $statusCode = $response->getStatusCode();
                    throw new ApiException(
                        sprintf(
                            '[%d] Error connecting to the API (%s)',
                            $statusCode,
                            $exception->getRequest()->getUri()
                        ),
                        $statusCode,
                        $response->getHeaders(),
                        $response->getBody()
                    );
                }
            );
    }

    /**
     * Create request for operation 'privateCollectionArticleDelete'
     *
     * @param  int $collection_id Collection unique identifier (required)
     * @param  int $article_id Collection article unique identifier (required)
     *
     * @throws \InvalidArgumentException
     * @return \GuzzleHttp\Psr7\Request
     */
    protected function privateCollectionArticleDeleteRequest($collection_id, $article_id)
    {
        // verify the required parameter 'collection_id' is set
        if ($collection_id === null || (is_array($collection_id) && count($collection_id) === 0)) {
            throw new \InvalidArgumentException(
                'Missing the required parameter $collection_id when calling privateCollectionArticleDelete'
            );
        }
        if ($collection_id < 1) {
            throw new \InvalidArgumentException('invalid value for "$collection_id" when calling CollectionsApi.privateCollectionArticleDelete, must be bigger than or equal to 1.');
        }

        // verify the required parameter 'article_id' is set
        if ($article_id === null || (is_array($article_id) && count($article_id) === 0)) {
            throw new \InvalidArgumentException(
                'Missing the required parameter $article_id when calling privateCollectionArticleDelete'
            );
        }
        if ($article_id < 1) {
            throw new \InvalidArgumentException('invalid value for "$article_id" when calling CollectionsApi.privateCollectionArticleDelete, must be bigger than or equal to 1.');
        }


        $resourcePath = '/account/collections/{collection_id}/articles/{article_id}';
        $formParams = [];
        $queryParams = [];
        $headerParams = [];
        $httpBody = '';
        $multipart = false;


        // path params
        if ($collection_id !== null) {
            $resourcePath = str_replace(
                '{' . 'collection_id' . '}',
                ObjectSerializer::toPathValue($collection_id),
                $resourcePath
            );
        }
        // path params
        if ($article_id !== null) {
            $resourcePath = str_replace(
                '{' . 'article_id' . '}',
                ObjectSerializer::toPathValue($article_id),
                $resourcePath
            );
        }

        // body params
        $_tempBody = null;

        if ($multipart) {
            $headers = $this->headerSelector->selectHeadersForMultipart(
                ['application/json']
            );
        } else {
            $headers = $this->headerSelector->selectHeaders(
                ['application/json'],
                []
            );
        }

        // for model (json/xml)
        if (isset($_tempBody)) {
            // $_tempBody is the method argument, if present
            $httpBody = $_tempBody;
            
            if($headers['Content-Type'] === 'application/json') {
                // \stdClass has no __toString(), so we should encode it manually
                if ($httpBody instanceof \stdClass) {
                    $httpBody = \GuzzleHttp\json_encode($httpBody);
                }
                // array has no __toString(), so we should encode it manually
                if(is_array($httpBody)) {
                    $httpBody = \GuzzleHttp\json_encode(ObjectSerializer::sanitizeForSerialization($httpBody));
                }
            }
        } elseif (count($formParams) > 0) {
            if ($multipart) {
                $multipartContents = [];
                foreach ($formParams as $formParamName => $formParamValue) {
                    $multipartContents[] = [
                        'name' => $formParamName,
                        'contents' => $formParamValue
                    ];
                }
                // for HTTP post (form)
                $httpBody = new MultipartStream($multipartContents);

            } elseif ($headers['Content-Type'] === 'application/json') {
                $httpBody = \GuzzleHttp\json_encode($formParams);

            } else {
                // for HTTP post (form)
                $httpBody = \GuzzleHttp\Psr7\Query::build($formParams);
            }
        }

        // this endpoint requires OAuth (access token)
        if ($this->config->getAccessToken() !== null) {
            $headers['Authorization'] = 'Bearer ' . $this->config->getAccessToken();
        }

        $defaultHeaders = [];
        if ($this->config->getUserAgent()) {
            $defaultHeaders['User-Agent'] = $this->config->getUserAgent();
        }

        $headers = array_merge(
            $defaultHeaders,
            $headerParams,
            $headers
        );

        $query = \GuzzleHttp\Psr7\Query::build($queryParams);
        return new Request(
            'DELETE',
            $this->config->getHost() . $resourcePath . ($query ? "?{$query}" : ''),
            $headers,
            $httpBody
        );
    }

    /**
     * Operation privateCollectionArticlesAdd
     *
     * Add collection articles
     *
     * @param  int $collection_id Collection unique identifier (required)
     * @param  \Swagger\Client\Model\ArticlesCreator $articles Articles list (required)
     *
     * @throws \Swagger\Client\ApiException on non-2xx response
     * @throws \InvalidArgumentException
     * @return \Swagger\Client\Model\Location
     */
    public function privateCollectionArticlesAdd($collection_id, $articles)
    {
        list($response) = $this->privateCollectionArticlesAddWithHttpInfo($collection_id, $articles);
        return $response;
    }

    /**
     * Operation privateCollectionArticlesAddWithHttpInfo
     *
     * Add collection articles
     *
     * @param  int $collection_id Collection unique identifier (required)
     * @param  \Swagger\Client\Model\ArticlesCreator $articles Articles list (required)
     *
     * @throws \Swagger\Client\ApiException on non-2xx response
     * @throws \InvalidArgumentException
     * @return array of \Swagger\Client\Model\Location, HTTP status code, HTTP response headers (array of strings)
     */
    public function privateCollectionArticlesAddWithHttpInfo($collection_id, $articles)
    {
        $returnType = '\Swagger\Client\Model\Location';
        $request = $this->privateCollectionArticlesAddRequest($collection_id, $articles);

        try {
            $options = $this->createHttpClientOption();
            try {
                $response = $this->client->send($request, $options);
            } catch (RequestException $e) {
                throw new ApiException(
                    "[{$e->getCode()}] {$e->getMessage()}",
                    $e->getCode(),
                    $e->getResponse() ? $e->getResponse()->getHeaders() : null,
                    $e->getResponse() ? $e->getResponse()->getBody()->getContents() : null
                );
            }

            $statusCode = $response->getStatusCode();

            if ($statusCode < 200 || $statusCode > 299) {
                throw new ApiException(
                    sprintf(
                        '[%d] Error connecting to the API (%s)',
                        $statusCode,
                        $request->getUri()
                    ),
                    $statusCode,
                    $response->getHeaders(),
                    $response->getBody()
                );
            }

            $responseBody = $response->getBody();
            if ($returnType === '\SplFileObject') {
                $content = $responseBody; //stream goes to serializer
            } else {
                $content = $responseBody->getContents();
                if ($returnType !== 'string') {
                    $content = json_decode($content);
                }
            }

            return [
                ObjectSerializer::deserialize($content, $returnType, []),
                $response->getStatusCode(),
                $response->getHeaders()
            ];

        } catch (ApiException $e) {
            switch ($e->getCode()) {
                case 201:
                    $data = ObjectSerializer::deserialize(
                        $e->getResponseBody(),
                        '\Swagger\Client\Model\Location',
                        $e->getResponseHeaders()
                    );
                    $e->setResponseObject($data);
                    break;
                case 403:
                    $data = ObjectSerializer::deserialize(
                        $e->getResponseBody(),
                        '\Swagger\Client\Model\ErrorMessage',
                        $e->getResponseHeaders()
                    );
                    $e->setResponseObject($data);
                    break;
            }
            throw $e;
        }
    }

    /**
     * Operation privateCollectionArticlesAddAsync
     *
     * Add collection articles
     *
     * @param  int $collection_id Collection unique identifier (required)
     * @param  \Swagger\Client\Model\ArticlesCreator $articles Articles list (required)
     *
     * @throws \InvalidArgumentException
     * @return \GuzzleHttp\Promise\PromiseInterface
     */
    public function privateCollectionArticlesAddAsync($collection_id, $articles)
    {
        return $this->privateCollectionArticlesAddAsyncWithHttpInfo($collection_id, $articles)
            ->then(
                function ($response) {
                    return $response[0];
                }
            );
    }

    /**
     * Operation privateCollectionArticlesAddAsyncWithHttpInfo
     *
     * Add collection articles
     *
     * @param  int $collection_id Collection unique identifier (required)
     * @param  \Swagger\Client\Model\ArticlesCreator $articles Articles list (required)
     *
     * @throws \InvalidArgumentException
     * @return \GuzzleHttp\Promise\PromiseInterface
     */
    public function privateCollectionArticlesAddAsyncWithHttpInfo($collection_id, $articles)
    {
        $returnType = '\Swagger\Client\Model\Location';
        $request = $this->privateCollectionArticlesAddRequest($collection_id, $articles);

        return $this->client
            ->sendAsync($request, $this->createHttpClientOption())
            ->then(
                function ($response) use ($returnType) {
                    $responseBody = $response->getBody();
                    if ($returnType === '\SplFileObject') {
                        $content = $responseBody; //stream goes to serializer
                    } else {
                        $content = $responseBody->getContents();
                        if ($returnType !== 'string') {
                            $content = json_decode($content);
                        }
                    }

                    return [
                        ObjectSerializer::deserialize($content, $returnType, []),
                        $response->getStatusCode(),
                        $response->getHeaders()
                    ];
                },
                function ($exception) {
                    $response = $exception->getResponse();
                    $statusCode = $response->getStatusCode();
                    throw new ApiException(
                        sprintf(
                            '[%d] Error connecting to the API (%s)',
                            $statusCode,
                            $exception->getRequest()->getUri()
                        ),
                        $statusCode,
                        $response->getHeaders(),
                        $response->getBody()
                    );
                }
            );
    }

    /**
     * Create request for operation 'privateCollectionArticlesAdd'
     *
     * @param  int $collection_id Collection unique identifier (required)
     * @param  \Swagger\Client\Model\ArticlesCreator $articles Articles list (required)
     *
     * @throws \InvalidArgumentException
     * @return \GuzzleHttp\Psr7\Request
     */
    protected function privateCollectionArticlesAddRequest($collection_id, $articles)
    {
        // verify the required parameter 'collection_id' is set
        if ($collection_id === null || (is_array($collection_id) && count($collection_id) === 0)) {
            throw new \InvalidArgumentException(
                'Missing the required parameter $collection_id when calling privateCollectionArticlesAdd'
            );
        }
        if ($collection_id < 1) {
            throw new \InvalidArgumentException('invalid value for "$collection_id" when calling CollectionsApi.privateCollectionArticlesAdd, must be bigger than or equal to 1.');
        }

        // verify the required parameter 'articles' is set
        if ($articles === null || (is_array($articles) && count($articles) === 0)) {
            throw new \InvalidArgumentException(
                'Missing the required parameter $articles when calling privateCollectionArticlesAdd'
            );
        }

        $resourcePath = '/account/collections/{collection_id}/articles';
        $formParams = [];
        $queryParams = [];
        $headerParams = [];
        $httpBody = '';
        $multipart = false;


        // path params
        if ($collection_id !== null) {
            $resourcePath = str_replace(
                '{' . 'collection_id' . '}',
                ObjectSerializer::toPathValue($collection_id),
                $resourcePath
            );
        }

        // body params
        $_tempBody = null;
        if (isset($articles)) {
            $_tempBody = $articles;
        }

        if ($multipart) {
            $headers = $this->headerSelector->selectHeadersForMultipart(
                ['application/json']
            );
        } else {
            $headers = $this->headerSelector->selectHeaders(
                ['application/json'],
                []
            );
        }

        // for model (json/xml)
        if (isset($_tempBody)) {
            // $_tempBody is the method argument, if present
            $httpBody = $_tempBody;
            
            if($headers['Content-Type'] === 'application/json') {
                // \stdClass has no __toString(), so we should encode it manually
                if ($httpBody instanceof \stdClass) {
                    $httpBody = \GuzzleHttp\json_encode($httpBody);
                }
                // array has no __toString(), so we should encode it manually
                if(is_array($httpBody)) {
                    $httpBody = \GuzzleHttp\json_encode(ObjectSerializer::sanitizeForSerialization($httpBody));
                }
            }
        } elseif (count($formParams) > 0) {
            if ($multipart) {
                $multipartContents = [];
                foreach ($formParams as $formParamName => $formParamValue) {
                    $multipartContents[] = [
                        'name' => $formParamName,
                        'contents' => $formParamValue
                    ];
                }
                // for HTTP post (form)
                $httpBody = new MultipartStream($multipartContents);

            } elseif ($headers['Content-Type'] === 'application/json') {
                $httpBody = \GuzzleHttp\json_encode($formParams);

            } else {
                // for HTTP post (form)
                $httpBody = \GuzzleHttp\Psr7\Query::build($formParams);
            }
        }

        // this endpoint requires OAuth (access token)
        if ($this->config->getAccessToken() !== null) {
            $headers['Authorization'] = 'Bearer ' . $this->config->getAccessToken();
        }

        $defaultHeaders = [];
        if ($this->config->getUserAgent()) {
            $defaultHeaders['User-Agent'] = $this->config->getUserAgent();
        }

        $headers = array_merge(
            $defaultHeaders,
            $headerParams,
            $headers
        );

        $query = \GuzzleHttp\Psr7\Query::build($queryParams);
        return new Request(
            'POST',
            $this->config->getHost() . $resourcePath . ($query ? "?{$query}" : ''),
            $headers,
            $httpBody
        );
    }

    /**
     * Operation privateCollectionArticlesList
     *
     * List collection articles
     *
     * @param  int $collection_id Collection unique identifier (required)
     * @param  int $page Page number. Used for pagination with page_size (optional)
     * @param  int $page_size The number of results included on a page. Used for pagination with page (optional, default to 10)
     * @param  int $limit Number of results included on a page. Used for pagination with query (optional)
     * @param  int $offset Where to start the listing(the offset of the first result). Used for pagination with limit (optional)
     *
     * @throws \Swagger\Client\ApiException on non-2xx response
     * @throws \InvalidArgumentException
     * @return \Swagger\Client\Model\Article[]
     */
    public function privateCollectionArticlesList($collection_id, $page = null, $page_size = '10', $limit = null, $offset = null)
    {
        list($response) = $this->privateCollectionArticlesListWithHttpInfo($collection_id, $page, $page_size, $limit, $offset);
        return $response;
    }

    /**
     * Operation privateCollectionArticlesListWithHttpInfo
     *
     * List collection articles
     *
     * @param  int $collection_id Collection unique identifier (required)
     * @param  int $page Page number. Used for pagination with page_size (optional)
     * @param  int $page_size The number of results included on a page. Used for pagination with page (optional, default to 10)
     * @param  int $limit Number of results included on a page. Used for pagination with query (optional)
     * @param  int $offset Where to start the listing(the offset of the first result). Used for pagination with limit (optional)
     *
     * @throws \Swagger\Client\ApiException on non-2xx response
     * @throws \InvalidArgumentException
     * @return array of \Swagger\Client\Model\Article[], HTTP status code, HTTP response headers (array of strings)
     */
    public function privateCollectionArticlesListWithHttpInfo($collection_id, $page = null, $page_size = '10', $limit = null, $offset = null)
    {
        $returnType = '\Swagger\Client\Model\Article[]';
        $request = $this->privateCollectionArticlesListRequest($collection_id, $page, $page_size, $limit, $offset);

        try {
            $options = $this->createHttpClientOption();
            try {
                $response = $this->client->send($request, $options);
            } catch (RequestException $e) {
                throw new ApiException(
                    "[{$e->getCode()}] {$e->getMessage()}",
                    $e->getCode(),
                    $e->getResponse() ? $e->getResponse()->getHeaders() : null,
                    $e->getResponse() ? $e->getResponse()->getBody()->getContents() : null
                );
            }

            $statusCode = $response->getStatusCode();

            if ($statusCode < 200 || $statusCode > 299) {
                throw new ApiException(
                    sprintf(
                        '[%d] Error connecting to the API (%s)',
                        $statusCode,
                        $request->getUri()
                    ),
                    $statusCode,
                    $response->getHeaders(),
                    $response->getBody()
                );
            }

            $responseBody = $response->getBody();
            if ($returnType === '\SplFileObject') {
                $content = $responseBody; //stream goes to serializer
            } else {
                $content = $responseBody->getContents();
                if ($returnType !== 'string') {
                    $content = json_decode($content);
                }
            }

            return [
                ObjectSerializer::deserialize($content, $returnType, []),
                $response->getStatusCode(),
                $response->getHeaders()
            ];

        } catch (ApiException $e) {
            switch ($e->getCode()) {
                case 200:
                    $data = ObjectSerializer::deserialize(
                        $e->getResponseBody(),
                        '\Swagger\Client\Model\Article[]',
                        $e->getResponseHeaders()
                    );
                    $e->setResponseObject($data);
                    break;
                case 403:
                    $data = ObjectSerializer::deserialize(
                        $e->getResponseBody(),
                        '\Swagger\Client\Model\ErrorMessage',
                        $e->getResponseHeaders()
                    );
                    $e->setResponseObject($data);
                    break;
            }
            throw $e;
        }
    }

    /**
     * Operation privateCollectionArticlesListAsync
     *
     * List collection articles
     *
     * @param  int $collection_id Collection unique identifier (required)
     * @param  int $page Page number. Used for pagination with page_size (optional)
     * @param  int $page_size The number of results included on a page. Used for pagination with page (optional, default to 10)
     * @param  int $limit Number of results included on a page. Used for pagination with query (optional)
     * @param  int $offset Where to start the listing(the offset of the first result). Used for pagination with limit (optional)
     *
     * @throws \InvalidArgumentException
     * @return \GuzzleHttp\Promise\PromiseInterface
     */
    public function privateCollectionArticlesListAsync($collection_id, $page = null, $page_size = '10', $limit = null, $offset = null)
    {
        return $this->privateCollectionArticlesListAsyncWithHttpInfo($collection_id, $page, $page_size, $limit, $offset)
            ->then(
                function ($response) {
                    return $response[0];
                }
            );
    }

    /**
     * Operation privateCollectionArticlesListAsyncWithHttpInfo
     *
     * List collection articles
     *
     * @param  int $collection_id Collection unique identifier (required)
     * @param  int $page Page number. Used for pagination with page_size (optional)
     * @param  int $page_size The number of results included on a page. Used for pagination with page (optional, default to 10)
     * @param  int $limit Number of results included on a page. Used for pagination with query (optional)
     * @param  int $offset Where to start the listing(the offset of the first result). Used for pagination with limit (optional)
     *
     * @throws \InvalidArgumentException
     * @return \GuzzleHttp\Promise\PromiseInterface
     */
    public function privateCollectionArticlesListAsyncWithHttpInfo($collection_id, $page = null, $page_size = '10', $limit = null, $offset = null)
    {
        $returnType = '\Swagger\Client\Model\Article[]';
        $request = $this->privateCollectionArticlesListRequest($collection_id, $page, $page_size, $limit, $offset);

        return $this->client
            ->sendAsync($request, $this->createHttpClientOption())
            ->then(
                function ($response) use ($returnType) {
                    $responseBody = $response->getBody();
                    if ($returnType === '\SplFileObject') {
                        $content = $responseBody; //stream goes to serializer
                    } else {
                        $content = $responseBody->getContents();
                        if ($returnType !== 'string') {
                            $content = json_decode($content);
                        }
                    }

                    return [
                        ObjectSerializer::deserialize($content, $returnType, []),
                        $response->getStatusCode(),
                        $response->getHeaders()
                    ];
                },
                function ($exception) {
                    $response = $exception->getResponse();
                    $statusCode = $response->getStatusCode();
                    throw new ApiException(
                        sprintf(
                            '[%d] Error connecting to the API (%s)',
                            $statusCode,
                            $exception->getRequest()->getUri()
                        ),
                        $statusCode,
                        $response->getHeaders(),
                        $response->getBody()
                    );
                }
            );
    }

    /**
     * Create request for operation 'privateCollectionArticlesList'
     *
     * @param  int $collection_id Collection unique identifier (required)
     * @param  int $page Page number. Used for pagination with page_size (optional)
     * @param  int $page_size The number of results included on a page. Used for pagination with page (optional, default to 10)
     * @param  int $limit Number of results included on a page. Used for pagination with query (optional)
     * @param  int $offset Where to start the listing(the offset of the first result). Used for pagination with limit (optional)
     *
     * @throws \InvalidArgumentException
     * @return \GuzzleHttp\Psr7\Request
     */
    protected function privateCollectionArticlesListRequest($collection_id, $page = null, $page_size = '10', $limit = null, $offset = null)
    {
        // verify the required parameter 'collection_id' is set
        if ($collection_id === null || (is_array($collection_id) && count($collection_id) === 0)) {
            throw new \InvalidArgumentException(
                'Missing the required parameter $collection_id when calling privateCollectionArticlesList'
            );
        }
        if ($collection_id < 1) {
            throw new \InvalidArgumentException('invalid value for "$collection_id" when calling CollectionsApi.privateCollectionArticlesList, must be bigger than or equal to 1.');
        }

        if ($page !== null && $page > 5000) {
            throw new \InvalidArgumentException('invalid value for "$page" when calling CollectionsApi.privateCollectionArticlesList, must be smaller than or equal to 5000.');
        }
        if ($page !== null && $page < 1) {
            throw new \InvalidArgumentException('invalid value for "$page" when calling CollectionsApi.privateCollectionArticlesList, must be bigger than or equal to 1.');
        }

        if ($page_size !== null && $page_size > 1000) {
            throw new \InvalidArgumentException('invalid value for "$page_size" when calling CollectionsApi.privateCollectionArticlesList, must be smaller than or equal to 1000.');
        }
        if ($page_size !== null && $page_size < 1) {
            throw new \InvalidArgumentException('invalid value for "$page_size" when calling CollectionsApi.privateCollectionArticlesList, must be bigger than or equal to 1.');
        }

        if ($limit !== null && $limit > 1000) {
            throw new \InvalidArgumentException('invalid value for "$limit" when calling CollectionsApi.privateCollectionArticlesList, must be smaller than or equal to 1000.');
        }
        if ($limit !== null && $limit < 1) {
            throw new \InvalidArgumentException('invalid value for "$limit" when calling CollectionsApi.privateCollectionArticlesList, must be bigger than or equal to 1.');
        }

        if ($offset !== null && $offset > 5000) {
            throw new \InvalidArgumentException('invalid value for "$offset" when calling CollectionsApi.privateCollectionArticlesList, must be smaller than or equal to 5000.');
        }
        if ($offset !== null && $offset < 0) {
            throw new \InvalidArgumentException('invalid value for "$offset" when calling CollectionsApi.privateCollectionArticlesList, must be bigger than or equal to 0.');
        }


        $resourcePath = '/account/collections/{collection_id}/articles';
        $formParams = [];
        $queryParams = [];
        $headerParams = [];
        $httpBody = '';
        $multipart = false;

        // query params
        if ($page !== null) {
            $queryParams['page'] = ObjectSerializer::toQueryValue($page);
        }
        // query params
        if ($page_size !== null) {
            $queryParams['page_size'] = ObjectSerializer::toQueryValue($page_size);
        }
        // query params
        if ($limit !== null) {
            $queryParams['limit'] = ObjectSerializer::toQueryValue($limit);
        }
        // query params
        if ($offset !== null) {
            $queryParams['offset'] = ObjectSerializer::toQueryValue($offset);
        }

        // path params
        if ($collection_id !== null) {
            $resourcePath = str_replace(
                '{' . 'collection_id' . '}',
                ObjectSerializer::toPathValue($collection_id),
                $resourcePath
            );
        }

        // body params
        $_tempBody = null;

        if ($multipart) {
            $headers = $this->headerSelector->selectHeadersForMultipart(
                ['application/json']
            );
        } else {
            $headers = $this->headerSelector->selectHeaders(
                ['application/json'],
                []
            );
        }

        // for model (json/xml)
        if (isset($_tempBody)) {
            // $_tempBody is the method argument, if present
            $httpBody = $_tempBody;
            
            if($headers['Content-Type'] === 'application/json') {
                // \stdClass has no __toString(), so we should encode it manually
                if ($httpBody instanceof \stdClass) {
                    $httpBody = \GuzzleHttp\json_encode($httpBody);
                }
                // array has no __toString(), so we should encode it manually
                if(is_array($httpBody)) {
                    $httpBody = \GuzzleHttp\json_encode(ObjectSerializer::sanitizeForSerialization($httpBody));
                }
            }
        } elseif (count($formParams) > 0) {
            if ($multipart) {
                $multipartContents = [];
                foreach ($formParams as $formParamName => $formParamValue) {
                    $multipartContents[] = [
                        'name' => $formParamName,
                        'contents' => $formParamValue
                    ];
                }
                // for HTTP post (form)
                $httpBody = new MultipartStream($multipartContents);

            } elseif ($headers['Content-Type'] === 'application/json') {
                $httpBody = \GuzzleHttp\json_encode($formParams);

            } else {
                // for HTTP post (form)
                $httpBody = \GuzzleHttp\Psr7\Query::build($formParams);
            }
        }

        // this endpoint requires OAuth (access token)
        if ($this->config->getAccessToken() !== null) {
            $headers['Authorization'] = 'Bearer ' . $this->config->getAccessToken();
        }

        $defaultHeaders = [];
        if ($this->config->getUserAgent()) {
            $defaultHeaders['User-Agent'] = $this->config->getUserAgent();
        }

        $headers = array_merge(
            $defaultHeaders,
            $headerParams,
            $headers
        );

        $query = \GuzzleHttp\Psr7\Query::build($queryParams);
        return new Request(
            'GET',
            $this->config->getHost() . $resourcePath . ($query ? "?{$query}" : ''),
            $headers,
            $httpBody
        );
    }

    /**
     * Operation privateCollectionArticlesReplace
     *
     * Replace collection articles
     *
     * @param  int $collection_id Collection unique identifier (required)
     * @param  \Swagger\Client\Model\ArticlesCreator $articles Articles List (required)
     *
     * @throws \Swagger\Client\ApiException on non-2xx response
     * @throws \InvalidArgumentException
     * @return void
     */
    public function privateCollectionArticlesReplace($collection_id, $articles)
    {
        $this->privateCollectionArticlesReplaceWithHttpInfo($collection_id, $articles);
    }

    /**
     * Operation privateCollectionArticlesReplaceWithHttpInfo
     *
     * Replace collection articles
     *
     * @param  int $collection_id Collection unique identifier (required)
     * @param  \Swagger\Client\Model\ArticlesCreator $articles Articles List (required)
     *
     * @throws \Swagger\Client\ApiException on non-2xx response
     * @throws \InvalidArgumentException
     * @return array of null, HTTP status code, HTTP response headers (array of strings)
     */
    public function privateCollectionArticlesReplaceWithHttpInfo($collection_id, $articles)
    {
        $returnType = '';
        $request = $this->privateCollectionArticlesReplaceRequest($collection_id, $articles);

        try {
            $options = $this->createHttpClientOption();
            try {
                $response = $this->client->send($request, $options);
            } catch (RequestException $e) {
                throw new ApiException(
                    "[{$e->getCode()}] {$e->getMessage()}",
                    $e->getCode(),
                    $e->getResponse() ? $e->getResponse()->getHeaders() : null,
                    $e->getResponse() ? $e->getResponse()->getBody()->getContents() : null
                );
            }

            $statusCode = $response->getStatusCode();

            if ($statusCode < 200 || $statusCode > 299) {
                throw new ApiException(
                    sprintf(
                        '[%d] Error connecting to the API (%s)',
                        $statusCode,
                        $request->getUri()
                    ),
                    $statusCode,
                    $response->getHeaders(),
                    $response->getBody()
                );
            }

            return [null, $statusCode, $response->getHeaders()];

        } catch (ApiException $e) {
            switch ($e->getCode()) {
                case 403:
                    $data = ObjectSerializer::deserialize(
                        $e->getResponseBody(),
                        '\Swagger\Client\Model\ErrorMessage',
                        $e->getResponseHeaders()
                    );
                    $e->setResponseObject($data);
                    break;
            }
            throw $e;
        }
    }

    /**
     * Operation privateCollectionArticlesReplaceAsync
     *
     * Replace collection articles
     *
     * @param  int $collection_id Collection unique identifier (required)
     * @param  \Swagger\Client\Model\ArticlesCreator $articles Articles List (required)
     *
     * @throws \InvalidArgumentException
     * @return \GuzzleHttp\Promise\PromiseInterface
     */
    public function privateCollectionArticlesReplaceAsync($collection_id, $articles)
    {
        return $this->privateCollectionArticlesReplaceAsyncWithHttpInfo($collection_id, $articles)
            ->then(
                function ($response) {
                    return $response[0];
                }
            );
    }

    /**
     * Operation privateCollectionArticlesReplaceAsyncWithHttpInfo
     *
     * Replace collection articles
     *
     * @param  int $collection_id Collection unique identifier (required)
     * @param  \Swagger\Client\Model\ArticlesCreator $articles Articles List (required)
     *
     * @throws \InvalidArgumentException
     * @return \GuzzleHttp\Promise\PromiseInterface
     */
    public function privateCollectionArticlesReplaceAsyncWithHttpInfo($collection_id, $articles)
    {
        $returnType = '';
        $request = $this->privateCollectionArticlesReplaceRequest($collection_id, $articles);

        return $this->client
            ->sendAsync($request, $this->createHttpClientOption())
            ->then(
                function ($response) use ($returnType) {
                    return [null, $response->getStatusCode(), $response->getHeaders()];
                },
                function ($exception) {
                    $response = $exception->getResponse();
                    $statusCode = $response->getStatusCode();
                    throw new ApiException(
                        sprintf(
                            '[%d] Error connecting to the API (%s)',
                            $statusCode,
                            $exception->getRequest()->getUri()
                        ),
                        $statusCode,
                        $response->getHeaders(),
                        $response->getBody()
                    );
                }
            );
    }

    /**
     * Create request for operation 'privateCollectionArticlesReplace'
     *
     * @param  int $collection_id Collection unique identifier (required)
     * @param  \Swagger\Client\Model\ArticlesCreator $articles Articles List (required)
     *
     * @throws \InvalidArgumentException
     * @return \GuzzleHttp\Psr7\Request
     */
    protected function privateCollectionArticlesReplaceRequest($collection_id, $articles)
    {
        // verify the required parameter 'collection_id' is set
        if ($collection_id === null || (is_array($collection_id) && count($collection_id) === 0)) {
            throw new \InvalidArgumentException(
                'Missing the required parameter $collection_id when calling privateCollectionArticlesReplace'
            );
        }
        if ($collection_id < 1) {
            throw new \InvalidArgumentException('invalid value for "$collection_id" when calling CollectionsApi.privateCollectionArticlesReplace, must be bigger than or equal to 1.');
        }

        // verify the required parameter 'articles' is set
        if ($articles === null || (is_array($articles) && count($articles) === 0)) {
            throw new \InvalidArgumentException(
                'Missing the required parameter $articles when calling privateCollectionArticlesReplace'
            );
        }

        $resourcePath = '/account/collections/{collection_id}/articles';
        $formParams = [];
        $queryParams = [];
        $headerParams = [];
        $httpBody = '';
        $multipart = false;


        // path params
        if ($collection_id !== null) {
            $resourcePath = str_replace(
                '{' . 'collection_id' . '}',
                ObjectSerializer::toPathValue($collection_id),
                $resourcePath
            );
        }

        // body params
        $_tempBody = null;
        if (isset($articles)) {
            $_tempBody = $articles;
        }

        if ($multipart) {
            $headers = $this->headerSelector->selectHeadersForMultipart(
                ['application/json']
            );
        } else {
            $headers = $this->headerSelector->selectHeaders(
                ['application/json'],
                []
            );
        }

        // for model (json/xml)
        if (isset($_tempBody)) {
            // $_tempBody is the method argument, if present
            $httpBody = $_tempBody;
            
            if($headers['Content-Type'] === 'application/json') {
                // \stdClass has no __toString(), so we should encode it manually
                if ($httpBody instanceof \stdClass) {
                    $httpBody = \GuzzleHttp\json_encode($httpBody);
                }
                // array has no __toString(), so we should encode it manually
                if(is_array($httpBody)) {
                    $httpBody = \GuzzleHttp\json_encode(ObjectSerializer::sanitizeForSerialization($httpBody));
                }
            }
        } elseif (count($formParams) > 0) {
            if ($multipart) {
                $multipartContents = [];
                foreach ($formParams as $formParamName => $formParamValue) {
                    $multipartContents[] = [
                        'name' => $formParamName,
                        'contents' => $formParamValue
                    ];
                }
                // for HTTP post (form)
                $httpBody = new MultipartStream($multipartContents);

            } elseif ($headers['Content-Type'] === 'application/json') {
                $httpBody = \GuzzleHttp\json_encode($formParams);

            } else {
                // for HTTP post (form)
                $httpBody = \GuzzleHttp\Psr7\Query::build($formParams);
            }
        }

        // this endpoint requires OAuth (access token)
        if ($this->config->getAccessToken() !== null) {
            $headers['Authorization'] = 'Bearer ' . $this->config->getAccessToken();
        }

        $defaultHeaders = [];
        if ($this->config->getUserAgent()) {
            $defaultHeaders['User-Agent'] = $this->config->getUserAgent();
        }

        $headers = array_merge(
            $defaultHeaders,
            $headerParams,
            $headers
        );

        $query = \GuzzleHttp\Psr7\Query::build($queryParams);
        return new Request(
            'PUT',
            $this->config->getHost() . $resourcePath . ($query ? "?{$query}" : ''),
            $headers,
            $httpBody
        );
    }

    /**
     * Operation privateCollectionAuthorDelete
     *
     * Delete collection author
     *
     * @param  int $collection_id Collection unique identifier (required)
     * @param  int $author_id Collection Author unique identifier (required)
     *
     * @throws \Swagger\Client\ApiException on non-2xx response
     * @throws \InvalidArgumentException
     * @return void
     */
    public function privateCollectionAuthorDelete($collection_id, $author_id)
    {
        $this->privateCollectionAuthorDeleteWithHttpInfo($collection_id, $author_id);
    }

    /**
     * Operation privateCollectionAuthorDeleteWithHttpInfo
     *
     * Delete collection author
     *
     * @param  int $collection_id Collection unique identifier (required)
     * @param  int $author_id Collection Author unique identifier (required)
     *
     * @throws \Swagger\Client\ApiException on non-2xx response
     * @throws \InvalidArgumentException
     * @return array of null, HTTP status code, HTTP response headers (array of strings)
     */
    public function privateCollectionAuthorDeleteWithHttpInfo($collection_id, $author_id)
    {
        $returnType = '';
        $request = $this->privateCollectionAuthorDeleteRequest($collection_id, $author_id);

        try {
            $options = $this->createHttpClientOption();
            try {
                $response = $this->client->send($request, $options);
            } catch (RequestException $e) {
                throw new ApiException(
                    "[{$e->getCode()}] {$e->getMessage()}",
                    $e->getCode(),
                    $e->getResponse() ? $e->getResponse()->getHeaders() : null,
                    $e->getResponse() ? $e->getResponse()->getBody()->getContents() : null
                );
            }

            $statusCode = $response->getStatusCode();

            if ($statusCode < 200 || $statusCode > 299) {
                throw new ApiException(
                    sprintf(
                        '[%d] Error connecting to the API (%s)',
                        $statusCode,
                        $request->getUri()
                    ),
                    $statusCode,
                    $response->getHeaders(),
                    $response->getBody()
                );
            }

            return [null, $statusCode, $response->getHeaders()];

        } catch (ApiException $e) {
            switch ($e->getCode()) {
                case 403:
                    $data = ObjectSerializer::deserialize(
                        $e->getResponseBody(),
                        '\Swagger\Client\Model\ErrorMessage',
                        $e->getResponseHeaders()
                    );
                    $e->setResponseObject($data);
                    break;
            }
            throw $e;
        }
    }

    /**
     * Operation privateCollectionAuthorDeleteAsync
     *
     * Delete collection author
     *
     * @param  int $collection_id Collection unique identifier (required)
     * @param  int $author_id Collection Author unique identifier (required)
     *
     * @throws \InvalidArgumentException
     * @return \GuzzleHttp\Promise\PromiseInterface
     */
    public function privateCollectionAuthorDeleteAsync($collection_id, $author_id)
    {
        return $this->privateCollectionAuthorDeleteAsyncWithHttpInfo($collection_id, $author_id)
            ->then(
                function ($response) {
                    return $response[0];
                }
            );
    }

    /**
     * Operation privateCollectionAuthorDeleteAsyncWithHttpInfo
     *
     * Delete collection author
     *
     * @param  int $collection_id Collection unique identifier (required)
     * @param  int $author_id Collection Author unique identifier (required)
     *
     * @throws \InvalidArgumentException
     * @return \GuzzleHttp\Promise\PromiseInterface
     */
    public function privateCollectionAuthorDeleteAsyncWithHttpInfo($collection_id, $author_id)
    {
        $returnType = '';
        $request = $this->privateCollectionAuthorDeleteRequest($collection_id, $author_id);

        return $this->client
            ->sendAsync($request, $this->createHttpClientOption())
            ->then(
                function ($response) use ($returnType) {
                    return [null, $response->getStatusCode(), $response->getHeaders()];
                },
                function ($exception) {
                    $response = $exception->getResponse();
                    $statusCode = $response->getStatusCode();
                    throw new ApiException(
                        sprintf(
                            '[%d] Error connecting to the API (%s)',
                            $statusCode,
                            $exception->getRequest()->getUri()
                        ),
                        $statusCode,
                        $response->getHeaders(),
                        $response->getBody()
                    );
                }
            );
    }

    /**
     * Create request for operation 'privateCollectionAuthorDelete'
     *
     * @param  int $collection_id Collection unique identifier (required)
     * @param  int $author_id Collection Author unique identifier (required)
     *
     * @throws \InvalidArgumentException
     * @return \GuzzleHttp\Psr7\Request
     */
    protected function privateCollectionAuthorDeleteRequest($collection_id, $author_id)
    {
        // verify the required parameter 'collection_id' is set
        if ($collection_id === null || (is_array($collection_id) && count($collection_id) === 0)) {
            throw new \InvalidArgumentException(
                'Missing the required parameter $collection_id when calling privateCollectionAuthorDelete'
            );
        }
        if ($collection_id < 1) {
            throw new \InvalidArgumentException('invalid value for "$collection_id" when calling CollectionsApi.privateCollectionAuthorDelete, must be bigger than or equal to 1.');
        }

        // verify the required parameter 'author_id' is set
        if ($author_id === null || (is_array($author_id) && count($author_id) === 0)) {
            throw new \InvalidArgumentException(
                'Missing the required parameter $author_id when calling privateCollectionAuthorDelete'
            );
        }
        if ($author_id < 1) {
            throw new \InvalidArgumentException('invalid value for "$author_id" when calling CollectionsApi.privateCollectionAuthorDelete, must be bigger than or equal to 1.');
        }


        $resourcePath = '/account/collections/{collection_id}/authors/{author_id}';
        $formParams = [];
        $queryParams = [];
        $headerParams = [];
        $httpBody = '';
        $multipart = false;


        // path params
        if ($collection_id !== null) {
            $resourcePath = str_replace(
                '{' . 'collection_id' . '}',
                ObjectSerializer::toPathValue($collection_id),
                $resourcePath
            );
        }
        // path params
        if ($author_id !== null) {
            $resourcePath = str_replace(
                '{' . 'author_id' . '}',
                ObjectSerializer::toPathValue($author_id),
                $resourcePath
            );
        }

        // body params
        $_tempBody = null;

        if ($multipart) {
            $headers = $this->headerSelector->selectHeadersForMultipart(
                ['application/json']
            );
        } else {
            $headers = $this->headerSelector->selectHeaders(
                ['application/json'],
                []
            );
        }

        // for model (json/xml)
        if (isset($_tempBody)) {
            // $_tempBody is the method argument, if present
            $httpBody = $_tempBody;
            
            if($headers['Content-Type'] === 'application/json') {
                // \stdClass has no __toString(), so we should encode it manually
                if ($httpBody instanceof \stdClass) {
                    $httpBody = \GuzzleHttp\json_encode($httpBody);
                }
                // array has no __toString(), so we should encode it manually
                if(is_array($httpBody)) {
                    $httpBody = \GuzzleHttp\json_encode(ObjectSerializer::sanitizeForSerialization($httpBody));
                }
            }
        } elseif (count($formParams) > 0) {
            if ($multipart) {
                $multipartContents = [];
                foreach ($formParams as $formParamName => $formParamValue) {
                    $multipartContents[] = [
                        'name' => $formParamName,
                        'contents' => $formParamValue
                    ];
                }
                // for HTTP post (form)
                $httpBody = new MultipartStream($multipartContents);

            } elseif ($headers['Content-Type'] === 'application/json') {
                $httpBody = \GuzzleHttp\json_encode($formParams);

            } else {
                // for HTTP post (form)
                $httpBody = \GuzzleHttp\Psr7\Query::build($formParams);
            }
        }

        // this endpoint requires OAuth (access token)
        if ($this->config->getAccessToken() !== null) {
            $headers['Authorization'] = 'Bearer ' . $this->config->getAccessToken();
        }

        $defaultHeaders = [];
        if ($this->config->getUserAgent()) {
            $defaultHeaders['User-Agent'] = $this->config->getUserAgent();
        }

        $headers = array_merge(
            $defaultHeaders,
            $headerParams,
            $headers
        );

        $query = \GuzzleHttp\Psr7\Query::build($queryParams);
        return new Request(
            'DELETE',
            $this->config->getHost() . $resourcePath . ($query ? "?{$query}" : ''),
            $headers,
            $httpBody
        );
    }

    /**
     * Operation privateCollectionAuthorsAdd
     *
     * Add collection authors
     *
     * @param  int $collection_id Collection unique identifier (required)
     * @param  \Swagger\Client\Model\AuthorsCreator $authors List of authors (required)
     *
     * @throws \Swagger\Client\ApiException on non-2xx response
     * @throws \InvalidArgumentException
     * @return \Swagger\Client\Model\Location
     */
    public function privateCollectionAuthorsAdd($collection_id, $authors)
    {
        list($response) = $this->privateCollectionAuthorsAddWithHttpInfo($collection_id, $authors);
        return $response;
    }

    /**
     * Operation privateCollectionAuthorsAddWithHttpInfo
     *
     * Add collection authors
     *
     * @param  int $collection_id Collection unique identifier (required)
     * @param  \Swagger\Client\Model\AuthorsCreator $authors List of authors (required)
     *
     * @throws \Swagger\Client\ApiException on non-2xx response
     * @throws \InvalidArgumentException
     * @return array of \Swagger\Client\Model\Location, HTTP status code, HTTP response headers (array of strings)
     */
    public function privateCollectionAuthorsAddWithHttpInfo($collection_id, $authors)
    {
        $returnType = '\Swagger\Client\Model\Location';
        $request = $this->privateCollectionAuthorsAddRequest($collection_id, $authors);

        try {
            $options = $this->createHttpClientOption();
            try {
                $response = $this->client->send($request, $options);
            } catch (RequestException $e) {
                throw new ApiException(
                    "[{$e->getCode()}] {$e->getMessage()}",
                    $e->getCode(),
                    $e->getResponse() ? $e->getResponse()->getHeaders() : null,
                    $e->getResponse() ? $e->getResponse()->getBody()->getContents() : null
                );
            }

            $statusCode = $response->getStatusCode();

            if ($statusCode < 200 || $statusCode > 299) {
                throw new ApiException(
                    sprintf(
                        '[%d] Error connecting to the API (%s)',
                        $statusCode,
                        $request->getUri()
                    ),
                    $statusCode,
                    $response->getHeaders(),
                    $response->getBody()
                );
            }

            $responseBody = $response->getBody();
            if ($returnType === '\SplFileObject') {
                $content = $responseBody; //stream goes to serializer
            } else {
                $content = $responseBody->getContents();
                if ($returnType !== 'string') {
                    $content = json_decode($content);
                }
            }

            return [
                ObjectSerializer::deserialize($content, $returnType, []),
                $response->getStatusCode(),
                $response->getHeaders()
            ];

        } catch (ApiException $e) {
            switch ($e->getCode()) {
                case 201:
                    $data = ObjectSerializer::deserialize(
                        $e->getResponseBody(),
                        '\Swagger\Client\Model\Location',
                        $e->getResponseHeaders()
                    );
                    $e->setResponseObject($data);
                    break;
                case 403:
                    $data = ObjectSerializer::deserialize(
                        $e->getResponseBody(),
                        '\Swagger\Client\Model\ErrorMessage',
                        $e->getResponseHeaders()
                    );
                    $e->setResponseObject($data);
                    break;
            }
            throw $e;
        }
    }

    /**
     * Operation privateCollectionAuthorsAddAsync
     *
     * Add collection authors
     *
     * @param  int $collection_id Collection unique identifier (required)
     * @param  \Swagger\Client\Model\AuthorsCreator $authors List of authors (required)
     *
     * @throws \InvalidArgumentException
     * @return \GuzzleHttp\Promise\PromiseInterface
     */
    public function privateCollectionAuthorsAddAsync($collection_id, $authors)
    {
        return $this->privateCollectionAuthorsAddAsyncWithHttpInfo($collection_id, $authors)
            ->then(
                function ($response) {
                    return $response[0];
                }
            );
    }

    /**
     * Operation privateCollectionAuthorsAddAsyncWithHttpInfo
     *
     * Add collection authors
     *
     * @param  int $collection_id Collection unique identifier (required)
     * @param  \Swagger\Client\Model\AuthorsCreator $authors List of authors (required)
     *
     * @throws \InvalidArgumentException
     * @return \GuzzleHttp\Promise\PromiseInterface
     */
    public function privateCollectionAuthorsAddAsyncWithHttpInfo($collection_id, $authors)
    {
        $returnType = '\Swagger\Client\Model\Location';
        $request = $this->privateCollectionAuthorsAddRequest($collection_id, $authors);

        return $this->client
            ->sendAsync($request, $this->createHttpClientOption())
            ->then(
                function ($response) use ($returnType) {
                    $responseBody = $response->getBody();
                    if ($returnType === '\SplFileObject') {
                        $content = $responseBody; //stream goes to serializer
                    } else {
                        $content = $responseBody->getContents();
                        if ($returnType !== 'string') {
                            $content = json_decode($content);
                        }
                    }

                    return [
                        ObjectSerializer::deserialize($content, $returnType, []),
                        $response->getStatusCode(),
                        $response->getHeaders()
                    ];
                },
                function ($exception) {
                    $response = $exception->getResponse();
                    $statusCode = $response->getStatusCode();
                    throw new ApiException(
                        sprintf(
                            '[%d] Error connecting to the API (%s)',
                            $statusCode,
                            $exception->getRequest()->getUri()
                        ),
                        $statusCode,
                        $response->getHeaders(),
                        $response->getBody()
                    );
                }
            );
    }

    /**
     * Create request for operation 'privateCollectionAuthorsAdd'
     *
     * @param  int $collection_id Collection unique identifier (required)
     * @param  \Swagger\Client\Model\AuthorsCreator $authors List of authors (required)
     *
     * @throws \InvalidArgumentException
     * @return \GuzzleHttp\Psr7\Request
     */
    protected function privateCollectionAuthorsAddRequest($collection_id, $authors)
    {
        // verify the required parameter 'collection_id' is set
        if ($collection_id === null || (is_array($collection_id) && count($collection_id) === 0)) {
            throw new \InvalidArgumentException(
                'Missing the required parameter $collection_id when calling privateCollectionAuthorsAdd'
            );
        }
        if ($collection_id < 1) {
            throw new \InvalidArgumentException('invalid value for "$collection_id" when calling CollectionsApi.privateCollectionAuthorsAdd, must be bigger than or equal to 1.');
        }

        // verify the required parameter 'authors' is set
        if ($authors === null || (is_array($authors) && count($authors) === 0)) {
            throw new \InvalidArgumentException(
                'Missing the required parameter $authors when calling privateCollectionAuthorsAdd'
            );
        }

        $resourcePath = '/account/collections/{collection_id}/authors';
        $formParams = [];
        $queryParams = [];
        $headerParams = [];
        $httpBody = '';
        $multipart = false;


        // path params
        if ($collection_id !== null) {
            $resourcePath = str_replace(
                '{' . 'collection_id' . '}',
                ObjectSerializer::toPathValue($collection_id),
                $resourcePath
            );
        }

        // body params
        $_tempBody = null;
        if (isset($authors)) {
            $_tempBody = $authors;
        }

        if ($multipart) {
            $headers = $this->headerSelector->selectHeadersForMultipart(
                ['application/json']
            );
        } else {
            $headers = $this->headerSelector->selectHeaders(
                ['application/json'],
                []
            );
        }

        // for model (json/xml)
        if (isset($_tempBody)) {
            // $_tempBody is the method argument, if present
            $httpBody = $_tempBody;
            
            if($headers['Content-Type'] === 'application/json') {
                // \stdClass has no __toString(), so we should encode it manually
                if ($httpBody instanceof \stdClass) {
                    $httpBody = \GuzzleHttp\json_encode($httpBody);
                }
                // array has no __toString(), so we should encode it manually
                if(is_array($httpBody)) {
                    $httpBody = \GuzzleHttp\json_encode(ObjectSerializer::sanitizeForSerialization($httpBody));
                }
            }
        } elseif (count($formParams) > 0) {
            if ($multipart) {
                $multipartContents = [];
                foreach ($formParams as $formParamName => $formParamValue) {
                    $multipartContents[] = [
                        'name' => $formParamName,
                        'contents' => $formParamValue
                    ];
                }
                // for HTTP post (form)
                $httpBody = new MultipartStream($multipartContents);

            } elseif ($headers['Content-Type'] === 'application/json') {
                $httpBody = \GuzzleHttp\json_encode($formParams);

            } else {
                // for HTTP post (form)
                $httpBody = \GuzzleHttp\Psr7\Query::build($formParams);
            }
        }

        // this endpoint requires OAuth (access token)
        if ($this->config->getAccessToken() !== null) {
            $headers['Authorization'] = 'Bearer ' . $this->config->getAccessToken();
        }

        $defaultHeaders = [];
        if ($this->config->getUserAgent()) {
            $defaultHeaders['User-Agent'] = $this->config->getUserAgent();
        }

        $headers = array_merge(
            $defaultHeaders,
            $headerParams,
            $headers
        );

        $query = \GuzzleHttp\Psr7\Query::build($queryParams);
        return new Request(
            'POST',
            $this->config->getHost() . $resourcePath . ($query ? "?{$query}" : ''),
            $headers,
            $httpBody
        );
    }

    /**
     * Operation privateCollectionAuthorsList
     *
     * List collection authors
     *
     * @param  int $collection_id Collection unique identifier (required)
     *
     * @throws \Swagger\Client\ApiException on non-2xx response
     * @throws \InvalidArgumentException
     * @return \Swagger\Client\Model\Author[]
     */
    public function privateCollectionAuthorsList($collection_id)
    {
        list($response) = $this->privateCollectionAuthorsListWithHttpInfo($collection_id);
        return $response;
    }

    /**
     * Operation privateCollectionAuthorsListWithHttpInfo
     *
     * List collection authors
     *
     * @param  int $collection_id Collection unique identifier (required)
     *
     * @throws \Swagger\Client\ApiException on non-2xx response
     * @throws \InvalidArgumentException
     * @return array of \Swagger\Client\Model\Author[], HTTP status code, HTTP response headers (array of strings)
     */
    public function privateCollectionAuthorsListWithHttpInfo($collection_id)
    {
        $returnType = '\Swagger\Client\Model\Author[]';
        $request = $this->privateCollectionAuthorsListRequest($collection_id);

        try {
            $options = $this->createHttpClientOption();
            try {
                $response = $this->client->send($request, $options);
            } catch (RequestException $e) {
                throw new ApiException(
                    "[{$e->getCode()}] {$e->getMessage()}",
                    $e->getCode(),
                    $e->getResponse() ? $e->getResponse()->getHeaders() : null,
                    $e->getResponse() ? $e->getResponse()->getBody()->getContents() : null
                );
            }

            $statusCode = $response->getStatusCode();

            if ($statusCode < 200 || $statusCode > 299) {
                throw new ApiException(
                    sprintf(
                        '[%d] Error connecting to the API (%s)',
                        $statusCode,
                        $request->getUri()
                    ),
                    $statusCode,
                    $response->getHeaders(),
                    $response->getBody()
                );
            }

            $responseBody = $response->getBody();
            if ($returnType === '\SplFileObject') {
                $content = $responseBody; //stream goes to serializer
            } else {
                $content = $responseBody->getContents();
                if ($returnType !== 'string') {
                    $content = json_decode($content);
                }
            }

            return [
                ObjectSerializer::deserialize($content, $returnType, []),
                $response->getStatusCode(),
                $response->getHeaders()
            ];

        } catch (ApiException $e) {
            switch ($e->getCode()) {
                case 200:
                    $data = ObjectSerializer::deserialize(
                        $e->getResponseBody(),
                        '\Swagger\Client\Model\Author[]',
                        $e->getResponseHeaders()
                    );
                    $e->setResponseObject($data);
                    break;
                case 403:
                    $data = ObjectSerializer::deserialize(
                        $e->getResponseBody(),
                        '\Swagger\Client\Model\ErrorMessage',
                        $e->getResponseHeaders()
                    );
                    $e->setResponseObject($data);
                    break;
            }
            throw $e;
        }
    }

    /**
     * Operation privateCollectionAuthorsListAsync
     *
     * List collection authors
     *
     * @param  int $collection_id Collection unique identifier (required)
     *
     * @throws \InvalidArgumentException
     * @return \GuzzleHttp\Promise\PromiseInterface
     */
    public function privateCollectionAuthorsListAsync($collection_id)
    {
        return $this->privateCollectionAuthorsListAsyncWithHttpInfo($collection_id)
            ->then(
                function ($response) {
                    return $response[0];
                }
            );
    }

    /**
     * Operation privateCollectionAuthorsListAsyncWithHttpInfo
     *
     * List collection authors
     *
     * @param  int $collection_id Collection unique identifier (required)
     *
     * @throws \InvalidArgumentException
     * @return \GuzzleHttp\Promise\PromiseInterface
     */
    public function privateCollectionAuthorsListAsyncWithHttpInfo($collection_id)
    {
        $returnType = '\Swagger\Client\Model\Author[]';
        $request = $this->privateCollectionAuthorsListRequest($collection_id);

        return $this->client
            ->sendAsync($request, $this->createHttpClientOption())
            ->then(
                function ($response) use ($returnType) {
                    $responseBody = $response->getBody();
                    if ($returnType === '\SplFileObject') {
                        $content = $responseBody; //stream goes to serializer
                    } else {
                        $content = $responseBody->getContents();
                        if ($returnType !== 'string') {
                            $content = json_decode($content);
                        }
                    }

                    return [
                        ObjectSerializer::deserialize($content, $returnType, []),
                        $response->getStatusCode(),
                        $response->getHeaders()
                    ];
                },
                function ($exception) {
                    $response = $exception->getResponse();
                    $statusCode = $response->getStatusCode();
                    throw new ApiException(
                        sprintf(
                            '[%d] Error connecting to the API (%s)',
                            $statusCode,
                            $exception->getRequest()->getUri()
                        ),
                        $statusCode,
                        $response->getHeaders(),
                        $response->getBody()
                    );
                }
            );
    }

    /**
     * Create request for operation 'privateCollectionAuthorsList'
     *
     * @param  int $collection_id Collection unique identifier (required)
     *
     * @throws \InvalidArgumentException
     * @return \GuzzleHttp\Psr7\Request
     */
    protected function privateCollectionAuthorsListRequest($collection_id)
    {
        // verify the required parameter 'collection_id' is set
        if ($collection_id === null || (is_array($collection_id) && count($collection_id) === 0)) {
            throw new \InvalidArgumentException(
                'Missing the required parameter $collection_id when calling privateCollectionAuthorsList'
            );
        }
        if ($collection_id < 1) {
            throw new \InvalidArgumentException('invalid value for "$collection_id" when calling CollectionsApi.privateCollectionAuthorsList, must be bigger than or equal to 1.');
        }


        $resourcePath = '/account/collections/{collection_id}/authors';
        $formParams = [];
        $queryParams = [];
        $headerParams = [];
        $httpBody = '';
        $multipart = false;


        // path params
        if ($collection_id !== null) {
            $resourcePath = str_replace(
                '{' . 'collection_id' . '}',
                ObjectSerializer::toPathValue($collection_id),
                $resourcePath
            );
        }

        // body params
        $_tempBody = null;

        if ($multipart) {
            $headers = $this->headerSelector->selectHeadersForMultipart(
                ['application/json']
            );
        } else {
            $headers = $this->headerSelector->selectHeaders(
                ['application/json'],
                []
            );
        }

        // for model (json/xml)
        if (isset($_tempBody)) {
            // $_tempBody is the method argument, if present
            $httpBody = $_tempBody;
            
            if($headers['Content-Type'] === 'application/json') {
                // \stdClass has no __toString(), so we should encode it manually
                if ($httpBody instanceof \stdClass) {
                    $httpBody = \GuzzleHttp\json_encode($httpBody);
                }
                // array has no __toString(), so we should encode it manually
                if(is_array($httpBody)) {
                    $httpBody = \GuzzleHttp\json_encode(ObjectSerializer::sanitizeForSerialization($httpBody));
                }
            }
        } elseif (count($formParams) > 0) {
            if ($multipart) {
                $multipartContents = [];
                foreach ($formParams as $formParamName => $formParamValue) {
                    $multipartContents[] = [
                        'name' => $formParamName,
                        'contents' => $formParamValue
                    ];
                }
                // for HTTP post (form)
                $httpBody = new MultipartStream($multipartContents);

            } elseif ($headers['Content-Type'] === 'application/json') {
                $httpBody = \GuzzleHttp\json_encode($formParams);

            } else {
                // for HTTP post (form)
                $httpBody = \GuzzleHttp\Psr7\Query::build($formParams);
            }
        }

        // this endpoint requires OAuth (access token)
        if ($this->config->getAccessToken() !== null) {
            $headers['Authorization'] = 'Bearer ' . $this->config->getAccessToken();
        }

        $defaultHeaders = [];
        if ($this->config->getUserAgent()) {
            $defaultHeaders['User-Agent'] = $this->config->getUserAgent();
        }

        $headers = array_merge(
            $defaultHeaders,
            $headerParams,
            $headers
        );

        $query = \GuzzleHttp\Psr7\Query::build($queryParams);
        return new Request(
            'GET',
            $this->config->getHost() . $resourcePath . ($query ? "?{$query}" : ''),
            $headers,
            $httpBody
        );
    }

    /**
     * Operation privateCollectionAuthorsReplace
     *
     * Replace collection authors
     *
     * @param  int $collection_id Collection unique identifier (required)
     * @param  \Swagger\Client\Model\AuthorsCreator $authors List of authors (required)
     *
     * @throws \Swagger\Client\ApiException on non-2xx response
     * @throws \InvalidArgumentException
     * @return void
     */
    public function privateCollectionAuthorsReplace($collection_id, $authors)
    {
        $this->privateCollectionAuthorsReplaceWithHttpInfo($collection_id, $authors);
    }

    /**
     * Operation privateCollectionAuthorsReplaceWithHttpInfo
     *
     * Replace collection authors
     *
     * @param  int $collection_id Collection unique identifier (required)
     * @param  \Swagger\Client\Model\AuthorsCreator $authors List of authors (required)
     *
     * @throws \Swagger\Client\ApiException on non-2xx response
     * @throws \InvalidArgumentException
     * @return array of null, HTTP status code, HTTP response headers (array of strings)
     */
    public function privateCollectionAuthorsReplaceWithHttpInfo($collection_id, $authors)
    {
        $returnType = '';
        $request = $this->privateCollectionAuthorsReplaceRequest($collection_id, $authors);

        try {
            $options = $this->createHttpClientOption();
            try {
                $response = $this->client->send($request, $options);
            } catch (RequestException $e) {
                throw new ApiException(
                    "[{$e->getCode()}] {$e->getMessage()}",
                    $e->getCode(),
                    $e->getResponse() ? $e->getResponse()->getHeaders() : null,
                    $e->getResponse() ? $e->getResponse()->getBody()->getContents() : null
                );
            }

            $statusCode = $response->getStatusCode();

            if ($statusCode < 200 || $statusCode > 299) {
                throw new ApiException(
                    sprintf(
                        '[%d] Error connecting to the API (%s)',
                        $statusCode,
                        $request->getUri()
                    ),
                    $statusCode,
                    $response->getHeaders(),
                    $response->getBody()
                );
            }

            return [null, $statusCode, $response->getHeaders()];

        } catch (ApiException $e) {
            switch ($e->getCode()) {
                case 403:
                    $data = ObjectSerializer::deserialize(
                        $e->getResponseBody(),
                        '\Swagger\Client\Model\ErrorMessage',
                        $e->getResponseHeaders()
                    );
                    $e->setResponseObject($data);
                    break;
            }
            throw $e;
        }
    }

    /**
     * Operation privateCollectionAuthorsReplaceAsync
     *
     * Replace collection authors
     *
     * @param  int $collection_id Collection unique identifier (required)
     * @param  \Swagger\Client\Model\AuthorsCreator $authors List of authors (required)
     *
     * @throws \InvalidArgumentException
     * @return \GuzzleHttp\Promise\PromiseInterface
     */
    public function privateCollectionAuthorsReplaceAsync($collection_id, $authors)
    {
        return $this->privateCollectionAuthorsReplaceAsyncWithHttpInfo($collection_id, $authors)
            ->then(
                function ($response) {
                    return $response[0];
                }
            );
    }

    /**
     * Operation privateCollectionAuthorsReplaceAsyncWithHttpInfo
     *
     * Replace collection authors
     *
     * @param  int $collection_id Collection unique identifier (required)
     * @param  \Swagger\Client\Model\AuthorsCreator $authors List of authors (required)
     *
     * @throws \InvalidArgumentException
     * @return \GuzzleHttp\Promise\PromiseInterface
     */
    public function privateCollectionAuthorsReplaceAsyncWithHttpInfo($collection_id, $authors)
    {
        $returnType = '';
        $request = $this->privateCollectionAuthorsReplaceRequest($collection_id, $authors);

        return $this->client
            ->sendAsync($request, $this->createHttpClientOption())
            ->then(
                function ($response) use ($returnType) {
                    return [null, $response->getStatusCode(), $response->getHeaders()];
                },
                function ($exception) {
                    $response = $exception->getResponse();
                    $statusCode = $response->getStatusCode();
                    throw new ApiException(
                        sprintf(
                            '[%d] Error connecting to the API (%s)',
                            $statusCode,
                            $exception->getRequest()->getUri()
                        ),
                        $statusCode,
                        $response->getHeaders(),
                        $response->getBody()
                    );
                }
            );
    }

    /**
     * Create request for operation 'privateCollectionAuthorsReplace'
     *
     * @param  int $collection_id Collection unique identifier (required)
     * @param  \Swagger\Client\Model\AuthorsCreator $authors List of authors (required)
     *
     * @throws \InvalidArgumentException
     * @return \GuzzleHttp\Psr7\Request
     */
    protected function privateCollectionAuthorsReplaceRequest($collection_id, $authors)
    {
        // verify the required parameter 'collection_id' is set
        if ($collection_id === null || (is_array($collection_id) && count($collection_id) === 0)) {
            throw new \InvalidArgumentException(
                'Missing the required parameter $collection_id when calling privateCollectionAuthorsReplace'
            );
        }
        if ($collection_id < 1) {
            throw new \InvalidArgumentException('invalid value for "$collection_id" when calling CollectionsApi.privateCollectionAuthorsReplace, must be bigger than or equal to 1.');
        }

        // verify the required parameter 'authors' is set
        if ($authors === null || (is_array($authors) && count($authors) === 0)) {
            throw new \InvalidArgumentException(
                'Missing the required parameter $authors when calling privateCollectionAuthorsReplace'
            );
        }

        $resourcePath = '/account/collections/{collection_id}/authors';
        $formParams = [];
        $queryParams = [];
        $headerParams = [];
        $httpBody = '';
        $multipart = false;


        // path params
        if ($collection_id !== null) {
            $resourcePath = str_replace(
                '{' . 'collection_id' . '}',
                ObjectSerializer::toPathValue($collection_id),
                $resourcePath
            );
        }

        // body params
        $_tempBody = null;
        if (isset($authors)) {
            $_tempBody = $authors;
        }

        if ($multipart) {
            $headers = $this->headerSelector->selectHeadersForMultipart(
                ['application/json']
            );
        } else {
            $headers = $this->headerSelector->selectHeaders(
                ['application/json'],
                []
            );
        }

        // for model (json/xml)
        if (isset($_tempBody)) {
            // $_tempBody is the method argument, if present
            $httpBody = $_tempBody;
            
            if($headers['Content-Type'] === 'application/json') {
                // \stdClass has no __toString(), so we should encode it manually
                if ($httpBody instanceof \stdClass) {
                    $httpBody = \GuzzleHttp\json_encode($httpBody);
                }
                // array has no __toString(), so we should encode it manually
                if(is_array($httpBody)) {
                    $httpBody = \GuzzleHttp\json_encode(ObjectSerializer::sanitizeForSerialization($httpBody));
                }
            }
        } elseif (count($formParams) > 0) {
            if ($multipart) {
                $multipartContents = [];
                foreach ($formParams as $formParamName => $formParamValue) {
                    $multipartContents[] = [
                        'name' => $formParamName,
                        'contents' => $formParamValue
                    ];
                }
                // for HTTP post (form)
                $httpBody = new MultipartStream($multipartContents);

            } elseif ($headers['Content-Type'] === 'application/json') {
                $httpBody = \GuzzleHttp\json_encode($formParams);

            } else {
                // for HTTP post (form)
                $httpBody = \GuzzleHttp\Psr7\Query::build($formParams);
            }
        }

        // this endpoint requires OAuth (access token)
        if ($this->config->getAccessToken() !== null) {
            $headers['Authorization'] = 'Bearer ' . $this->config->getAccessToken();
        }

        $defaultHeaders = [];
        if ($this->config->getUserAgent()) {
            $defaultHeaders['User-Agent'] = $this->config->getUserAgent();
        }

        $headers = array_merge(
            $defaultHeaders,
            $headerParams,
            $headers
        );

        $query = \GuzzleHttp\Psr7\Query::build($queryParams);
        return new Request(
            'PUT',
            $this->config->getHost() . $resourcePath . ($query ? "?{$query}" : ''),
            $headers,
            $httpBody
        );
    }

    /**
     * Operation privateCollectionCategoriesAdd
     *
     * Add collection categories
     *
     * @param  int $collection_id Collection unique identifier (required)
     * @param  \Swagger\Client\Model\CategoriesCreator $categories Categories list (required)
     *
     * @throws \Swagger\Client\ApiException on non-2xx response
     * @throws \InvalidArgumentException
     * @return \Swagger\Client\Model\Location
     */
    public function privateCollectionCategoriesAdd($collection_id, $categories)
    {
        list($response) = $this->privateCollectionCategoriesAddWithHttpInfo($collection_id, $categories);
        return $response;
    }

    /**
     * Operation privateCollectionCategoriesAddWithHttpInfo
     *
     * Add collection categories
     *
     * @param  int $collection_id Collection unique identifier (required)
     * @param  \Swagger\Client\Model\CategoriesCreator $categories Categories list (required)
     *
     * @throws \Swagger\Client\ApiException on non-2xx response
     * @throws \InvalidArgumentException
     * @return array of \Swagger\Client\Model\Location, HTTP status code, HTTP response headers (array of strings)
     */
    public function privateCollectionCategoriesAddWithHttpInfo($collection_id, $categories)
    {
        $returnType = '\Swagger\Client\Model\Location';
        $request = $this->privateCollectionCategoriesAddRequest($collection_id, $categories);

        try {
            $options = $this->createHttpClientOption();
            try {
                $response = $this->client->send($request, $options);
            } catch (RequestException $e) {
                throw new ApiException(
                    "[{$e->getCode()}] {$e->getMessage()}",
                    $e->getCode(),
                    $e->getResponse() ? $e->getResponse()->getHeaders() : null,
                    $e->getResponse() ? $e->getResponse()->getBody()->getContents() : null
                );
            }

            $statusCode = $response->getStatusCode();

            if ($statusCode < 200 || $statusCode > 299) {
                throw new ApiException(
                    sprintf(
                        '[%d] Error connecting to the API (%s)',
                        $statusCode,
                        $request->getUri()
                    ),
                    $statusCode,
                    $response->getHeaders(),
                    $response->getBody()
                );
            }

            $responseBody = $response->getBody();
            if ($returnType === '\SplFileObject') {
                $content = $responseBody; //stream goes to serializer
            } else {
                $content = $responseBody->getContents();
                if ($returnType !== 'string') {
                    $content = json_decode($content);
                }
            }

            return [
                ObjectSerializer::deserialize($content, $returnType, []),
                $response->getStatusCode(),
                $response->getHeaders()
            ];

        } catch (ApiException $e) {
            switch ($e->getCode()) {
                case 201:
                    $data = ObjectSerializer::deserialize(
                        $e->getResponseBody(),
                        '\Swagger\Client\Model\Location',
                        $e->getResponseHeaders()
                    );
                    $e->setResponseObject($data);
                    break;
                case 403:
                    $data = ObjectSerializer::deserialize(
                        $e->getResponseBody(),
                        '\Swagger\Client\Model\ErrorMessage',
                        $e->getResponseHeaders()
                    );
                    $e->setResponseObject($data);
                    break;
            }
            throw $e;
        }
    }

    /**
     * Operation privateCollectionCategoriesAddAsync
     *
     * Add collection categories
     *
     * @param  int $collection_id Collection unique identifier (required)
     * @param  \Swagger\Client\Model\CategoriesCreator $categories Categories list (required)
     *
     * @throws \InvalidArgumentException
     * @return \GuzzleHttp\Promise\PromiseInterface
     */
    public function privateCollectionCategoriesAddAsync($collection_id, $categories)
    {
        return $this->privateCollectionCategoriesAddAsyncWithHttpInfo($collection_id, $categories)
            ->then(
                function ($response) {
                    return $response[0];
                }
            );
    }

    /**
     * Operation privateCollectionCategoriesAddAsyncWithHttpInfo
     *
     * Add collection categories
     *
     * @param  int $collection_id Collection unique identifier (required)
     * @param  \Swagger\Client\Model\CategoriesCreator $categories Categories list (required)
     *
     * @throws \InvalidArgumentException
     * @return \GuzzleHttp\Promise\PromiseInterface
     */
    public function privateCollectionCategoriesAddAsyncWithHttpInfo($collection_id, $categories)
    {
        $returnType = '\Swagger\Client\Model\Location';
        $request = $this->privateCollectionCategoriesAddRequest($collection_id, $categories);

        return $this->client
            ->sendAsync($request, $this->createHttpClientOption())
            ->then(
                function ($response) use ($returnType) {
                    $responseBody = $response->getBody();
                    if ($returnType === '\SplFileObject') {
                        $content = $responseBody; //stream goes to serializer
                    } else {
                        $content = $responseBody->getContents();
                        if ($returnType !== 'string') {
                            $content = json_decode($content);
                        }
                    }

                    return [
                        ObjectSerializer::deserialize($content, $returnType, []),
                        $response->getStatusCode(),
                        $response->getHeaders()
                    ];
                },
                function ($exception) {
                    $response = $exception->getResponse();
                    $statusCode = $response->getStatusCode();
                    throw new ApiException(
                        sprintf(
                            '[%d] Error connecting to the API (%s)',
                            $statusCode,
                            $exception->getRequest()->getUri()
                        ),
                        $statusCode,
                        $response->getHeaders(),
                        $response->getBody()
                    );
                }
            );
    }

    /**
     * Create request for operation 'privateCollectionCategoriesAdd'
     *
     * @param  int $collection_id Collection unique identifier (required)
     * @param  \Swagger\Client\Model\CategoriesCreator $categories Categories list (required)
     *
     * @throws \InvalidArgumentException
     * @return \GuzzleHttp\Psr7\Request
     */
    protected function privateCollectionCategoriesAddRequest($collection_id, $categories)
    {
        // verify the required parameter 'collection_id' is set
        if ($collection_id === null || (is_array($collection_id) && count($collection_id) === 0)) {
            throw new \InvalidArgumentException(
                'Missing the required parameter $collection_id when calling privateCollectionCategoriesAdd'
            );
        }
        if ($collection_id < 1) {
            throw new \InvalidArgumentException('invalid value for "$collection_id" when calling CollectionsApi.privateCollectionCategoriesAdd, must be bigger than or equal to 1.');
        }

        // verify the required parameter 'categories' is set
        if ($categories === null || (is_array($categories) && count($categories) === 0)) {
            throw new \InvalidArgumentException(
                'Missing the required parameter $categories when calling privateCollectionCategoriesAdd'
            );
        }

        $resourcePath = '/account/collections/{collection_id}/categories';
        $formParams = [];
        $queryParams = [];
        $headerParams = [];
        $httpBody = '';
        $multipart = false;


        // path params
        if ($collection_id !== null) {
            $resourcePath = str_replace(
                '{' . 'collection_id' . '}',
                ObjectSerializer::toPathValue($collection_id),
                $resourcePath
            );
        }

        // body params
        $_tempBody = null;
        if (isset($categories)) {
            $_tempBody = $categories;
        }

        if ($multipart) {
            $headers = $this->headerSelector->selectHeadersForMultipart(
                ['application/json']
            );
        } else {
            $headers = $this->headerSelector->selectHeaders(
                ['application/json'],
                []
            );
        }

        // for model (json/xml)
        if (isset($_tempBody)) {
            // $_tempBody is the method argument, if present
            $httpBody = $_tempBody;
            
            if($headers['Content-Type'] === 'application/json') {
                // \stdClass has no __toString(), so we should encode it manually
                if ($httpBody instanceof \stdClass) {
                    $httpBody = \GuzzleHttp\json_encode($httpBody);
                }
                // array has no __toString(), so we should encode it manually
                if(is_array($httpBody)) {
                    $httpBody = \GuzzleHttp\json_encode(ObjectSerializer::sanitizeForSerialization($httpBody));
                }
            }
        } elseif (count($formParams) > 0) {
            if ($multipart) {
                $multipartContents = [];
                foreach ($formParams as $formParamName => $formParamValue) {
                    $multipartContents[] = [
                        'name' => $formParamName,
                        'contents' => $formParamValue
                    ];
                }
                // for HTTP post (form)
                $httpBody = new MultipartStream($multipartContents);

            } elseif ($headers['Content-Type'] === 'application/json') {
                $httpBody = \GuzzleHttp\json_encode($formParams);

            } else {
                // for HTTP post (form)
                $httpBody = \GuzzleHttp\Psr7\Query::build($formParams);
            }
        }

        // this endpoint requires OAuth (access token)
        if ($this->config->getAccessToken() !== null) {
            $headers['Authorization'] = 'Bearer ' . $this->config->getAccessToken();
        }

        $defaultHeaders = [];
        if ($this->config->getUserAgent()) {
            $defaultHeaders['User-Agent'] = $this->config->getUserAgent();
        }

        $headers = array_merge(
            $defaultHeaders,
            $headerParams,
            $headers
        );

        $query = \GuzzleHttp\Psr7\Query::build($queryParams);
        return new Request(
            'POST',
            $this->config->getHost() . $resourcePath . ($query ? "?{$query}" : ''),
            $headers,
            $httpBody
        );
    }

    /**
     * Operation privateCollectionCategoriesList
     *
     * List collection categories
     *
     * @param  int $collection_id Collection unique identifier (required)
     *
     * @throws \Swagger\Client\ApiException on non-2xx response
     * @throws \InvalidArgumentException
     * @return \Swagger\Client\Model\Category[]
     */
    public function privateCollectionCategoriesList($collection_id)
    {
        list($response) = $this->privateCollectionCategoriesListWithHttpInfo($collection_id);
        return $response;
    }

    /**
     * Operation privateCollectionCategoriesListWithHttpInfo
     *
     * List collection categories
     *
     * @param  int $collection_id Collection unique identifier (required)
     *
     * @throws \Swagger\Client\ApiException on non-2xx response
     * @throws \InvalidArgumentException
     * @return array of \Swagger\Client\Model\Category[], HTTP status code, HTTP response headers (array of strings)
     */
    public function privateCollectionCategoriesListWithHttpInfo($collection_id)
    {
        $returnType = '\Swagger\Client\Model\Category[]';
        $request = $this->privateCollectionCategoriesListRequest($collection_id);

        try {
            $options = $this->createHttpClientOption();
            try {
                $response = $this->client->send($request, $options);
            } catch (RequestException $e) {
                throw new ApiException(
                    "[{$e->getCode()}] {$e->getMessage()}",
                    $e->getCode(),
                    $e->getResponse() ? $e->getResponse()->getHeaders() : null,
                    $e->getResponse() ? $e->getResponse()->getBody()->getContents() : null
                );
            }

            $statusCode = $response->getStatusCode();

            if ($statusCode < 200 || $statusCode > 299) {
                throw new ApiException(
                    sprintf(
                        '[%d] Error connecting to the API (%s)',
                        $statusCode,
                        $request->getUri()
                    ),
                    $statusCode,
                    $response->getHeaders(),
                    $response->getBody()
                );
            }

            $responseBody = $response->getBody();
            if ($returnType === '\SplFileObject') {
                $content = $responseBody; //stream goes to serializer
            } else {
                $content = $responseBody->getContents();
                if ($returnType !== 'string') {
                    $content = json_decode($content);
                }
            }

            return [
                ObjectSerializer::deserialize($content, $returnType, []),
                $response->getStatusCode(),
                $response->getHeaders()
            ];

        } catch (ApiException $e) {
            switch ($e->getCode()) {
                case 200:
                    $data = ObjectSerializer::deserialize(
                        $e->getResponseBody(),
                        '\Swagger\Client\Model\Category[]',
                        $e->getResponseHeaders()
                    );
                    $e->setResponseObject($data);
                    break;
                case 403:
                    $data = ObjectSerializer::deserialize(
                        $e->getResponseBody(),
                        '\Swagger\Client\Model\ErrorMessage',
                        $e->getResponseHeaders()
                    );
                    $e->setResponseObject($data);
                    break;
            }
            throw $e;
        }
    }

    /**
     * Operation privateCollectionCategoriesListAsync
     *
     * List collection categories
     *
     * @param  int $collection_id Collection unique identifier (required)
     *
     * @throws \InvalidArgumentException
     * @return \GuzzleHttp\Promise\PromiseInterface
     */
    public function privateCollectionCategoriesListAsync($collection_id)
    {
        return $this->privateCollectionCategoriesListAsyncWithHttpInfo($collection_id)
            ->then(
                function ($response) {
                    return $response[0];
                }
            );
    }

    /**
     * Operation privateCollectionCategoriesListAsyncWithHttpInfo
     *
     * List collection categories
     *
     * @param  int $collection_id Collection unique identifier (required)
     *
     * @throws \InvalidArgumentException
     * @return \GuzzleHttp\Promise\PromiseInterface
     */
    public function privateCollectionCategoriesListAsyncWithHttpInfo($collection_id)
    {
        $returnType = '\Swagger\Client\Model\Category[]';
        $request = $this->privateCollectionCategoriesListRequest($collection_id);

        return $this->client
            ->sendAsync($request, $this->createHttpClientOption())
            ->then(
                function ($response) use ($returnType) {
                    $responseBody = $response->getBody();
                    if ($returnType === '\SplFileObject') {
                        $content = $responseBody; //stream goes to serializer
                    } else {
                        $content = $responseBody->getContents();
                        if ($returnType !== 'string') {
                            $content = json_decode($content);
                        }
                    }

                    return [
                        ObjectSerializer::deserialize($content, $returnType, []),
                        $response->getStatusCode(),
                        $response->getHeaders()
                    ];
                },
                function ($exception) {
                    $response = $exception->getResponse();
                    $statusCode = $response->getStatusCode();
                    throw new ApiException(
                        sprintf(
                            '[%d] Error connecting to the API (%s)',
                            $statusCode,
                            $exception->getRequest()->getUri()
                        ),
                        $statusCode,
                        $response->getHeaders(),
                        $response->getBody()
                    );
                }
            );
    }

    /**
     * Create request for operation 'privateCollectionCategoriesList'
     *
     * @param  int $collection_id Collection unique identifier (required)
     *
     * @throws \InvalidArgumentException
     * @return \GuzzleHttp\Psr7\Request
     */
    protected function privateCollectionCategoriesListRequest($collection_id)
    {
        // verify the required parameter 'collection_id' is set
        if ($collection_id === null || (is_array($collection_id) && count($collection_id) === 0)) {
            throw new \InvalidArgumentException(
                'Missing the required parameter $collection_id when calling privateCollectionCategoriesList'
            );
        }
        if ($collection_id < 1) {
            throw new \InvalidArgumentException('invalid value for "$collection_id" when calling CollectionsApi.privateCollectionCategoriesList, must be bigger than or equal to 1.');
        }


        $resourcePath = '/account/collections/{collection_id}/categories';
        $formParams = [];
        $queryParams = [];
        $headerParams = [];
        $httpBody = '';
        $multipart = false;


        // path params
        if ($collection_id !== null) {
            $resourcePath = str_replace(
                '{' . 'collection_id' . '}',
                ObjectSerializer::toPathValue($collection_id),
                $resourcePath
            );
        }

        // body params
        $_tempBody = null;

        if ($multipart) {
            $headers = $this->headerSelector->selectHeadersForMultipart(
                ['application/json']
            );
        } else {
            $headers = $this->headerSelector->selectHeaders(
                ['application/json'],
                []
            );
        }

        // for model (json/xml)
        if (isset($_tempBody)) {
            // $_tempBody is the method argument, if present
            $httpBody = $_tempBody;
            
            if($headers['Content-Type'] === 'application/json') {
                // \stdClass has no __toString(), so we should encode it manually
                if ($httpBody instanceof \stdClass) {
                    $httpBody = \GuzzleHttp\json_encode($httpBody);
                }
                // array has no __toString(), so we should encode it manually
                if(is_array($httpBody)) {
                    $httpBody = \GuzzleHttp\json_encode(ObjectSerializer::sanitizeForSerialization($httpBody));
                }
            }
        } elseif (count($formParams) > 0) {
            if ($multipart) {
                $multipartContents = [];
                foreach ($formParams as $formParamName => $formParamValue) {
                    $multipartContents[] = [
                        'name' => $formParamName,
                        'contents' => $formParamValue
                    ];
                }
                // for HTTP post (form)
                $httpBody = new MultipartStream($multipartContents);

            } elseif ($headers['Content-Type'] === 'application/json') {
                $httpBody = \GuzzleHttp\json_encode($formParams);

            } else {
                // for HTTP post (form)
                $httpBody = \GuzzleHttp\Psr7\Query::build($formParams);
            }
        }

        // this endpoint requires OAuth (access token)
        if ($this->config->getAccessToken() !== null) {
            $headers['Authorization'] = 'Bearer ' . $this->config->getAccessToken();
        }

        $defaultHeaders = [];
        if ($this->config->getUserAgent()) {
            $defaultHeaders['User-Agent'] = $this->config->getUserAgent();
        }

        $headers = array_merge(
            $defaultHeaders,
            $headerParams,
            $headers
        );

        $query = \GuzzleHttp\Psr7\Query::build($queryParams);
        return new Request(
            'GET',
            $this->config->getHost() . $resourcePath . ($query ? "?{$query}" : ''),
            $headers,
            $httpBody
        );
    }

    /**
     * Operation privateCollectionCategoriesReplace
     *
     * Replace collection categories
     *
     * @param  int $collection_id Collection unique identifier (required)
     * @param  \Swagger\Client\Model\CategoriesCreator $categories Categories list (required)
     *
     * @throws \Swagger\Client\ApiException on non-2xx response
     * @throws \InvalidArgumentException
     * @return void
     */
    public function privateCollectionCategoriesReplace($collection_id, $categories)
    {
        $this->privateCollectionCategoriesReplaceWithHttpInfo($collection_id, $categories);
    }

    /**
     * Operation privateCollectionCategoriesReplaceWithHttpInfo
     *
     * Replace collection categories
     *
     * @param  int $collection_id Collection unique identifier (required)
     * @param  \Swagger\Client\Model\CategoriesCreator $categories Categories list (required)
     *
     * @throws \Swagger\Client\ApiException on non-2xx response
     * @throws \InvalidArgumentException
     * @return array of null, HTTP status code, HTTP response headers (array of strings)
     */
    public function privateCollectionCategoriesReplaceWithHttpInfo($collection_id, $categories)
    {
        $returnType = '';
        $request = $this->privateCollectionCategoriesReplaceRequest($collection_id, $categories);

        try {
            $options = $this->createHttpClientOption();
            try {
                $response = $this->client->send($request, $options);
            } catch (RequestException $e) {
                throw new ApiException(
                    "[{$e->getCode()}] {$e->getMessage()}",
                    $e->getCode(),
                    $e->getResponse() ? $e->getResponse()->getHeaders() : null,
                    $e->getResponse() ? $e->getResponse()->getBody()->getContents() : null
                );
            }

            $statusCode = $response->getStatusCode();

            if ($statusCode < 200 || $statusCode > 299) {
                throw new ApiException(
                    sprintf(
                        '[%d] Error connecting to the API (%s)',
                        $statusCode,
                        $request->getUri()
                    ),
                    $statusCode,
                    $response->getHeaders(),
                    $response->getBody()
                );
            }

            return [null, $statusCode, $response->getHeaders()];

        } catch (ApiException $e) {
            switch ($e->getCode()) {
                case 403:
                    $data = ObjectSerializer::deserialize(
                        $e->getResponseBody(),
                        '\Swagger\Client\Model\ErrorMessage',
                        $e->getResponseHeaders()
                    );
                    $e->setResponseObject($data);
                    break;
            }
            throw $e;
        }
    }

    /**
     * Operation privateCollectionCategoriesReplaceAsync
     *
     * Replace collection categories
     *
     * @param  int $collection_id Collection unique identifier (required)
     * @param  \Swagger\Client\Model\CategoriesCreator $categories Categories list (required)
     *
     * @throws \InvalidArgumentException
     * @return \GuzzleHttp\Promise\PromiseInterface
     */
    public function privateCollectionCategoriesReplaceAsync($collection_id, $categories)
    {
        return $this->privateCollectionCategoriesReplaceAsyncWithHttpInfo($collection_id, $categories)
            ->then(
                function ($response) {
                    return $response[0];
                }
            );
    }

    /**
     * Operation privateCollectionCategoriesReplaceAsyncWithHttpInfo
     *
     * Replace collection categories
     *
     * @param  int $collection_id Collection unique identifier (required)
     * @param  \Swagger\Client\Model\CategoriesCreator $categories Categories list (required)
     *
     * @throws \InvalidArgumentException
     * @return \GuzzleHttp\Promise\PromiseInterface
     */
    public function privateCollectionCategoriesReplaceAsyncWithHttpInfo($collection_id, $categories)
    {
        $returnType = '';
        $request = $this->privateCollectionCategoriesReplaceRequest($collection_id, $categories);

        return $this->client
            ->sendAsync($request, $this->createHttpClientOption())
            ->then(
                function ($response) use ($returnType) {
                    return [null, $response->getStatusCode(), $response->getHeaders()];
                },
                function ($exception) {
                    $response = $exception->getResponse();
                    $statusCode = $response->getStatusCode();
                    throw new ApiException(
                        sprintf(
                            '[%d] Error connecting to the API (%s)',
                            $statusCode,
                            $exception->getRequest()->getUri()
                        ),
                        $statusCode,
                        $response->getHeaders(),
                        $response->getBody()
                    );
                }
            );
    }

    /**
     * Create request for operation 'privateCollectionCategoriesReplace'
     *
     * @param  int $collection_id Collection unique identifier (required)
     * @param  \Swagger\Client\Model\CategoriesCreator $categories Categories list (required)
     *
     * @throws \InvalidArgumentException
     * @return \GuzzleHttp\Psr7\Request
     */
    protected function privateCollectionCategoriesReplaceRequest($collection_id, $categories)
    {
        // verify the required parameter 'collection_id' is set
        if ($collection_id === null || (is_array($collection_id) && count($collection_id) === 0)) {
            throw new \InvalidArgumentException(
                'Missing the required parameter $collection_id when calling privateCollectionCategoriesReplace'
            );
        }
        if ($collection_id < 1) {
            throw new \InvalidArgumentException('invalid value for "$collection_id" when calling CollectionsApi.privateCollectionCategoriesReplace, must be bigger than or equal to 1.');
        }

        // verify the required parameter 'categories' is set
        if ($categories === null || (is_array($categories) && count($categories) === 0)) {
            throw new \InvalidArgumentException(
                'Missing the required parameter $categories when calling privateCollectionCategoriesReplace'
            );
        }

        $resourcePath = '/account/collections/{collection_id}/categories';
        $formParams = [];
        $queryParams = [];
        $headerParams = [];
        $httpBody = '';
        $multipart = false;


        // path params
        if ($collection_id !== null) {
            $resourcePath = str_replace(
                '{' . 'collection_id' . '}',
                ObjectSerializer::toPathValue($collection_id),
                $resourcePath
            );
        }

        // body params
        $_tempBody = null;
        if (isset($categories)) {
            $_tempBody = $categories;
        }

        if ($multipart) {
            $headers = $this->headerSelector->selectHeadersForMultipart(
                ['application/json']
            );
        } else {
            $headers = $this->headerSelector->selectHeaders(
                ['application/json'],
                []
            );
        }

        // for model (json/xml)
        if (isset($_tempBody)) {
            // $_tempBody is the method argument, if present
            $httpBody = $_tempBody;
            
            if($headers['Content-Type'] === 'application/json') {
                // \stdClass has no __toString(), so we should encode it manually
                if ($httpBody instanceof \stdClass) {
                    $httpBody = \GuzzleHttp\json_encode($httpBody);
                }
                // array has no __toString(), so we should encode it manually
                if(is_array($httpBody)) {
                    $httpBody = \GuzzleHttp\json_encode(ObjectSerializer::sanitizeForSerialization($httpBody));
                }
            }
        } elseif (count($formParams) > 0) {
            if ($multipart) {
                $multipartContents = [];
                foreach ($formParams as $formParamName => $formParamValue) {
                    $multipartContents[] = [
                        'name' => $formParamName,
                        'contents' => $formParamValue
                    ];
                }
                // for HTTP post (form)
                $httpBody = new MultipartStream($multipartContents);

            } elseif ($headers['Content-Type'] === 'application/json') {
                $httpBody = \GuzzleHttp\json_encode($formParams);

            } else {
                // for HTTP post (form)
                $httpBody = \GuzzleHttp\Psr7\Query::build($formParams);
            }
        }

        // this endpoint requires OAuth (access token)
        if ($this->config->getAccessToken() !== null) {
            $headers['Authorization'] = 'Bearer ' . $this->config->getAccessToken();
        }

        $defaultHeaders = [];
        if ($this->config->getUserAgent()) {
            $defaultHeaders['User-Agent'] = $this->config->getUserAgent();
        }

        $headers = array_merge(
            $defaultHeaders,
            $headerParams,
            $headers
        );

        $query = \GuzzleHttp\Psr7\Query::build($queryParams);
        return new Request(
            'PUT',
            $this->config->getHost() . $resourcePath . ($query ? "?{$query}" : ''),
            $headers,
            $httpBody
        );
    }

    /**
     * Operation privateCollectionCategoryDelete
     *
     * Delete collection category
     *
     * @param  int $collection_id Collection unique identifier (required)
     * @param  int $category_id Collection category unique identifier (required)
     *
     * @throws \Swagger\Client\ApiException on non-2xx response
     * @throws \InvalidArgumentException
     * @return void
     */
    public function privateCollectionCategoryDelete($collection_id, $category_id)
    {
        $this->privateCollectionCategoryDeleteWithHttpInfo($collection_id, $category_id);
    }

    /**
     * Operation privateCollectionCategoryDeleteWithHttpInfo
     *
     * Delete collection category
     *
     * @param  int $collection_id Collection unique identifier (required)
     * @param  int $category_id Collection category unique identifier (required)
     *
     * @throws \Swagger\Client\ApiException on non-2xx response
     * @throws \InvalidArgumentException
     * @return array of null, HTTP status code, HTTP response headers (array of strings)
     */
    public function privateCollectionCategoryDeleteWithHttpInfo($collection_id, $category_id)
    {
        $returnType = '';
        $request = $this->privateCollectionCategoryDeleteRequest($collection_id, $category_id);

        try {
            $options = $this->createHttpClientOption();
            try {
                $response = $this->client->send($request, $options);
            } catch (RequestException $e) {
                throw new ApiException(
                    "[{$e->getCode()}] {$e->getMessage()}",
                    $e->getCode(),
                    $e->getResponse() ? $e->getResponse()->getHeaders() : null,
                    $e->getResponse() ? $e->getResponse()->getBody()->getContents() : null
                );
            }

            $statusCode = $response->getStatusCode();

            if ($statusCode < 200 || $statusCode > 299) {
                throw new ApiException(
                    sprintf(
                        '[%d] Error connecting to the API (%s)',
                        $statusCode,
                        $request->getUri()
                    ),
                    $statusCode,
                    $response->getHeaders(),
                    $response->getBody()
                );
            }

            return [null, $statusCode, $response->getHeaders()];

        } catch (ApiException $e) {
            switch ($e->getCode()) {
                case 403:
                    $data = ObjectSerializer::deserialize(
                        $e->getResponseBody(),
                        '\Swagger\Client\Model\ErrorMessage',
                        $e->getResponseHeaders()
                    );
                    $e->setResponseObject($data);
                    break;
            }
            throw $e;
        }
    }

    /**
     * Operation privateCollectionCategoryDeleteAsync
     *
     * Delete collection category
     *
     * @param  int $collection_id Collection unique identifier (required)
     * @param  int $category_id Collection category unique identifier (required)
     *
     * @throws \InvalidArgumentException
     * @return \GuzzleHttp\Promise\PromiseInterface
     */
    public function privateCollectionCategoryDeleteAsync($collection_id, $category_id)
    {
        return $this->privateCollectionCategoryDeleteAsyncWithHttpInfo($collection_id, $category_id)
            ->then(
                function ($response) {
                    return $response[0];
                }
            );
    }

    /**
     * Operation privateCollectionCategoryDeleteAsyncWithHttpInfo
     *
     * Delete collection category
     *
     * @param  int $collection_id Collection unique identifier (required)
     * @param  int $category_id Collection category unique identifier (required)
     *
     * @throws \InvalidArgumentException
     * @return \GuzzleHttp\Promise\PromiseInterface
     */
    public function privateCollectionCategoryDeleteAsyncWithHttpInfo($collection_id, $category_id)
    {
        $returnType = '';
        $request = $this->privateCollectionCategoryDeleteRequest($collection_id, $category_id);

        return $this->client
            ->sendAsync($request, $this->createHttpClientOption())
            ->then(
                function ($response) use ($returnType) {
                    return [null, $response->getStatusCode(), $response->getHeaders()];
                },
                function ($exception) {
                    $response = $exception->getResponse();
                    $statusCode = $response->getStatusCode();
                    throw new ApiException(
                        sprintf(
                            '[%d] Error connecting to the API (%s)',
                            $statusCode,
                            $exception->getRequest()->getUri()
                        ),
                        $statusCode,
                        $response->getHeaders(),
                        $response->getBody()
                    );
                }
            );
    }

    /**
     * Create request for operation 'privateCollectionCategoryDelete'
     *
     * @param  int $collection_id Collection unique identifier (required)
     * @param  int $category_id Collection category unique identifier (required)
     *
     * @throws \InvalidArgumentException
     * @return \GuzzleHttp\Psr7\Request
     */
    protected function privateCollectionCategoryDeleteRequest($collection_id, $category_id)
    {
        // verify the required parameter 'collection_id' is set
        if ($collection_id === null || (is_array($collection_id) && count($collection_id) === 0)) {
            throw new \InvalidArgumentException(
                'Missing the required parameter $collection_id when calling privateCollectionCategoryDelete'
            );
        }
        if ($collection_id < 1) {
            throw new \InvalidArgumentException('invalid value for "$collection_id" when calling CollectionsApi.privateCollectionCategoryDelete, must be bigger than or equal to 1.');
        }

        // verify the required parameter 'category_id' is set
        if ($category_id === null || (is_array($category_id) && count($category_id) === 0)) {
            throw new \InvalidArgumentException(
                'Missing the required parameter $category_id when calling privateCollectionCategoryDelete'
            );
        }
        if ($category_id < 1) {
            throw new \InvalidArgumentException('invalid value for "$category_id" when calling CollectionsApi.privateCollectionCategoryDelete, must be bigger than or equal to 1.');
        }


        $resourcePath = '/account/collections/{collection_id}/categories/{category_id}';
        $formParams = [];
        $queryParams = [];
        $headerParams = [];
        $httpBody = '';
        $multipart = false;


        // path params
        if ($collection_id !== null) {
            $resourcePath = str_replace(
                '{' . 'collection_id' . '}',
                ObjectSerializer::toPathValue($collection_id),
                $resourcePath
            );
        }
        // path params
        if ($category_id !== null) {
            $resourcePath = str_replace(
                '{' . 'category_id' . '}',
                ObjectSerializer::toPathValue($category_id),
                $resourcePath
            );
        }

        // body params
        $_tempBody = null;

        if ($multipart) {
            $headers = $this->headerSelector->selectHeadersForMultipart(
                ['application/json']
            );
        } else {
            $headers = $this->headerSelector->selectHeaders(
                ['application/json'],
                []
            );
        }

        // for model (json/xml)
        if (isset($_tempBody)) {
            // $_tempBody is the method argument, if present
            $httpBody = $_tempBody;
            
            if($headers['Content-Type'] === 'application/json') {
                // \stdClass has no __toString(), so we should encode it manually
                if ($httpBody instanceof \stdClass) {
                    $httpBody = \GuzzleHttp\json_encode($httpBody);
                }
                // array has no __toString(), so we should encode it manually
                if(is_array($httpBody)) {
                    $httpBody = \GuzzleHttp\json_encode(ObjectSerializer::sanitizeForSerialization($httpBody));
                }
            }
        } elseif (count($formParams) > 0) {
            if ($multipart) {
                $multipartContents = [];
                foreach ($formParams as $formParamName => $formParamValue) {
                    $multipartContents[] = [
                        'name' => $formParamName,
                        'contents' => $formParamValue
                    ];
                }
                // for HTTP post (form)
                $httpBody = new MultipartStream($multipartContents);

            } elseif ($headers['Content-Type'] === 'application/json') {
                $httpBody = \GuzzleHttp\json_encode($formParams);

            } else {
                // for HTTP post (form)
                $httpBody = \GuzzleHttp\Psr7\Query::build($formParams);
            }
        }

        // this endpoint requires OAuth (access token)
        if ($this->config->getAccessToken() !== null) {
            $headers['Authorization'] = 'Bearer ' . $this->config->getAccessToken();
        }

        $defaultHeaders = [];
        if ($this->config->getUserAgent()) {
            $defaultHeaders['User-Agent'] = $this->config->getUserAgent();
        }

        $headers = array_merge(
            $defaultHeaders,
            $headerParams,
            $headers
        );

        $query = \GuzzleHttp\Psr7\Query::build($queryParams);
        return new Request(
            'DELETE',
            $this->config->getHost() . $resourcePath . ($query ? "?{$query}" : ''),
            $headers,
            $httpBody
        );
    }

    /**
     * Operation privateCollectionCreate
     *
     * Create collection
     *
     * @param  \Swagger\Client\Model\CollectionCreate $collection Collection description (required)
     *
     * @throws \Swagger\Client\ApiException on non-2xx response
     * @throws \InvalidArgumentException
     * @return \Swagger\Client\Model\LocationWarnings
     */
    public function privateCollectionCreate($collection)
    {
        list($response) = $this->privateCollectionCreateWithHttpInfo($collection);
        return $response;
    }

    /**
     * Operation privateCollectionCreateWithHttpInfo
     *
     * Create collection
     *
     * @param  \Swagger\Client\Model\CollectionCreate $collection Collection description (required)
     *
     * @throws \Swagger\Client\ApiException on non-2xx response
     * @throws \InvalidArgumentException
     * @return array of \Swagger\Client\Model\LocationWarnings, HTTP status code, HTTP response headers (array of strings)
     */
    public function privateCollectionCreateWithHttpInfo($collection)
    {
        $returnType = '\Swagger\Client\Model\LocationWarnings';
        $request = $this->privateCollectionCreateRequest($collection);

        try {
            $options = $this->createHttpClientOption();
            try {
                $response = $this->client->send($request, $options);
            } catch (RequestException $e) {
                throw new ApiException(
                    "[{$e->getCode()}] {$e->getMessage()}",
                    $e->getCode(),
                    $e->getResponse() ? $e->getResponse()->getHeaders() : null,
                    $e->getResponse() ? $e->getResponse()->getBody()->getContents() : null
                );
            }

            $statusCode = $response->getStatusCode();

            if ($statusCode < 200 || $statusCode > 299) {
                throw new ApiException(
                    sprintf(
                        '[%d] Error connecting to the API (%s)',
                        $statusCode,
                        $request->getUri()
                    ),
                    $statusCode,
                    $response->getHeaders(),
                    $response->getBody()
                );
            }

            $responseBody = $response->getBody();
            if ($returnType === '\SplFileObject') {
                $content = $responseBody; //stream goes to serializer
            } else {
                $content = $responseBody->getContents();
                if ($returnType !== 'string') {
                    $content = json_decode($content);
                }
            }

            return [
                ObjectSerializer::deserialize($content, $returnType, []),
                $response->getStatusCode(),
                $response->getHeaders()
            ];

        } catch (ApiException $e) {
            switch ($e->getCode()) {
                case 201:
                    $data = ObjectSerializer::deserialize(
                        $e->getResponseBody(),
                        '\Swagger\Client\Model\LocationWarnings',
                        $e->getResponseHeaders()
                    );
                    $e->setResponseObject($data);
                    break;
                case 403:
                    $data = ObjectSerializer::deserialize(
                        $e->getResponseBody(),
                        '\Swagger\Client\Model\ErrorMessage',
                        $e->getResponseHeaders()
                    );
                    $e->setResponseObject($data);
                    break;
            }
            throw $e;
        }
    }

    /**
     * Operation privateCollectionCreateAsync
     *
     * Create collection
     *
     * @param  \Swagger\Client\Model\CollectionCreate $collection Collection description (required)
     *
     * @throws \InvalidArgumentException
     * @return \GuzzleHttp\Promise\PromiseInterface
     */
    public function privateCollectionCreateAsync($collection)
    {
        return $this->privateCollectionCreateAsyncWithHttpInfo($collection)
            ->then(
                function ($response) {
                    return $response[0];
                }
            );
    }

    /**
     * Operation privateCollectionCreateAsyncWithHttpInfo
     *
     * Create collection
     *
     * @param  \Swagger\Client\Model\CollectionCreate $collection Collection description (required)
     *
     * @throws \InvalidArgumentException
     * @return \GuzzleHttp\Promise\PromiseInterface
     */
    public function privateCollectionCreateAsyncWithHttpInfo($collection)
    {
        $returnType = '\Swagger\Client\Model\LocationWarnings';
        $request = $this->privateCollectionCreateRequest($collection);

        return $this->client
            ->sendAsync($request, $this->createHttpClientOption())
            ->then(
                function ($response) use ($returnType) {
                    $responseBody = $response->getBody();
                    if ($returnType === '\SplFileObject') {
                        $content = $responseBody; //stream goes to serializer
                    } else {
                        $content = $responseBody->getContents();
                        if ($returnType !== 'string') {
                            $content = json_decode($content);
                        }
                    }

                    return [
                        ObjectSerializer::deserialize($content, $returnType, []),
                        $response->getStatusCode(),
                        $response->getHeaders()
                    ];
                },
                function ($exception) {
                    $response = $exception->getResponse();
                    $statusCode = $response->getStatusCode();
                    throw new ApiException(
                        sprintf(
                            '[%d] Error connecting to the API (%s)',
                            $statusCode,
                            $exception->getRequest()->getUri()
                        ),
                        $statusCode,
                        $response->getHeaders(),
                        $response->getBody()
                    );
                }
            );
    }

    /**
     * Create request for operation 'privateCollectionCreate'
     *
     * @param  \Swagger\Client\Model\CollectionCreate $collection Collection description (required)
     *
     * @throws \InvalidArgumentException
     * @return \GuzzleHttp\Psr7\Request
     */
    protected function privateCollectionCreateRequest($collection)
    {
        // verify the required parameter 'collection' is set
        if ($collection === null || (is_array($collection) && count($collection) === 0)) {
            throw new \InvalidArgumentException(
                'Missing the required parameter $collection when calling privateCollectionCreate'
            );
        }

        $resourcePath = '/account/collections';
        $formParams = [];
        $queryParams = [];
        $headerParams = [];
        $httpBody = '';
        $multipart = false;



        // body params
        $_tempBody = null;
        if (isset($collection)) {
            $_tempBody = $collection;
        }

        if ($multipart) {
            $headers = $this->headerSelector->selectHeadersForMultipart(
                ['application/json']
            );
        } else {
            $headers = $this->headerSelector->selectHeaders(
                ['application/json'],
                []
            );
        }

        // for model (json/xml)
        if (isset($_tempBody)) {
            // $_tempBody is the method argument, if present
            $httpBody = $_tempBody;
            
            if($headers['Content-Type'] === 'application/json') {
                // \stdClass has no __toString(), so we should encode it manually
                if ($httpBody instanceof \stdClass) {
                    $httpBody = \GuzzleHttp\json_encode($httpBody);
                }
                // array has no __toString(), so we should encode it manually
                if(is_array($httpBody)) {
                    $httpBody = \GuzzleHttp\json_encode(ObjectSerializer::sanitizeForSerialization($httpBody));
                }
            }
        } elseif (count($formParams) > 0) {
            if ($multipart) {
                $multipartContents = [];
                foreach ($formParams as $formParamName => $formParamValue) {
                    $multipartContents[] = [
                        'name' => $formParamName,
                        'contents' => $formParamValue
                    ];
                }
                // for HTTP post (form)
                $httpBody = new MultipartStream($multipartContents);

            } elseif ($headers['Content-Type'] === 'application/json') {
                $httpBody = \GuzzleHttp\json_encode($formParams);

            } else {
                // for HTTP post (form)
                $httpBody = \GuzzleHttp\Psr7\Query::build($formParams);
            }
        }

        // this endpoint requires OAuth (access token)
        if ($this->config->getAccessToken() !== null) {
            $headers['Authorization'] = 'Bearer ' . $this->config->getAccessToken();
        }

        $defaultHeaders = [];
        if ($this->config->getUserAgent()) {
            $defaultHeaders['User-Agent'] = $this->config->getUserAgent();
        }

        $headers = array_merge(
            $defaultHeaders,
            $headerParams,
            $headers
        );

        $query = \GuzzleHttp\Psr7\Query::build($queryParams);
        return new Request(
            'POST',
            $this->config->getHost() . $resourcePath . ($query ? "?{$query}" : ''),
            $headers,
            $httpBody
        );
    }

    /**
     * Operation privateCollectionDelete
     *
     * Delete collection
     *
     * @param  int $collection_id Collection Unique identifier (required)
     *
     * @throws \Swagger\Client\ApiException on non-2xx response
     * @throws \InvalidArgumentException
     * @return void
     */
    public function privateCollectionDelete($collection_id)
    {
        $this->privateCollectionDeleteWithHttpInfo($collection_id);
    }

    /**
     * Operation privateCollectionDeleteWithHttpInfo
     *
     * Delete collection
     *
     * @param  int $collection_id Collection Unique identifier (required)
     *
     * @throws \Swagger\Client\ApiException on non-2xx response
     * @throws \InvalidArgumentException
     * @return array of null, HTTP status code, HTTP response headers (array of strings)
     */
    public function privateCollectionDeleteWithHttpInfo($collection_id)
    {
        $returnType = '';
        $request = $this->privateCollectionDeleteRequest($collection_id);

        try {
            $options = $this->createHttpClientOption();
            try {
                $response = $this->client->send($request, $options);
            } catch (RequestException $e) {
                throw new ApiException(
                    "[{$e->getCode()}] {$e->getMessage()}",
                    $e->getCode(),
                    $e->getResponse() ? $e->getResponse()->getHeaders() : null,
                    $e->getResponse() ? $e->getResponse()->getBody()->getContents() : null
                );
            }

            $statusCode = $response->getStatusCode();

            if ($statusCode < 200 || $statusCode > 299) {
                throw new ApiException(
                    sprintf(
                        '[%d] Error connecting to the API (%s)',
                        $statusCode,
                        $request->getUri()
                    ),
                    $statusCode,
                    $response->getHeaders(),
                    $response->getBody()
                );
            }

            return [null, $statusCode, $response->getHeaders()];

        } catch (ApiException $e) {
            switch ($e->getCode()) {
                case 403:
                    $data = ObjectSerializer::deserialize(
                        $e->getResponseBody(),
                        '\Swagger\Client\Model\ErrorMessage',
                        $e->getResponseHeaders()
                    );
                    $e->setResponseObject($data);
                    break;
            }
            throw $e;
        }
    }

    /**
     * Operation privateCollectionDeleteAsync
     *
     * Delete collection
     *
     * @param  int $collection_id Collection Unique identifier (required)
     *
     * @throws \InvalidArgumentException
     * @return \GuzzleHttp\Promise\PromiseInterface
     */
    public function privateCollectionDeleteAsync($collection_id)
    {
        return $this->privateCollectionDeleteAsyncWithHttpInfo($collection_id)
            ->then(
                function ($response) {
                    return $response[0];
                }
            );
    }

    /**
     * Operation privateCollectionDeleteAsyncWithHttpInfo
     *
     * Delete collection
     *
     * @param  int $collection_id Collection Unique identifier (required)
     *
     * @throws \InvalidArgumentException
     * @return \GuzzleHttp\Promise\PromiseInterface
     */
    public function privateCollectionDeleteAsyncWithHttpInfo($collection_id)
    {
        $returnType = '';
        $request = $this->privateCollectionDeleteRequest($collection_id);

        return $this->client
            ->sendAsync($request, $this->createHttpClientOption())
            ->then(
                function ($response) use ($returnType) {
                    return [null, $response->getStatusCode(), $response->getHeaders()];
                },
                function ($exception) {
                    $response = $exception->getResponse();
                    $statusCode = $response->getStatusCode();
                    throw new ApiException(
                        sprintf(
                            '[%d] Error connecting to the API (%s)',
                            $statusCode,
                            $exception->getRequest()->getUri()
                        ),
                        $statusCode,
                        $response->getHeaders(),
                        $response->getBody()
                    );
                }
            );
    }

    /**
     * Create request for operation 'privateCollectionDelete'
     *
     * @param  int $collection_id Collection Unique identifier (required)
     *
     * @throws \InvalidArgumentException
     * @return \GuzzleHttp\Psr7\Request
     */
    protected function privateCollectionDeleteRequest($collection_id)
    {
        // verify the required parameter 'collection_id' is set
        if ($collection_id === null || (is_array($collection_id) && count($collection_id) === 0)) {
            throw new \InvalidArgumentException(
                'Missing the required parameter $collection_id when calling privateCollectionDelete'
            );
        }
        if ($collection_id < 1) {
            throw new \InvalidArgumentException('invalid value for "$collection_id" when calling CollectionsApi.privateCollectionDelete, must be bigger than or equal to 1.');
        }


        $resourcePath = '/account/collections/{collection_id}';
        $formParams = [];
        $queryParams = [];
        $headerParams = [];
        $httpBody = '';
        $multipart = false;


        // path params
        if ($collection_id !== null) {
            $resourcePath = str_replace(
                '{' . 'collection_id' . '}',
                ObjectSerializer::toPathValue($collection_id),
                $resourcePath
            );
        }

        // body params
        $_tempBody = null;

        if ($multipart) {
            $headers = $this->headerSelector->selectHeadersForMultipart(
                ['application/json']
            );
        } else {
            $headers = $this->headerSelector->selectHeaders(
                ['application/json'],
                []
            );
        }

        // for model (json/xml)
        if (isset($_tempBody)) {
            // $_tempBody is the method argument, if present
            $httpBody = $_tempBody;
            
            if($headers['Content-Type'] === 'application/json') {
                // \stdClass has no __toString(), so we should encode it manually
                if ($httpBody instanceof \stdClass) {
                    $httpBody = \GuzzleHttp\json_encode($httpBody);
                }
                // array has no __toString(), so we should encode it manually
                if(is_array($httpBody)) {
                    $httpBody = \GuzzleHttp\json_encode(ObjectSerializer::sanitizeForSerialization($httpBody));
                }
            }
        } elseif (count($formParams) > 0) {
            if ($multipart) {
                $multipartContents = [];
                foreach ($formParams as $formParamName => $formParamValue) {
                    $multipartContents[] = [
                        'name' => $formParamName,
                        'contents' => $formParamValue
                    ];
                }
                // for HTTP post (form)
                $httpBody = new MultipartStream($multipartContents);

            } elseif ($headers['Content-Type'] === 'application/json') {
                $httpBody = \GuzzleHttp\json_encode($formParams);

            } else {
                // for HTTP post (form)
                $httpBody = \GuzzleHttp\Psr7\Query::build($formParams);
            }
        }

        // this endpoint requires OAuth (access token)
        if ($this->config->getAccessToken() !== null) {
            $headers['Authorization'] = 'Bearer ' . $this->config->getAccessToken();
        }

        $defaultHeaders = [];
        if ($this->config->getUserAgent()) {
            $defaultHeaders['User-Agent'] = $this->config->getUserAgent();
        }

        $headers = array_merge(
            $defaultHeaders,
            $headerParams,
            $headers
        );

        $query = \GuzzleHttp\Psr7\Query::build($queryParams);
        return new Request(
            'DELETE',
            $this->config->getHost() . $resourcePath . ($query ? "?{$query}" : ''),
            $headers,
            $httpBody
        );
    }

    /**
     * Operation privateCollectionDetails
     *
     * Collection details
     *
     * @param  int $collection_id Collection Unique identifier (required)
     *
     * @throws \Swagger\Client\ApiException on non-2xx response
     * @throws \InvalidArgumentException
     * @return \Swagger\Client\Model\CollectionCompletePrivate
     */
    public function privateCollectionDetails($collection_id)
    {
        list($response) = $this->privateCollectionDetailsWithHttpInfo($collection_id);
        return $response;
    }

    /**
     * Operation privateCollectionDetailsWithHttpInfo
     *
     * Collection details
     *
     * @param  int $collection_id Collection Unique identifier (required)
     *
     * @throws \Swagger\Client\ApiException on non-2xx response
     * @throws \InvalidArgumentException
     * @return array of \Swagger\Client\Model\CollectionCompletePrivate, HTTP status code, HTTP response headers (array of strings)
     */
    public function privateCollectionDetailsWithHttpInfo($collection_id)
    {
        $returnType = '\Swagger\Client\Model\CollectionCompletePrivate';
        $request = $this->privateCollectionDetailsRequest($collection_id);

        try {
            $options = $this->createHttpClientOption();
            try {
                $response = $this->client->send($request, $options);
            } catch (RequestException $e) {
                throw new ApiException(
                    "[{$e->getCode()}] {$e->getMessage()}",
                    $e->getCode(),
                    $e->getResponse() ? $e->getResponse()->getHeaders() : null,
                    $e->getResponse() ? $e->getResponse()->getBody()->getContents() : null
                );
            }

            $statusCode = $response->getStatusCode();

            if ($statusCode < 200 || $statusCode > 299) {
                throw new ApiException(
                    sprintf(
                        '[%d] Error connecting to the API (%s)',
                        $statusCode,
                        $request->getUri()
                    ),
                    $statusCode,
                    $response->getHeaders(),
                    $response->getBody()
                );
            }

            $responseBody = $response->getBody();
            if ($returnType === '\SplFileObject') {
                $content = $responseBody; //stream goes to serializer
            } else {
                $content = $responseBody->getContents();
                if ($returnType !== 'string') {
                    $content = json_decode($content);
                }
            }

            return [
                ObjectSerializer::deserialize($content, $returnType, []),
                $response->getStatusCode(),
                $response->getHeaders()
            ];

        } catch (ApiException $e) {
            switch ($e->getCode()) {
                case 200:
                    $data = ObjectSerializer::deserialize(
                        $e->getResponseBody(),
                        '\Swagger\Client\Model\CollectionCompletePrivate',
                        $e->getResponseHeaders()
                    );
                    $e->setResponseObject($data);
                    break;
            }
            throw $e;
        }
    }

    /**
     * Operation privateCollectionDetailsAsync
     *
     * Collection details
     *
     * @param  int $collection_id Collection Unique identifier (required)
     *
     * @throws \InvalidArgumentException
     * @return \GuzzleHttp\Promise\PromiseInterface
     */
    public function privateCollectionDetailsAsync($collection_id)
    {
        return $this->privateCollectionDetailsAsyncWithHttpInfo($collection_id)
            ->then(
                function ($response) {
                    return $response[0];
                }
            );
    }

    /**
     * Operation privateCollectionDetailsAsyncWithHttpInfo
     *
     * Collection details
     *
     * @param  int $collection_id Collection Unique identifier (required)
     *
     * @throws \InvalidArgumentException
     * @return \GuzzleHttp\Promise\PromiseInterface
     */
    public function privateCollectionDetailsAsyncWithHttpInfo($collection_id)
    {
        $returnType = '\Swagger\Client\Model\CollectionCompletePrivate';
        $request = $this->privateCollectionDetailsRequest($collection_id);

        return $this->client
            ->sendAsync($request, $this->createHttpClientOption())
            ->then(
                function ($response) use ($returnType) {
                    $responseBody = $response->getBody();
                    if ($returnType === '\SplFileObject') {
                        $content = $responseBody; //stream goes to serializer
                    } else {
                        $content = $responseBody->getContents();
                        if ($returnType !== 'string') {
                            $content = json_decode($content);
                        }
                    }

                    return [
                        ObjectSerializer::deserialize($content, $returnType, []),
                        $response->getStatusCode(),
                        $response->getHeaders()
                    ];
                },
                function ($exception) {
                    $response = $exception->getResponse();
                    $statusCode = $response->getStatusCode();
                    throw new ApiException(
                        sprintf(
                            '[%d] Error connecting to the API (%s)',
                            $statusCode,
                            $exception->getRequest()->getUri()
                        ),
                        $statusCode,
                        $response->getHeaders(),
                        $response->getBody()
                    );
                }
            );
    }

    /**
     * Create request for operation 'privateCollectionDetails'
     *
     * @param  int $collection_id Collection Unique identifier (required)
     *
     * @throws \InvalidArgumentException
     * @return \GuzzleHttp\Psr7\Request
     */
    protected function privateCollectionDetailsRequest($collection_id)
    {
        // verify the required parameter 'collection_id' is set
        if ($collection_id === null || (is_array($collection_id) && count($collection_id) === 0)) {
            throw new \InvalidArgumentException(
                'Missing the required parameter $collection_id when calling privateCollectionDetails'
            );
        }
        if ($collection_id < 1) {
            throw new \InvalidArgumentException('invalid value for "$collection_id" when calling CollectionsApi.privateCollectionDetails, must be bigger than or equal to 1.');
        }


        $resourcePath = '/account/collections/{collection_id}';
        $formParams = [];
        $queryParams = [];
        $headerParams = [];
        $httpBody = '';
        $multipart = false;


        // path params
        if ($collection_id !== null) {
            $resourcePath = str_replace(
                '{' . 'collection_id' . '}',
                ObjectSerializer::toPathValue($collection_id),
                $resourcePath
            );
        }

        // body params
        $_tempBody = null;

        if ($multipart) {
            $headers = $this->headerSelector->selectHeadersForMultipart(
                ['application/json']
            );
        } else {
            $headers = $this->headerSelector->selectHeaders(
                ['application/json'],
                []
            );
        }

        // for model (json/xml)
        if (isset($_tempBody)) {
            // $_tempBody is the method argument, if present
            $httpBody = $_tempBody;
            
            if($headers['Content-Type'] === 'application/json') {
                // \stdClass has no __toString(), so we should encode it manually
                if ($httpBody instanceof \stdClass) {
                    $httpBody = \GuzzleHttp\json_encode($httpBody);
                }
                // array has no __toString(), so we should encode it manually
                if(is_array($httpBody)) {
                    $httpBody = \GuzzleHttp\json_encode(ObjectSerializer::sanitizeForSerialization($httpBody));
                }
            }
        } elseif (count($formParams) > 0) {
            if ($multipart) {
                $multipartContents = [];
                foreach ($formParams as $formParamName => $formParamValue) {
                    $multipartContents[] = [
                        'name' => $formParamName,
                        'contents' => $formParamValue
                    ];
                }
                // for HTTP post (form)
                $httpBody = new MultipartStream($multipartContents);

            } elseif ($headers['Content-Type'] === 'application/json') {
                $httpBody = \GuzzleHttp\json_encode($formParams);

            } else {
                // for HTTP post (form)
                $httpBody = \GuzzleHttp\Psr7\Query::build($formParams);
            }
        }

        // this endpoint requires OAuth (access token)
        if ($this->config->getAccessToken() !== null) {
            $headers['Authorization'] = 'Bearer ' . $this->config->getAccessToken();
        }

        $defaultHeaders = [];
        if ($this->config->getUserAgent()) {
            $defaultHeaders['User-Agent'] = $this->config->getUserAgent();
        }

        $headers = array_merge(
            $defaultHeaders,
            $headerParams,
            $headers
        );

        $query = \GuzzleHttp\Psr7\Query::build($queryParams);
        return new Request(
            'GET',
            $this->config->getHost() . $resourcePath . ($query ? "?{$query}" : ''),
            $headers,
            $httpBody
        );
    }

    /**
     * Operation privateCollectionPrivateLinkCreate
     *
     * Create collection private link
     *
     * @param  int $collection_id Collection unique identifier (required)
     * @param  \Swagger\Client\Model\CollectionPrivateLinkCreator $private_link private_link (optional)
     *
     * @throws \Swagger\Client\ApiException on non-2xx response
     * @throws \InvalidArgumentException
     * @return \Swagger\Client\Model\PrivateLinkResponse
     */
    public function privateCollectionPrivateLinkCreate($collection_id, $private_link = null)
    {
        list($response) = $this->privateCollectionPrivateLinkCreateWithHttpInfo($collection_id, $private_link);
        return $response;
    }

    /**
     * Operation privateCollectionPrivateLinkCreateWithHttpInfo
     *
     * Create collection private link
     *
     * @param  int $collection_id Collection unique identifier (required)
     * @param  \Swagger\Client\Model\CollectionPrivateLinkCreator $private_link (optional)
     *
     * @throws \Swagger\Client\ApiException on non-2xx response
     * @throws \InvalidArgumentException
     * @return array of \Swagger\Client\Model\PrivateLinkResponse, HTTP status code, HTTP response headers (array of strings)
     */
    public function privateCollectionPrivateLinkCreateWithHttpInfo($collection_id, $private_link = null)
    {
        $returnType = '\Swagger\Client\Model\PrivateLinkResponse';
        $request = $this->privateCollectionPrivateLinkCreateRequest($collection_id, $private_link);

        try {
            $options = $this->createHttpClientOption();
            try {
                $response = $this->client->send($request, $options);
            } catch (RequestException $e) {
                throw new ApiException(
                    "[{$e->getCode()}] {$e->getMessage()}",
                    $e->getCode(),
                    $e->getResponse() ? $e->getResponse()->getHeaders() : null,
                    $e->getResponse() ? $e->getResponse()->getBody()->getContents() : null
                );
            }

            $statusCode = $response->getStatusCode();

            if ($statusCode < 200 || $statusCode > 299) {
                throw new ApiException(
                    sprintf(
                        '[%d] Error connecting to the API (%s)',
                        $statusCode,
                        $request->getUri()
                    ),
                    $statusCode,
                    $response->getHeaders(),
                    $response->getBody()
                );
            }

            $responseBody = $response->getBody();
            if ($returnType === '\SplFileObject') {
                $content = $responseBody; //stream goes to serializer
            } else {
                $content = $responseBody->getContents();
                if ($returnType !== 'string') {
                    $content = json_decode($content);
                }
            }

            return [
                ObjectSerializer::deserialize($content, $returnType, []),
                $response->getStatusCode(),
                $response->getHeaders()
            ];

        } catch (ApiException $e) {
            switch ($e->getCode()) {
                case 201:
                    $data = ObjectSerializer::deserialize(
                        $e->getResponseBody(),
                        '\Swagger\Client\Model\PrivateLinkResponse',
                        $e->getResponseHeaders()
                    );
                    $e->setResponseObject($data);
                    break;
                case 403:
                    $data = ObjectSerializer::deserialize(
                        $e->getResponseBody(),
                        '\Swagger\Client\Model\ErrorMessage',
                        $e->getResponseHeaders()
                    );
                    $e->setResponseObject($data);
                    break;
            }
            throw $e;
        }
    }

    /**
     * Operation privateCollectionPrivateLinkCreateAsync
     *
     * Create collection private link
     *
     * @param  int $collection_id Collection unique identifier (required)
     * @param  \Swagger\Client\Model\CollectionPrivateLinkCreator $private_link (optional)
     *
     * @throws \InvalidArgumentException
     * @return \GuzzleHttp\Promise\PromiseInterface
     */
    public function privateCollectionPrivateLinkCreateAsync($collection_id, $private_link = null)
    {
        return $this->privateCollectionPrivateLinkCreateAsyncWithHttpInfo($collection_id, $private_link)
            ->then(
                function ($response) {
                    return $response[0];
                }
            );
    }

    /**
     * Operation privateCollectionPrivateLinkCreateAsyncWithHttpInfo
     *
     * Create collection private link
     *
     * @param  int $collection_id Collection unique identifier (required)
     * @param  \Swagger\Client\Model\CollectionPrivateLinkCreator $private_link (optional)
     *
     * @throws \InvalidArgumentException
     * @return \GuzzleHttp\Promise\PromiseInterface
     */
    public function privateCollectionPrivateLinkCreateAsyncWithHttpInfo($collection_id, $private_link = null)
    {
        $returnType = '\Swagger\Client\Model\PrivateLinkResponse';
        $request = $this->privateCollectionPrivateLinkCreateRequest($collection_id, $private_link);

        return $this->client
            ->sendAsync($request, $this->createHttpClientOption())
            ->then(
                function ($response) use ($returnType) {
                    $responseBody = $response->getBody();
                    if ($returnType === '\SplFileObject') {
                        $content = $responseBody; //stream goes to serializer
                    } else {
                        $content = $responseBody->getContents();
                        if ($returnType !== 'string') {
                            $content = json_decode($content);
                        }
                    }

                    return [
                        ObjectSerializer::deserialize($content, $returnType, []),
                        $response->getStatusCode(),
                        $response->getHeaders()
                    ];
                },
                function ($exception) {
                    $response = $exception->getResponse();
                    $statusCode = $response->getStatusCode();
                    throw new ApiException(
                        sprintf(
                            '[%d] Error connecting to the API (%s)',
                            $statusCode,
                            $exception->getRequest()->getUri()
                        ),
                        $statusCode,
                        $response->getHeaders(),
                        $response->getBody()
                    );
                }
            );
    }

    /**
     * Create request for operation 'privateCollectionPrivateLinkCreate'
     *
     * @param  int $collection_id Collection unique identifier (required)
     * @param  \Swagger\Client\Model\CollectionPrivateLinkCreator $private_link (optional)
     *
     * @throws \InvalidArgumentException
     * @return \GuzzleHttp\Psr7\Request
     */
    protected function privateCollectionPrivateLinkCreateRequest($collection_id, $private_link = null)
    {
        // verify the required parameter 'collection_id' is set
        if ($collection_id === null || (is_array($collection_id) && count($collection_id) === 0)) {
            throw new \InvalidArgumentException(
                'Missing the required parameter $collection_id when calling privateCollectionPrivateLinkCreate'
            );
        }
        if ($collection_id < 1) {
            throw new \InvalidArgumentException('invalid value for "$collection_id" when calling CollectionsApi.privateCollectionPrivateLinkCreate, must be bigger than or equal to 1.');
        }


        $resourcePath = '/account/collections/{collection_id}/private_links';
        $formParams = [];
        $queryParams = [];
        $headerParams = [];
        $httpBody = '';
        $multipart = false;


        // path params
        if ($collection_id !== null) {
            $resourcePath = str_replace(
                '{' . 'collection_id' . '}',
                ObjectSerializer::toPathValue($collection_id),
                $resourcePath
            );
        }

        // body params
        $_tempBody = null;
        if (isset($private_link)) {
            $_tempBody = $private_link;
        }

        if ($multipart) {
            $headers = $this->headerSelector->selectHeadersForMultipart(
                ['application/json']
            );
        } else {
            $headers = $this->headerSelector->selectHeaders(
                ['application/json'],
                []
            );
        }

        // for model (json/xml)
        if (isset($_tempBody)) {
            // $_tempBody is the method argument, if present
            $httpBody = $_tempBody;
            
            if($headers['Content-Type'] === 'application/json') {
                // \stdClass has no __toString(), so we should encode it manually
                if ($httpBody instanceof \stdClass) {
                    $httpBody = \GuzzleHttp\json_encode($httpBody);
                }
                // array has no __toString(), so we should encode it manually
                if(is_array($httpBody)) {
                    $httpBody = \GuzzleHttp\json_encode(ObjectSerializer::sanitizeForSerialization($httpBody));
                }
            }
        } elseif (count($formParams) > 0) {
            if ($multipart) {
                $multipartContents = [];
                foreach ($formParams as $formParamName => $formParamValue) {
                    $multipartContents[] = [
                        'name' => $formParamName,
                        'contents' => $formParamValue
                    ];
                }
                // for HTTP post (form)
                $httpBody = new MultipartStream($multipartContents);

            } elseif ($headers['Content-Type'] === 'application/json') {
                $httpBody = \GuzzleHttp\json_encode($formParams);

            } else {
                // for HTTP post (form)
                $httpBody = \GuzzleHttp\Psr7\Query::build($formParams);
            }
        }

        // this endpoint requires OAuth (access token)
        if ($this->config->getAccessToken() !== null) {
            $headers['Authorization'] = 'Bearer ' . $this->config->getAccessToken();
        }

        $defaultHeaders = [];
        if ($this->config->getUserAgent()) {
            $defaultHeaders['User-Agent'] = $this->config->getUserAgent();
        }

        $headers = array_merge(
            $defaultHeaders,
            $headerParams,
            $headers
        );

        $query = \GuzzleHttp\Psr7\Query::build($queryParams);
        return new Request(
            'POST',
            $this->config->getHost() . $resourcePath . ($query ? "?{$query}" : ''),
            $headers,
            $httpBody
        );
    }

    /**
     * Operation privateCollectionPrivateLinkDelete
     *
     * Disable private link
     *
     * @param  int $collection_id Collection unique identifier (required)
     * @param  string $link_id Private link token (required)
     *
     * @throws \Swagger\Client\ApiException on non-2xx response
     * @throws \InvalidArgumentException
     * @return void
     */
    public function privateCollectionPrivateLinkDelete($collection_id, $link_id)
    {
        $this->privateCollectionPrivateLinkDeleteWithHttpInfo($collection_id, $link_id);
    }

    /**
     * Operation privateCollectionPrivateLinkDeleteWithHttpInfo
     *
     * Disable private link
     *
     * @param  int $collection_id Collection unique identifier (required)
     * @param  string $link_id Private link token (required)
     *
     * @throws \Swagger\Client\ApiException on non-2xx response
     * @throws \InvalidArgumentException
     * @return array of null, HTTP status code, HTTP response headers (array of strings)
     */
    public function privateCollectionPrivateLinkDeleteWithHttpInfo($collection_id, $link_id)
    {
        $returnType = '';
        $request = $this->privateCollectionPrivateLinkDeleteRequest($collection_id, $link_id);

        try {
            $options = $this->createHttpClientOption();
            try {
                $response = $this->client->send($request, $options);
            } catch (RequestException $e) {
                throw new ApiException(
                    "[{$e->getCode()}] {$e->getMessage()}",
                    $e->getCode(),
                    $e->getResponse() ? $e->getResponse()->getHeaders() : null,
                    $e->getResponse() ? $e->getResponse()->getBody()->getContents() : null
                );
            }

            $statusCode = $response->getStatusCode();

            if ($statusCode < 200 || $statusCode > 299) {
                throw new ApiException(
                    sprintf(
                        '[%d] Error connecting to the API (%s)',
                        $statusCode,
                        $request->getUri()
                    ),
                    $statusCode,
                    $response->getHeaders(),
                    $response->getBody()
                );
            }

            return [null, $statusCode, $response->getHeaders()];

        } catch (ApiException $e) {
            switch ($e->getCode()) {
                case 403:
                    $data = ObjectSerializer::deserialize(
                        $e->getResponseBody(),
                        '\Swagger\Client\Model\ErrorMessage',
                        $e->getResponseHeaders()
                    );
                    $e->setResponseObject($data);
                    break;
            }
            throw $e;
        }
    }

    /**
     * Operation privateCollectionPrivateLinkDeleteAsync
     *
     * Disable private link
     *
     * @param  int $collection_id Collection unique identifier (required)
     * @param  string $link_id Private link token (required)
     *
     * @throws \InvalidArgumentException
     * @return \GuzzleHttp\Promise\PromiseInterface
     */
    public function privateCollectionPrivateLinkDeleteAsync($collection_id, $link_id)
    {
        return $this->privateCollectionPrivateLinkDeleteAsyncWithHttpInfo($collection_id, $link_id)
            ->then(
                function ($response) {
                    return $response[0];
                }
            );
    }

    /**
     * Operation privateCollectionPrivateLinkDeleteAsyncWithHttpInfo
     *
     * Disable private link
     *
     * @param  int $collection_id Collection unique identifier (required)
     * @param  string $link_id Private link token (required)
     *
     * @throws \InvalidArgumentException
     * @return \GuzzleHttp\Promise\PromiseInterface
     */
    public function privateCollectionPrivateLinkDeleteAsyncWithHttpInfo($collection_id, $link_id)
    {
        $returnType = '';
        $request = $this->privateCollectionPrivateLinkDeleteRequest($collection_id, $link_id);

        return $this->client
            ->sendAsync($request, $this->createHttpClientOption())
            ->then(
                function ($response) use ($returnType) {
                    return [null, $response->getStatusCode(), $response->getHeaders()];
                },
                function ($exception) {
                    $response = $exception->getResponse();
                    $statusCode = $response->getStatusCode();
                    throw new ApiException(
                        sprintf(
                            '[%d] Error connecting to the API (%s)',
                            $statusCode,
                            $exception->getRequest()->getUri()
                        ),
                        $statusCode,
                        $response->getHeaders(),
                        $response->getBody()
                    );
                }
            );
    }

    /**
     * Create request for operation 'privateCollectionPrivateLinkDelete'
     *
     * @param  int $collection_id Collection unique identifier (required)
     * @param  string $link_id Private link token (required)
     *
     * @throws \InvalidArgumentException
     * @return \GuzzleHttp\Psr7\Request
     */
    protected function privateCollectionPrivateLinkDeleteRequest($collection_id, $link_id)
    {
        // verify the required parameter 'collection_id' is set
        if ($collection_id === null || (is_array($collection_id) && count($collection_id) === 0)) {
            throw new \InvalidArgumentException(
                'Missing the required parameter $collection_id when calling privateCollectionPrivateLinkDelete'
            );
        }
        if ($collection_id < 1) {
            throw new \InvalidArgumentException('invalid value for "$collection_id" when calling CollectionsApi.privateCollectionPrivateLinkDelete, must be bigger than or equal to 1.');
        }

        // verify the required parameter 'link_id' is set
        if ($link_id === null || (is_array($link_id) && count($link_id) === 0)) {
            throw new \InvalidArgumentException(
                'Missing the required parameter $link_id when calling privateCollectionPrivateLinkDelete'
            );
        }

        $resourcePath = '/account/collections/{collection_id}/private_links/{link_id}';
        $formParams = [];
        $queryParams = [];
        $headerParams = [];
        $httpBody = '';
        $multipart = false;


        // path params
        if ($collection_id !== null) {
            $resourcePath = str_replace(
                '{' . 'collection_id' . '}',
                ObjectSerializer::toPathValue($collection_id),
                $resourcePath
            );
        }
        // path params
        if ($link_id !== null) {
            $resourcePath = str_replace(
                '{' . 'link_id' . '}',
                ObjectSerializer::toPathValue($link_id),
                $resourcePath
            );
        }

        // body params
        $_tempBody = null;

        if ($multipart) {
            $headers = $this->headerSelector->selectHeadersForMultipart(
                ['application/json']
            );
        } else {
            $headers = $this->headerSelector->selectHeaders(
                ['application/json'],
                []
            );
        }

        // for model (json/xml)
        if (isset($_tempBody)) {
            // $_tempBody is the method argument, if present
            $httpBody = $_tempBody;
            
            if($headers['Content-Type'] === 'application/json') {
                // \stdClass has no __toString(), so we should encode it manually
                if ($httpBody instanceof \stdClass) {
                    $httpBody = \GuzzleHttp\json_encode($httpBody);
                }
                // array has no __toString(), so we should encode it manually
                if(is_array($httpBody)) {
                    $httpBody = \GuzzleHttp\json_encode(ObjectSerializer::sanitizeForSerialization($httpBody));
                }
            }
        } elseif (count($formParams) > 0) {
            if ($multipart) {
                $multipartContents = [];
                foreach ($formParams as $formParamName => $formParamValue) {
                    $multipartContents[] = [
                        'name' => $formParamName,
                        'contents' => $formParamValue
                    ];
                }
                // for HTTP post (form)
                $httpBody = new MultipartStream($multipartContents);

            } elseif ($headers['Content-Type'] === 'application/json') {
                $httpBody = \GuzzleHttp\json_encode($formParams);

            } else {
                // for HTTP post (form)
                $httpBody = \GuzzleHttp\Psr7\Query::build($formParams);
            }
        }

        // this endpoint requires OAuth (access token)
        if ($this->config->getAccessToken() !== null) {
            $headers['Authorization'] = 'Bearer ' . $this->config->getAccessToken();
        }

        $defaultHeaders = [];
        if ($this->config->getUserAgent()) {
            $defaultHeaders['User-Agent'] = $this->config->getUserAgent();
        }

        $headers = array_merge(
            $defaultHeaders,
            $headerParams,
            $headers
        );

        $query = \GuzzleHttp\Psr7\Query::build($queryParams);
        return new Request(
            'DELETE',
            $this->config->getHost() . $resourcePath . ($query ? "?{$query}" : ''),
            $headers,
            $httpBody
        );
    }

    /**
     * Operation privateCollectionPrivateLinkUpdate
     *
     * Update collection private link
     *
     * @param  int $collection_id Collection unique identifier (required)
     * @param  string $link_id Private link token (required)
     * @param  \Swagger\Client\Model\CollectionPrivateLinkCreator $private_link private_link (optional)
     *
     * @throws \Swagger\Client\ApiException on non-2xx response
     * @throws \InvalidArgumentException
     * @return void
     */
    public function privateCollectionPrivateLinkUpdate($collection_id, $link_id, $private_link = null)
    {
        $this->privateCollectionPrivateLinkUpdateWithHttpInfo($collection_id, $link_id, $private_link);
    }

    /**
     * Operation privateCollectionPrivateLinkUpdateWithHttpInfo
     *
     * Update collection private link
     *
     * @param  int $collection_id Collection unique identifier (required)
     * @param  string $link_id Private link token (required)
     * @param  \Swagger\Client\Model\CollectionPrivateLinkCreator $private_link (optional)
     *
     * @throws \Swagger\Client\ApiException on non-2xx response
     * @throws \InvalidArgumentException
     * @return array of null, HTTP status code, HTTP response headers (array of strings)
     */
    public function privateCollectionPrivateLinkUpdateWithHttpInfo($collection_id, $link_id, $private_link = null)
    {
        $returnType = '';
        $request = $this->privateCollectionPrivateLinkUpdateRequest($collection_id, $link_id, $private_link);

        try {
            $options = $this->createHttpClientOption();
            try {
                $response = $this->client->send($request, $options);
            } catch (RequestException $e) {
                throw new ApiException(
                    "[{$e->getCode()}] {$e->getMessage()}",
                    $e->getCode(),
                    $e->getResponse() ? $e->getResponse()->getHeaders() : null,
                    $e->getResponse() ? $e->getResponse()->getBody()->getContents() : null
                );
            }

            $statusCode = $response->getStatusCode();

            if ($statusCode < 200 || $statusCode > 299) {
                throw new ApiException(
                    sprintf(
                        '[%d] Error connecting to the API (%s)',
                        $statusCode,
                        $request->getUri()
                    ),
                    $statusCode,
                    $response->getHeaders(),
                    $response->getBody()
                );
            }

            return [null, $statusCode, $response->getHeaders()];

        } catch (ApiException $e) {
            switch ($e->getCode()) {
                case 403:
                    $data = ObjectSerializer::deserialize(
                        $e->getResponseBody(),
                        '\Swagger\Client\Model\ErrorMessage',
                        $e->getResponseHeaders()
                    );
                    $e->setResponseObject($data);
                    break;
            }
            throw $e;
        }
    }

    /**
     * Operation privateCollectionPrivateLinkUpdateAsync
     *
     * Update collection private link
     *
     * @param  int $collection_id Collection unique identifier (required)
     * @param  string $link_id Private link token (required)
     * @param  \Swagger\Client\Model\CollectionPrivateLinkCreator $private_link (optional)
     *
     * @throws \InvalidArgumentException
     * @return \GuzzleHttp\Promise\PromiseInterface
     */
    public function privateCollectionPrivateLinkUpdateAsync($collection_id, $link_id, $private_link = null)
    {
        return $this->privateCollectionPrivateLinkUpdateAsyncWithHttpInfo($collection_id, $link_id, $private_link)
            ->then(
                function ($response) {
                    return $response[0];
                }
            );
    }

    /**
     * Operation privateCollectionPrivateLinkUpdateAsyncWithHttpInfo
     *
     * Update collection private link
     *
     * @param  int $collection_id Collection unique identifier (required)
     * @param  string $link_id Private link token (required)
     * @param  \Swagger\Client\Model\CollectionPrivateLinkCreator $private_link (optional)
     *
     * @throws \InvalidArgumentException
     * @return \GuzzleHttp\Promise\PromiseInterface
     */
    public function privateCollectionPrivateLinkUpdateAsyncWithHttpInfo($collection_id, $link_id, $private_link = null)
    {
        $returnType = '';
        $request = $this->privateCollectionPrivateLinkUpdateRequest($collection_id, $link_id, $private_link);

        return $this->client
            ->sendAsync($request, $this->createHttpClientOption())
            ->then(
                function ($response) use ($returnType) {
                    return [null, $response->getStatusCode(), $response->getHeaders()];
                },
                function ($exception) {
                    $response = $exception->getResponse();
                    $statusCode = $response->getStatusCode();
                    throw new ApiException(
                        sprintf(
                            '[%d] Error connecting to the API (%s)',
                            $statusCode,
                            $exception->getRequest()->getUri()
                        ),
                        $statusCode,
                        $response->getHeaders(),
                        $response->getBody()
                    );
                }
            );
    }

    /**
     * Create request for operation 'privateCollectionPrivateLinkUpdate'
     *
     * @param  int $collection_id Collection unique identifier (required)
     * @param  string $link_id Private link token (required)
     * @param  \Swagger\Client\Model\CollectionPrivateLinkCreator $private_link (optional)
     *
     * @throws \InvalidArgumentException
     * @return \GuzzleHttp\Psr7\Request
     */
    protected function privateCollectionPrivateLinkUpdateRequest($collection_id, $link_id, $private_link = null)
    {
        // verify the required parameter 'collection_id' is set
        if ($collection_id === null || (is_array($collection_id) && count($collection_id) === 0)) {
            throw new \InvalidArgumentException(
                'Missing the required parameter $collection_id when calling privateCollectionPrivateLinkUpdate'
            );
        }
        if ($collection_id < 1) {
            throw new \InvalidArgumentException('invalid value for "$collection_id" when calling CollectionsApi.privateCollectionPrivateLinkUpdate, must be bigger than or equal to 1.');
        }

        // verify the required parameter 'link_id' is set
        if ($link_id === null || (is_array($link_id) && count($link_id) === 0)) {
            throw new \InvalidArgumentException(
                'Missing the required parameter $link_id when calling privateCollectionPrivateLinkUpdate'
            );
        }

        $resourcePath = '/account/collections/{collection_id}/private_links/{link_id}';
        $formParams = [];
        $queryParams = [];
        $headerParams = [];
        $httpBody = '';
        $multipart = false;


        // path params
        if ($collection_id !== null) {
            $resourcePath = str_replace(
                '{' . 'collection_id' . '}',
                ObjectSerializer::toPathValue($collection_id),
                $resourcePath
            );
        }
        // path params
        if ($link_id !== null) {
            $resourcePath = str_replace(
                '{' . 'link_id' . '}',
                ObjectSerializer::toPathValue($link_id),
                $resourcePath
            );
        }

        // body params
        $_tempBody = null;
        if (isset($private_link)) {
            $_tempBody = $private_link;
        }

        if ($multipart) {
            $headers = $this->headerSelector->selectHeadersForMultipart(
                ['application/json']
            );
        } else {
            $headers = $this->headerSelector->selectHeaders(
                ['application/json'],
                []
            );
        }

        // for model (json/xml)
        if (isset($_tempBody)) {
            // $_tempBody is the method argument, if present
            $httpBody = $_tempBody;
            
            if($headers['Content-Type'] === 'application/json') {
                // \stdClass has no __toString(), so we should encode it manually
                if ($httpBody instanceof \stdClass) {
                    $httpBody = \GuzzleHttp\json_encode($httpBody);
                }
                // array has no __toString(), so we should encode it manually
                if(is_array($httpBody)) {
                    $httpBody = \GuzzleHttp\json_encode(ObjectSerializer::sanitizeForSerialization($httpBody));
                }
            }
        } elseif (count($formParams) > 0) {
            if ($multipart) {
                $multipartContents = [];
                foreach ($formParams as $formParamName => $formParamValue) {
                    $multipartContents[] = [
                        'name' => $formParamName,
                        'contents' => $formParamValue
                    ];
                }
                // for HTTP post (form)
                $httpBody = new MultipartStream($multipartContents);

            } elseif ($headers['Content-Type'] === 'application/json') {
                $httpBody = \GuzzleHttp\json_encode($formParams);

            } else {
                // for HTTP post (form)
                $httpBody = \GuzzleHttp\Psr7\Query::build($formParams);
            }
        }

        // this endpoint requires OAuth (access token)
        if ($this->config->getAccessToken() !== null) {
            $headers['Authorization'] = 'Bearer ' . $this->config->getAccessToken();
        }

        $defaultHeaders = [];
        if ($this->config->getUserAgent()) {
            $defaultHeaders['User-Agent'] = $this->config->getUserAgent();
        }

        $headers = array_merge(
            $defaultHeaders,
            $headerParams,
            $headers
        );

        $query = \GuzzleHttp\Psr7\Query::build($queryParams);
        return new Request(
            'PUT',
            $this->config->getHost() . $resourcePath . ($query ? "?{$query}" : ''),
            $headers,
            $httpBody
        );
    }

    /**
     * Operation privateCollectionPrivateLinksList
     *
     * List collection private links
     *
     * @param  int $collection_id Collection unique identifier (required)
     *
     * @throws \Swagger\Client\ApiException on non-2xx response
     * @throws \InvalidArgumentException
     * @return \Swagger\Client\Model\PrivateLink[]
     */
    public function privateCollectionPrivateLinksList($collection_id)
    {
        list($response) = $this->privateCollectionPrivateLinksListWithHttpInfo($collection_id);
        return $response;
    }

    /**
     * Operation privateCollectionPrivateLinksListWithHttpInfo
     *
     * List collection private links
     *
     * @param  int $collection_id Collection unique identifier (required)
     *
     * @throws \Swagger\Client\ApiException on non-2xx response
     * @throws \InvalidArgumentException
     * @return array of \Swagger\Client\Model\PrivateLink[], HTTP status code, HTTP response headers (array of strings)
     */
    public function privateCollectionPrivateLinksListWithHttpInfo($collection_id)
    {
        $returnType = '\Swagger\Client\Model\PrivateLink[]';
        $request = $this->privateCollectionPrivateLinksListRequest($collection_id);

        try {
            $options = $this->createHttpClientOption();
            try {
                $response = $this->client->send($request, $options);
            } catch (RequestException $e) {
                throw new ApiException(
                    "[{$e->getCode()}] {$e->getMessage()}",
                    $e->getCode(),
                    $e->getResponse() ? $e->getResponse()->getHeaders() : null,
                    $e->getResponse() ? $e->getResponse()->getBody()->getContents() : null
                );
            }

            $statusCode = $response->getStatusCode();

            if ($statusCode < 200 || $statusCode > 299) {
                throw new ApiException(
                    sprintf(
                        '[%d] Error connecting to the API (%s)',
                        $statusCode,
                        $request->getUri()
                    ),
                    $statusCode,
                    $response->getHeaders(),
                    $response->getBody()
                );
            }

            $responseBody = $response->getBody();
            if ($returnType === '\SplFileObject') {
                $content = $responseBody; //stream goes to serializer
            } else {
                $content = $responseBody->getContents();
                if ($returnType !== 'string') {
                    $content = json_decode($content);
                }
            }

            return [
                ObjectSerializer::deserialize($content, $returnType, []),
                $response->getStatusCode(),
                $response->getHeaders()
            ];

        } catch (ApiException $e) {
            switch ($e->getCode()) {
                case 200:
                    $data = ObjectSerializer::deserialize(
                        $e->getResponseBody(),
                        '\Swagger\Client\Model\PrivateLink[]',
                        $e->getResponseHeaders()
                    );
                    $e->setResponseObject($data);
                    break;
                case 403:
                    $data = ObjectSerializer::deserialize(
                        $e->getResponseBody(),
                        '\Swagger\Client\Model\ErrorMessage',
                        $e->getResponseHeaders()
                    );
                    $e->setResponseObject($data);
                    break;
            }
            throw $e;
        }
    }

    /**
     * Operation privateCollectionPrivateLinksListAsync
     *
     * List collection private links
     *
     * @param  int $collection_id Collection unique identifier (required)
     *
     * @throws \InvalidArgumentException
     * @return \GuzzleHttp\Promise\PromiseInterface
     */
    public function privateCollectionPrivateLinksListAsync($collection_id)
    {
        return $this->privateCollectionPrivateLinksListAsyncWithHttpInfo($collection_id)
            ->then(
                function ($response) {
                    return $response[0];
                }
            );
    }

    /**
     * Operation privateCollectionPrivateLinksListAsyncWithHttpInfo
     *
     * List collection private links
     *
     * @param  int $collection_id Collection unique identifier (required)
     *
     * @throws \InvalidArgumentException
     * @return \GuzzleHttp\Promise\PromiseInterface
     */
    public function privateCollectionPrivateLinksListAsyncWithHttpInfo($collection_id)
    {
        $returnType = '\Swagger\Client\Model\PrivateLink[]';
        $request = $this->privateCollectionPrivateLinksListRequest($collection_id);

        return $this->client
            ->sendAsync($request, $this->createHttpClientOption())
            ->then(
                function ($response) use ($returnType) {
                    $responseBody = $response->getBody();
                    if ($returnType === '\SplFileObject') {
                        $content = $responseBody; //stream goes to serializer
                    } else {
                        $content = $responseBody->getContents();
                        if ($returnType !== 'string') {
                            $content = json_decode($content);
                        }
                    }

                    return [
                        ObjectSerializer::deserialize($content, $returnType, []),
                        $response->getStatusCode(),
                        $response->getHeaders()
                    ];
                },
                function ($exception) {
                    $response = $exception->getResponse();
                    $statusCode = $response->getStatusCode();
                    throw new ApiException(
                        sprintf(
                            '[%d] Error connecting to the API (%s)',
                            $statusCode,
                            $exception->getRequest()->getUri()
                        ),
                        $statusCode,
                        $response->getHeaders(),
                        $response->getBody()
                    );
                }
            );
    }

    /**
     * Create request for operation 'privateCollectionPrivateLinksList'
     *
     * @param  int $collection_id Collection unique identifier (required)
     *
     * @throws \InvalidArgumentException
     * @return \GuzzleHttp\Psr7\Request
     */
    protected function privateCollectionPrivateLinksListRequest($collection_id)
    {
        // verify the required parameter 'collection_id' is set
        if ($collection_id === null || (is_array($collection_id) && count($collection_id) === 0)) {
            throw new \InvalidArgumentException(
                'Missing the required parameter $collection_id when calling privateCollectionPrivateLinksList'
            );
        }
        if ($collection_id < 1) {
            throw new \InvalidArgumentException('invalid value for "$collection_id" when calling CollectionsApi.privateCollectionPrivateLinksList, must be bigger than or equal to 1.');
        }


        $resourcePath = '/account/collections/{collection_id}/private_links';
        $formParams = [];
        $queryParams = [];
        $headerParams = [];
        $httpBody = '';
        $multipart = false;


        // path params
        if ($collection_id !== null) {
            $resourcePath = str_replace(
                '{' . 'collection_id' . '}',
                ObjectSerializer::toPathValue($collection_id),
                $resourcePath
            );
        }

        // body params
        $_tempBody = null;

        if ($multipart) {
            $headers = $this->headerSelector->selectHeadersForMultipart(
                ['application/json']
            );
        } else {
            $headers = $this->headerSelector->selectHeaders(
                ['application/json'],
                []
            );
        }

        // for model (json/xml)
        if (isset($_tempBody)) {
            // $_tempBody is the method argument, if present
            $httpBody = $_tempBody;
            
            if($headers['Content-Type'] === 'application/json') {
                // \stdClass has no __toString(), so we should encode it manually
                if ($httpBody instanceof \stdClass) {
                    $httpBody = \GuzzleHttp\json_encode($httpBody);
                }
                // array has no __toString(), so we should encode it manually
                if(is_array($httpBody)) {
                    $httpBody = \GuzzleHttp\json_encode(ObjectSerializer::sanitizeForSerialization($httpBody));
                }
            }
        } elseif (count($formParams) > 0) {
            if ($multipart) {
                $multipartContents = [];
                foreach ($formParams as $formParamName => $formParamValue) {
                    $multipartContents[] = [
                        'name' => $formParamName,
                        'contents' => $formParamValue
                    ];
                }
                // for HTTP post (form)
                $httpBody = new MultipartStream($multipartContents);

            } elseif ($headers['Content-Type'] === 'application/json') {
                $httpBody = \GuzzleHttp\json_encode($formParams);

            } else {
                // for HTTP post (form)
                $httpBody = \GuzzleHttp\Psr7\Query::build($formParams);
            }
        }

        // this endpoint requires OAuth (access token)
        if ($this->config->getAccessToken() !== null) {
            $headers['Authorization'] = 'Bearer ' . $this->config->getAccessToken();
        }

        $defaultHeaders = [];
        if ($this->config->getUserAgent()) {
            $defaultHeaders['User-Agent'] = $this->config->getUserAgent();
        }

        $headers = array_merge(
            $defaultHeaders,
            $headerParams,
            $headers
        );

        $query = \GuzzleHttp\Psr7\Query::build($queryParams);
        return new Request(
            'GET',
            $this->config->getHost() . $resourcePath . ($query ? "?{$query}" : ''),
            $headers,
            $httpBody
        );
    }

    /**
     * Operation privateCollectionPublish
     *
     * Private Collection Publish
     *
     * @param  int $collection_id Collection Unique identifier (required)
     *
     * @throws \Swagger\Client\ApiException on non-2xx response
     * @throws \InvalidArgumentException
     * @return \Swagger\Client\Model\Location
     */
    public function privateCollectionPublish($collection_id)
    {
        list($response) = $this->privateCollectionPublishWithHttpInfo($collection_id);
        return $response;
    }

    /**
     * Operation privateCollectionPublishWithHttpInfo
     *
     * Private Collection Publish
     *
     * @param  int $collection_id Collection Unique identifier (required)
     *
     * @throws \Swagger\Client\ApiException on non-2xx response
     * @throws \InvalidArgumentException
     * @return array of \Swagger\Client\Model\Location, HTTP status code, HTTP response headers (array of strings)
     */
    public function privateCollectionPublishWithHttpInfo($collection_id)
    {
        $returnType = '\Swagger\Client\Model\Location';
        $request = $this->privateCollectionPublishRequest($collection_id);

        try {
            $options = $this->createHttpClientOption();
            try {
                $response = $this->client->send($request, $options);
            } catch (RequestException $e) {
                throw new ApiException(
                    "[{$e->getCode()}] {$e->getMessage()}",
                    $e->getCode(),
                    $e->getResponse() ? $e->getResponse()->getHeaders() : null,
                    $e->getResponse() ? $e->getResponse()->getBody()->getContents() : null
                );
            }

            $statusCode = $response->getStatusCode();

            if ($statusCode < 200 || $statusCode > 299) {
                throw new ApiException(
                    sprintf(
                        '[%d] Error connecting to the API (%s)',
                        $statusCode,
                        $request->getUri()
                    ),
                    $statusCode,
                    $response->getHeaders(),
                    $response->getBody()
                );
            }

            $responseBody = $response->getBody();
            if ($returnType === '\SplFileObject') {
                $content = $responseBody; //stream goes to serializer
            } else {
                $content = $responseBody->getContents();
                if ($returnType !== 'string') {
                    $content = json_decode($content);
                }
            }

            return [
                ObjectSerializer::deserialize($content, $returnType, []),
                $response->getStatusCode(),
                $response->getHeaders()
            ];

        } catch (ApiException $e) {
            switch ($e->getCode()) {
                case 201:
                    $data = ObjectSerializer::deserialize(
                        $e->getResponseBody(),
                        '\Swagger\Client\Model\Location',
                        $e->getResponseHeaders()
                    );
                    $e->setResponseObject($data);
                    break;
                case 403:
                    $data = ObjectSerializer::deserialize(
                        $e->getResponseBody(),
                        '\Swagger\Client\Model\ErrorMessage',
                        $e->getResponseHeaders()
                    );
                    $e->setResponseObject($data);
                    break;
            }
            throw $e;
        }
    }

    /**
     * Operation privateCollectionPublishAsync
     *
     * Private Collection Publish
     *
     * @param  int $collection_id Collection Unique identifier (required)
     *
     * @throws \InvalidArgumentException
     * @return \GuzzleHttp\Promise\PromiseInterface
     */
    public function privateCollectionPublishAsync($collection_id)
    {
        return $this->privateCollectionPublishAsyncWithHttpInfo($collection_id)
            ->then(
                function ($response) {
                    return $response[0];
                }
            );
    }

    /**
     * Operation privateCollectionPublishAsyncWithHttpInfo
     *
     * Private Collection Publish
     *
     * @param  int $collection_id Collection Unique identifier (required)
     *
     * @throws \InvalidArgumentException
     * @return \GuzzleHttp\Promise\PromiseInterface
     */
    public function privateCollectionPublishAsyncWithHttpInfo($collection_id)
    {
        $returnType = '\Swagger\Client\Model\Location';
        $request = $this->privateCollectionPublishRequest($collection_id);

        return $this->client
            ->sendAsync($request, $this->createHttpClientOption())
            ->then(
                function ($response) use ($returnType) {
                    $responseBody = $response->getBody();
                    if ($returnType === '\SplFileObject') {
                        $content = $responseBody; //stream goes to serializer
                    } else {
                        $content = $responseBody->getContents();
                        if ($returnType !== 'string') {
                            $content = json_decode($content);
                        }
                    }

                    return [
                        ObjectSerializer::deserialize($content, $returnType, []),
                        $response->getStatusCode(),
                        $response->getHeaders()
                    ];
                },
                function ($exception) {
                    $response = $exception->getResponse();
                    $statusCode = $response->getStatusCode();
                    throw new ApiException(
                        sprintf(
                            '[%d] Error connecting to the API (%s)',
                            $statusCode,
                            $exception->getRequest()->getUri()
                        ),
                        $statusCode,
                        $response->getHeaders(),
                        $response->getBody()
                    );
                }
            );
    }

    /**
     * Create request for operation 'privateCollectionPublish'
     *
     * @param  int $collection_id Collection Unique identifier (required)
     *
     * @throws \InvalidArgumentException
     * @return \GuzzleHttp\Psr7\Request
     */
    protected function privateCollectionPublishRequest($collection_id)
    {
        // verify the required parameter 'collection_id' is set
        if ($collection_id === null || (is_array($collection_id) && count($collection_id) === 0)) {
            throw new \InvalidArgumentException(
                'Missing the required parameter $collection_id when calling privateCollectionPublish'
            );
        }
        if ($collection_id < 1) {
            throw new \InvalidArgumentException('invalid value for "$collection_id" when calling CollectionsApi.privateCollectionPublish, must be bigger than or equal to 1.');
        }


        $resourcePath = '/account/collections/{collection_id}/publish';
        $formParams = [];
        $queryParams = [];
        $headerParams = [];
        $httpBody = '';
        $multipart = false;


        // path params
        if ($collection_id !== null) {
            $resourcePath = str_replace(
                '{' . 'collection_id' . '}',
                ObjectSerializer::toPathValue($collection_id),
                $resourcePath
            );
        }

        // body params
        $_tempBody = null;

        if ($multipart) {
            $headers = $this->headerSelector->selectHeadersForMultipart(
                ['application/json']
            );
        } else {
            $headers = $this->headerSelector->selectHeaders(
                ['application/json'],
                []
            );
        }

        // for model (json/xml)
        if (isset($_tempBody)) {
            // $_tempBody is the method argument, if present
            $httpBody = $_tempBody;
            
            if($headers['Content-Type'] === 'application/json') {
                // \stdClass has no __toString(), so we should encode it manually
                if ($httpBody instanceof \stdClass) {
                    $httpBody = \GuzzleHttp\json_encode($httpBody);
                }
                // array has no __toString(), so we should encode it manually
                if(is_array($httpBody)) {
                    $httpBody = \GuzzleHttp\json_encode(ObjectSerializer::sanitizeForSerialization($httpBody));
                }
            }
        } elseif (count($formParams) > 0) {
            if ($multipart) {
                $multipartContents = [];
                foreach ($formParams as $formParamName => $formParamValue) {
                    $multipartContents[] = [
                        'name' => $formParamName,
                        'contents' => $formParamValue
                    ];
                }
                // for HTTP post (form)
                $httpBody = new MultipartStream($multipartContents);

            } elseif ($headers['Content-Type'] === 'application/json') {
                $httpBody = \GuzzleHttp\json_encode($formParams);

            } else {
                // for HTTP post (form)
                $httpBody = \GuzzleHttp\Psr7\Query::build($formParams);
            }
        }

        // this endpoint requires OAuth (access token)
        if ($this->config->getAccessToken() !== null) {
            $headers['Authorization'] = 'Bearer ' . $this->config->getAccessToken();
        }

        $defaultHeaders = [];
        if ($this->config->getUserAgent()) {
            $defaultHeaders['User-Agent'] = $this->config->getUserAgent();
        }

        $headers = array_merge(
            $defaultHeaders,
            $headerParams,
            $headers
        );

        $query = \GuzzleHttp\Psr7\Query::build($queryParams);
        return new Request(
            'POST',
            $this->config->getHost() . $resourcePath . ($query ? "?{$query}" : ''),
            $headers,
            $httpBody
        );
    }

    /**
     * Operation privateCollectionReserveDoi
     *
     * Private Collection Reserve DOI
     *
     * @param  int $collection_id Collection Unique identifier (required)
     *
     * @throws \Swagger\Client\ApiException on non-2xx response
     * @throws \InvalidArgumentException
     * @return \Swagger\Client\Model\CollectionDOI
     */
    public function privateCollectionReserveDoi($collection_id)
    {
        list($response) = $this->privateCollectionReserveDoiWithHttpInfo($collection_id);
        return $response;
    }

    /**
     * Operation privateCollectionReserveDoiWithHttpInfo
     *
     * Private Collection Reserve DOI
     *
     * @param  int $collection_id Collection Unique identifier (required)
     *
     * @throws \Swagger\Client\ApiException on non-2xx response
     * @throws \InvalidArgumentException
     * @return array of \Swagger\Client\Model\CollectionDOI, HTTP status code, HTTP response headers (array of strings)
     */
    public function privateCollectionReserveDoiWithHttpInfo($collection_id)
    {
        $returnType = '\Swagger\Client\Model\CollectionDOI';
        $request = $this->privateCollectionReserveDoiRequest($collection_id);

        try {
            $options = $this->createHttpClientOption();
            try {
                $response = $this->client->send($request, $options);
            } catch (RequestException $e) {
                throw new ApiException(
                    "[{$e->getCode()}] {$e->getMessage()}",
                    $e->getCode(),
                    $e->getResponse() ? $e->getResponse()->getHeaders() : null,
                    $e->getResponse() ? $e->getResponse()->getBody()->getContents() : null
                );
            }

            $statusCode = $response->getStatusCode();

            if ($statusCode < 200 || $statusCode > 299) {
                throw new ApiException(
                    sprintf(
                        '[%d] Error connecting to the API (%s)',
                        $statusCode,
                        $request->getUri()
                    ),
                    $statusCode,
                    $response->getHeaders(),
                    $response->getBody()
                );
            }

            $responseBody = $response->getBody();
            if ($returnType === '\SplFileObject') {
                $content = $responseBody; //stream goes to serializer
            } else {
                $content = $responseBody->getContents();
                if ($returnType !== 'string') {
                    $content = json_decode($content);
                }
            }

            return [
                ObjectSerializer::deserialize($content, $returnType, []),
                $response->getStatusCode(),
                $response->getHeaders()
            ];

        } catch (ApiException $e) {
            switch ($e->getCode()) {
                case 200:
                    $data = ObjectSerializer::deserialize(
                        $e->getResponseBody(),
                        '\Swagger\Client\Model\CollectionDOI',
                        $e->getResponseHeaders()
                    );
                    $e->setResponseObject($data);
                    break;
                case 403:
                    $data = ObjectSerializer::deserialize(
                        $e->getResponseBody(),
                        '\Swagger\Client\Model\ErrorMessage',
                        $e->getResponseHeaders()
                    );
                    $e->setResponseObject($data);
                    break;
            }
            throw $e;
        }
    }

    /**
     * Operation privateCollectionReserveDoiAsync
     *
     * Private Collection Reserve DOI
     *
     * @param  int $collection_id Collection Unique identifier (required)
     *
     * @throws \InvalidArgumentException
     * @return \GuzzleHttp\Promise\PromiseInterface
     */
    public function privateCollectionReserveDoiAsync($collection_id)
    {
        return $this->privateCollectionReserveDoiAsyncWithHttpInfo($collection_id)
            ->then(
                function ($response) {
                    return $response[0];
                }
            );
    }

    /**
     * Operation privateCollectionReserveDoiAsyncWithHttpInfo
     *
     * Private Collection Reserve DOI
     *
     * @param  int $collection_id Collection Unique identifier (required)
     *
     * @throws \InvalidArgumentException
     * @return \GuzzleHttp\Promise\PromiseInterface
     */
    public function privateCollectionReserveDoiAsyncWithHttpInfo($collection_id)
    {
        $returnType = '\Swagger\Client\Model\CollectionDOI';
        $request = $this->privateCollectionReserveDoiRequest($collection_id);

        return $this->client
            ->sendAsync($request, $this->createHttpClientOption())
            ->then(
                function ($response) use ($returnType) {
                    $responseBody = $response->getBody();
                    if ($returnType === '\SplFileObject') {
                        $content = $responseBody; //stream goes to serializer
                    } else {
                        $content = $responseBody->getContents();
                        if ($returnType !== 'string') {
                            $content = json_decode($content);
                        }
                    }

                    return [
                        ObjectSerializer::deserialize($content, $returnType, []),
                        $response->getStatusCode(),
                        $response->getHeaders()
                    ];
                },
                function ($exception) {
                    $response = $exception->getResponse();
                    $statusCode = $response->getStatusCode();
                    throw new ApiException(
                        sprintf(
                            '[%d] Error connecting to the API (%s)',
                            $statusCode,
                            $exception->getRequest()->getUri()
                        ),
                        $statusCode,
                        $response->getHeaders(),
                        $response->getBody()
                    );
                }
            );
    }

    /**
     * Create request for operation 'privateCollectionReserveDoi'
     *
     * @param  int $collection_id Collection Unique identifier (required)
     *
     * @throws \InvalidArgumentException
     * @return \GuzzleHttp\Psr7\Request
     */
    protected function privateCollectionReserveDoiRequest($collection_id)
    {
        // verify the required parameter 'collection_id' is set
        if ($collection_id === null || (is_array($collection_id) && count($collection_id) === 0)) {
            throw new \InvalidArgumentException(
                'Missing the required parameter $collection_id when calling privateCollectionReserveDoi'
            );
        }
        if ($collection_id < 1) {
            throw new \InvalidArgumentException('invalid value for "$collection_id" when calling CollectionsApi.privateCollectionReserveDoi, must be bigger than or equal to 1.');
        }


        $resourcePath = '/account/collections/{collection_id}/reserve_doi';
        $formParams = [];
        $queryParams = [];
        $headerParams = [];
        $httpBody = '';
        $multipart = false;


        // path params
        if ($collection_id !== null) {
            $resourcePath = str_replace(
                '{' . 'collection_id' . '}',
                ObjectSerializer::toPathValue($collection_id),
                $resourcePath
            );
        }

        // body params
        $_tempBody = null;

        if ($multipart) {
            $headers = $this->headerSelector->selectHeadersForMultipart(
                ['application/json']
            );
        } else {
            $headers = $this->headerSelector->selectHeaders(
                ['application/json'],
                []
            );
        }

        // for model (json/xml)
        if (isset($_tempBody)) {
            // $_tempBody is the method argument, if present
            $httpBody = $_tempBody;
            
            if($headers['Content-Type'] === 'application/json') {
                // \stdClass has no __toString(), so we should encode it manually
                if ($httpBody instanceof \stdClass) {
                    $httpBody = \GuzzleHttp\json_encode($httpBody);
                }
                // array has no __toString(), so we should encode it manually
                if(is_array($httpBody)) {
                    $httpBody = \GuzzleHttp\json_encode(ObjectSerializer::sanitizeForSerialization($httpBody));
                }
            }
        } elseif (count($formParams) > 0) {
            if ($multipart) {
                $multipartContents = [];
                foreach ($formParams as $formParamName => $formParamValue) {
                    $multipartContents[] = [
                        'name' => $formParamName,
                        'contents' => $formParamValue
                    ];
                }
                // for HTTP post (form)
                $httpBody = new MultipartStream($multipartContents);

            } elseif ($headers['Content-Type'] === 'application/json') {
                $httpBody = \GuzzleHttp\json_encode($formParams);

            } else {
                // for HTTP post (form)
                $httpBody = \GuzzleHttp\Psr7\Query::build($formParams);
            }
        }

        // this endpoint requires OAuth (access token)
        if ($this->config->getAccessToken() !== null) {
            $headers['Authorization'] = 'Bearer ' . $this->config->getAccessToken();
        }

        $defaultHeaders = [];
        if ($this->config->getUserAgent()) {
            $defaultHeaders['User-Agent'] = $this->config->getUserAgent();
        }

        $headers = array_merge(
            $defaultHeaders,
            $headerParams,
            $headers
        );

        $query = \GuzzleHttp\Psr7\Query::build($queryParams);
        return new Request(
            'POST',
            $this->config->getHost() . $resourcePath . ($query ? "?{$query}" : ''),
            $headers,
            $httpBody
        );
    }

    /**
     * Operation privateCollectionReserveHandle
     *
     * Private Collection Reserve Handle
     *
     * @param  int $collection_id Collection Unique identifier (required)
     *
     * @throws \Swagger\Client\ApiException on non-2xx response
     * @throws \InvalidArgumentException
     * @return \Swagger\Client\Model\CollectionHandle
     */
    public function privateCollectionReserveHandle($collection_id)
    {
        list($response) = $this->privateCollectionReserveHandleWithHttpInfo($collection_id);
        return $response;
    }

    /**
     * Operation privateCollectionReserveHandleWithHttpInfo
     *
     * Private Collection Reserve Handle
     *
     * @param  int $collection_id Collection Unique identifier (required)
     *
     * @throws \Swagger\Client\ApiException on non-2xx response
     * @throws \InvalidArgumentException
     * @return array of \Swagger\Client\Model\CollectionHandle, HTTP status code, HTTP response headers (array of strings)
     */
    public function privateCollectionReserveHandleWithHttpInfo($collection_id)
    {
        $returnType = '\Swagger\Client\Model\CollectionHandle';
        $request = $this->privateCollectionReserveHandleRequest($collection_id);

        try {
            $options = $this->createHttpClientOption();
            try {
                $response = $this->client->send($request, $options);
            } catch (RequestException $e) {
                throw new ApiException(
                    "[{$e->getCode()}] {$e->getMessage()}",
                    $e->getCode(),
                    $e->getResponse() ? $e->getResponse()->getHeaders() : null,
                    $e->getResponse() ? $e->getResponse()->getBody()->getContents() : null
                );
            }

            $statusCode = $response->getStatusCode();

            if ($statusCode < 200 || $statusCode > 299) {
                throw new ApiException(
                    sprintf(
                        '[%d] Error connecting to the API (%s)',
                        $statusCode,
                        $request->getUri()
                    ),
                    $statusCode,
                    $response->getHeaders(),
                    $response->getBody()
                );
            }

            $responseBody = $response->getBody();
            if ($returnType === '\SplFileObject') {
                $content = $responseBody; //stream goes to serializer
            } else {
                $content = $responseBody->getContents();
                if ($returnType !== 'string') {
                    $content = json_decode($content);
                }
            }

            return [
                ObjectSerializer::deserialize($content, $returnType, []),
                $response->getStatusCode(),
                $response->getHeaders()
            ];

        } catch (ApiException $e) {
            switch ($e->getCode()) {
                case 200:
                    $data = ObjectSerializer::deserialize(
                        $e->getResponseBody(),
                        '\Swagger\Client\Model\CollectionHandle',
                        $e->getResponseHeaders()
                    );
                    $e->setResponseObject($data);
                    break;
                case 403:
                    $data = ObjectSerializer::deserialize(
                        $e->getResponseBody(),
                        '\Swagger\Client\Model\ErrorMessage',
                        $e->getResponseHeaders()
                    );
                    $e->setResponseObject($data);
                    break;
            }
            throw $e;
        }
    }

    /**
     * Operation privateCollectionReserveHandleAsync
     *
     * Private Collection Reserve Handle
     *
     * @param  int $collection_id Collection Unique identifier (required)
     *
     * @throws \InvalidArgumentException
     * @return \GuzzleHttp\Promise\PromiseInterface
     */
    public function privateCollectionReserveHandleAsync($collection_id)
    {
        return $this->privateCollectionReserveHandleAsyncWithHttpInfo($collection_id)
            ->then(
                function ($response) {
                    return $response[0];
                }
            );
    }

    /**
     * Operation privateCollectionReserveHandleAsyncWithHttpInfo
     *
     * Private Collection Reserve Handle
     *
     * @param  int $collection_id Collection Unique identifier (required)
     *
     * @throws \InvalidArgumentException
     * @return \GuzzleHttp\Promise\PromiseInterface
     */
    public function privateCollectionReserveHandleAsyncWithHttpInfo($collection_id)
    {
        $returnType = '\Swagger\Client\Model\CollectionHandle';
        $request = $this->privateCollectionReserveHandleRequest($collection_id);

        return $this->client
            ->sendAsync($request, $this->createHttpClientOption())
            ->then(
                function ($response) use ($returnType) {
                    $responseBody = $response->getBody();
                    if ($returnType === '\SplFileObject') {
                        $content = $responseBody; //stream goes to serializer
                    } else {
                        $content = $responseBody->getContents();
                        if ($returnType !== 'string') {
                            $content = json_decode($content);
                        }
                    }

                    return [
                        ObjectSerializer::deserialize($content, $returnType, []),
                        $response->getStatusCode(),
                        $response->getHeaders()
                    ];
                },
                function ($exception) {
                    $response = $exception->getResponse();
                    $statusCode = $response->getStatusCode();
                    throw new ApiException(
                        sprintf(
                            '[%d] Error connecting to the API (%s)',
                            $statusCode,
                            $exception->getRequest()->getUri()
                        ),
                        $statusCode,
                        $response->getHeaders(),
                        $response->getBody()
                    );
                }
            );
    }

    /**
     * Create request for operation 'privateCollectionReserveHandle'
     *
     * @param  int $collection_id Collection Unique identifier (required)
     *
     * @throws \InvalidArgumentException
     * @return \GuzzleHttp\Psr7\Request
     */
    protected function privateCollectionReserveHandleRequest($collection_id)
    {
        // verify the required parameter 'collection_id' is set
        if ($collection_id === null || (is_array($collection_id) && count($collection_id) === 0)) {
            throw new \InvalidArgumentException(
                'Missing the required parameter $collection_id when calling privateCollectionReserveHandle'
            );
        }
        if ($collection_id < 1) {
            throw new \InvalidArgumentException('invalid value for "$collection_id" when calling CollectionsApi.privateCollectionReserveHandle, must be bigger than or equal to 1.');
        }


        $resourcePath = '/account/collections/{collection_id}/reserve_handle';
        $formParams = [];
        $queryParams = [];
        $headerParams = [];
        $httpBody = '';
        $multipart = false;


        // path params
        if ($collection_id !== null) {
            $resourcePath = str_replace(
                '{' . 'collection_id' . '}',
                ObjectSerializer::toPathValue($collection_id),
                $resourcePath
            );
        }

        // body params
        $_tempBody = null;

        if ($multipart) {
            $headers = $this->headerSelector->selectHeadersForMultipart(
                ['application/json']
            );
        } else {
            $headers = $this->headerSelector->selectHeaders(
                ['application/json'],
                []
            );
        }

        // for model (json/xml)
        if (isset($_tempBody)) {
            // $_tempBody is the method argument, if present
            $httpBody = $_tempBody;
            
            if($headers['Content-Type'] === 'application/json') {
                // \stdClass has no __toString(), so we should encode it manually
                if ($httpBody instanceof \stdClass) {
                    $httpBody = \GuzzleHttp\json_encode($httpBody);
                }
                // array has no __toString(), so we should encode it manually
                if(is_array($httpBody)) {
                    $httpBody = \GuzzleHttp\json_encode(ObjectSerializer::sanitizeForSerialization($httpBody));
                }
            }
        } elseif (count($formParams) > 0) {
            if ($multipart) {
                $multipartContents = [];
                foreach ($formParams as $formParamName => $formParamValue) {
                    $multipartContents[] = [
                        'name' => $formParamName,
                        'contents' => $formParamValue
                    ];
                }
                // for HTTP post (form)
                $httpBody = new MultipartStream($multipartContents);

            } elseif ($headers['Content-Type'] === 'application/json') {
                $httpBody = \GuzzleHttp\json_encode($formParams);

            } else {
                // for HTTP post (form)
                $httpBody = \GuzzleHttp\Psr7\Query::build($formParams);
            }
        }

        // this endpoint requires OAuth (access token)
        if ($this->config->getAccessToken() !== null) {
            $headers['Authorization'] = 'Bearer ' . $this->config->getAccessToken();
        }

        $defaultHeaders = [];
        if ($this->config->getUserAgent()) {
            $defaultHeaders['User-Agent'] = $this->config->getUserAgent();
        }

        $headers = array_merge(
            $defaultHeaders,
            $headerParams,
            $headers
        );

        $query = \GuzzleHttp\Psr7\Query::build($queryParams);
        return new Request(
            'POST',
            $this->config->getHost() . $resourcePath . ($query ? "?{$query}" : ''),
            $headers,
            $httpBody
        );
    }

    /**
     * Operation privateCollectionResource
     *
     * Private Collection Resource
     *
     * @param  int $collection_id Collection unique identifier (required)
     * @param  \Swagger\Client\Model\Resource $resource Resource data (required)
     *
     * @throws \Swagger\Client\ApiException on non-2xx response
     * @throws \InvalidArgumentException
     * @return \Swagger\Client\Model\Location
     */
    public function privateCollectionResource($collection_id, $resource)
    {
        list($response) = $this->privateCollectionResourceWithHttpInfo($collection_id, $resource);
        return $response;
    }

    /**
     * Operation privateCollectionResourceWithHttpInfo
     *
     * Private Collection Resource
     *
     * @param  int $collection_id Collection unique identifier (required)
     * @param  \Swagger\Client\Model\Resource $resource Resource data (required)
     *
     * @throws \Swagger\Client\ApiException on non-2xx response
     * @throws \InvalidArgumentException
     * @return array of \Swagger\Client\Model\Location, HTTP status code, HTTP response headers (array of strings)
     */
    public function privateCollectionResourceWithHttpInfo($collection_id, $resource)
    {
        $returnType = '\Swagger\Client\Model\Location';
        $request = $this->privateCollectionResourceRequest($collection_id, $resource);

        try {
            $options = $this->createHttpClientOption();
            try {
                $response = $this->client->send($request, $options);
            } catch (RequestException $e) {
                throw new ApiException(
                    "[{$e->getCode()}] {$e->getMessage()}",
                    $e->getCode(),
                    $e->getResponse() ? $e->getResponse()->getHeaders() : null,
                    $e->getResponse() ? $e->getResponse()->getBody()->getContents() : null
                );
            }

            $statusCode = $response->getStatusCode();

            if ($statusCode < 200 || $statusCode > 299) {
                throw new ApiException(
                    sprintf(
                        '[%d] Error connecting to the API (%s)',
                        $statusCode,
                        $request->getUri()
                    ),
                    $statusCode,
                    $response->getHeaders(),
                    $response->getBody()
                );
            }

            $responseBody = $response->getBody();
            if ($returnType === '\SplFileObject') {
                $content = $responseBody; //stream goes to serializer
            } else {
                $content = $responseBody->getContents();
                if ($returnType !== 'string') {
                    $content = json_decode($content);
                }
            }

            return [
                ObjectSerializer::deserialize($content, $returnType, []),
                $response->getStatusCode(),
                $response->getHeaders()
            ];

        } catch (ApiException $e) {
            switch ($e->getCode()) {
                case 205:
                    $data = ObjectSerializer::deserialize(
                        $e->getResponseBody(),
                        '\Swagger\Client\Model\Location',
                        $e->getResponseHeaders()
                    );
                    $e->setResponseObject($data);
                    break;
                case 403:
                    $data = ObjectSerializer::deserialize(
                        $e->getResponseBody(),
                        '\Swagger\Client\Model\ErrorMessage',
                        $e->getResponseHeaders()
                    );
                    $e->setResponseObject($data);
                    break;
            }
            throw $e;
        }
    }

    /**
     * Operation privateCollectionResourceAsync
     *
     * Private Collection Resource
     *
     * @param  int $collection_id Collection unique identifier (required)
     * @param  \Swagger\Client\Model\Resource $resource Resource data (required)
     *
     * @throws \InvalidArgumentException
     * @return \GuzzleHttp\Promise\PromiseInterface
     */
    public function privateCollectionResourceAsync($collection_id, $resource)
    {
        return $this->privateCollectionResourceAsyncWithHttpInfo($collection_id, $resource)
            ->then(
                function ($response) {
                    return $response[0];
                }
            );
    }

    /**
     * Operation privateCollectionResourceAsyncWithHttpInfo
     *
     * Private Collection Resource
     *
     * @param  int $collection_id Collection unique identifier (required)
     * @param  \Swagger\Client\Model\Resource $resource Resource data (required)
     *
     * @throws \InvalidArgumentException
     * @return \GuzzleHttp\Promise\PromiseInterface
     */
    public function privateCollectionResourceAsyncWithHttpInfo($collection_id, $resource)
    {
        $returnType = '\Swagger\Client\Model\Location';
        $request = $this->privateCollectionResourceRequest($collection_id, $resource);

        return $this->client
            ->sendAsync($request, $this->createHttpClientOption())
            ->then(
                function ($response) use ($returnType) {
                    $responseBody = $response->getBody();
                    if ($returnType === '\SplFileObject') {
                        $content = $responseBody; //stream goes to serializer
                    } else {
                        $content = $responseBody->getContents();
                        if ($returnType !== 'string') {
                            $content = json_decode($content);
                        }
                    }

                    return [
                        ObjectSerializer::deserialize($content, $returnType, []),
                        $response->getStatusCode(),
                        $response->getHeaders()
                    ];
                },
                function ($exception) {
                    $response = $exception->getResponse();
                    $statusCode = $response->getStatusCode();
                    throw new ApiException(
                        sprintf(
                            '[%d] Error connecting to the API (%s)',
                            $statusCode,
                            $exception->getRequest()->getUri()
                        ),
                        $statusCode,
                        $response->getHeaders(),
                        $response->getBody()
                    );
                }
            );
    }

    /**
     * Create request for operation 'privateCollectionResource'
     *
     * @param  int $collection_id Collection unique identifier (required)
     * @param  \Swagger\Client\Model\Resource $resource Resource data (required)
     *
     * @throws \InvalidArgumentException
     * @return \GuzzleHttp\Psr7\Request
     */
    protected function privateCollectionResourceRequest($collection_id, $resource)
    {
        // verify the required parameter 'collection_id' is set
        if ($collection_id === null || (is_array($collection_id) && count($collection_id) === 0)) {
            throw new \InvalidArgumentException(
                'Missing the required parameter $collection_id when calling privateCollectionResource'
            );
        }
        if ($collection_id < 1) {
            throw new \InvalidArgumentException('invalid value for "$collection_id" when calling CollectionsApi.privateCollectionResource, must be bigger than or equal to 1.');
        }

        // verify the required parameter 'resource' is set
        if ($resource === null || (is_array($resource) && count($resource) === 0)) {
            throw new \InvalidArgumentException(
                'Missing the required parameter $resource when calling privateCollectionResource'
            );
        }

        $resourcePath = '/account/collections/{collection_id}/resource';
        $formParams = [];
        $queryParams = [];
        $headerParams = [];
        $httpBody = '';
        $multipart = false;


        // path params
        if ($collection_id !== null) {
            $resourcePath = str_replace(
                '{' . 'collection_id' . '}',
                ObjectSerializer::toPathValue($collection_id),
                $resourcePath
            );
        }

        // body params
        $_tempBody = null;
        if (isset($resource)) {
            $_tempBody = $resource;
        }

        if ($multipart) {
            $headers = $this->headerSelector->selectHeadersForMultipart(
                ['application/json']
            );
        } else {
            $headers = $this->headerSelector->selectHeaders(
                ['application/json'],
                []
            );
        }

        // for model (json/xml)
        if (isset($_tempBody)) {
            // $_tempBody is the method argument, if present
            $httpBody = $_tempBody;
            
            if($headers['Content-Type'] === 'application/json') {
                // \stdClass has no __toString(), so we should encode it manually
                if ($httpBody instanceof \stdClass) {
                    $httpBody = \GuzzleHttp\json_encode($httpBody);
                }
                // array has no __toString(), so we should encode it manually
                if(is_array($httpBody)) {
                    $httpBody = \GuzzleHttp\json_encode(ObjectSerializer::sanitizeForSerialization($httpBody));
                }
            }
        } elseif (count($formParams) > 0) {
            if ($multipart) {
                $multipartContents = [];
                foreach ($formParams as $formParamName => $formParamValue) {
                    $multipartContents[] = [
                        'name' => $formParamName,
                        'contents' => $formParamValue
                    ];
                }
                // for HTTP post (form)
                $httpBody = new MultipartStream($multipartContents);

            } elseif ($headers['Content-Type'] === 'application/json') {
                $httpBody = \GuzzleHttp\json_encode($formParams);

            } else {
                // for HTTP post (form)
                $httpBody = \GuzzleHttp\Psr7\Query::build($formParams);
            }
        }

        // this endpoint requires OAuth (access token)
        if ($this->config->getAccessToken() !== null) {
            $headers['Authorization'] = 'Bearer ' . $this->config->getAccessToken();
        }

        $defaultHeaders = [];
        if ($this->config->getUserAgent()) {
            $defaultHeaders['User-Agent'] = $this->config->getUserAgent();
        }

        $headers = array_merge(
            $defaultHeaders,
            $headerParams,
            $headers
        );

        $query = \GuzzleHttp\Psr7\Query::build($queryParams);
        return new Request(
            'POST',
            $this->config->getHost() . $resourcePath . ($query ? "?{$query}" : ''),
            $headers,
            $httpBody
        );
    }

    /**
     * Operation privateCollectionUpdate
     *
     * Update collection
     *
     * @param  int $collection_id Collection Unique identifier (required)
     * @param  \Swagger\Client\Model\CollectionUpdate $collection Collection description (required)
     *
     * @throws \Swagger\Client\ApiException on non-2xx response
     * @throws \InvalidArgumentException
     * @return \Swagger\Client\Model\LocationWarningsUpdate
     */
    public function privateCollectionUpdate($collection_id, $collection)
    {
        list($response) = $this->privateCollectionUpdateWithHttpInfo($collection_id, $collection);
        return $response;
    }

    /**
     * Operation privateCollectionUpdateWithHttpInfo
     *
     * Update collection
     *
     * @param  int $collection_id Collection Unique identifier (required)
     * @param  \Swagger\Client\Model\CollectionUpdate $collection Collection description (required)
     *
     * @throws \Swagger\Client\ApiException on non-2xx response
     * @throws \InvalidArgumentException
     * @return array of \Swagger\Client\Model\LocationWarningsUpdate, HTTP status code, HTTP response headers (array of strings)
     */
    public function privateCollectionUpdateWithHttpInfo($collection_id, $collection)
    {
        $returnType = '\Swagger\Client\Model\LocationWarningsUpdate';
        $request = $this->privateCollectionUpdateRequest($collection_id, $collection);

        try {
            $options = $this->createHttpClientOption();
            try {
                $response = $this->client->send($request, $options);
            } catch (RequestException $e) {
                throw new ApiException(
                    "[{$e->getCode()}] {$e->getMessage()}",
                    $e->getCode(),
                    $e->getResponse() ? $e->getResponse()->getHeaders() : null,
                    $e->getResponse() ? $e->getResponse()->getBody()->getContents() : null
                );
            }

            $statusCode = $response->getStatusCode();

            if ($statusCode < 200 || $statusCode > 299) {
                throw new ApiException(
                    sprintf(
                        '[%d] Error connecting to the API (%s)',
                        $statusCode,
                        $request->getUri()
                    ),
                    $statusCode,
                    $response->getHeaders(),
                    $response->getBody()
                );
            }

            $responseBody = $response->getBody();
            if ($returnType === '\SplFileObject') {
                $content = $responseBody; //stream goes to serializer
            } else {
                $content = $responseBody->getContents();
                if ($returnType !== 'string') {
                    $content = json_decode($content);
                }
            }

            return [
                ObjectSerializer::deserialize($content, $returnType, []),
                $response->getStatusCode(),
                $response->getHeaders()
            ];

        } catch (ApiException $e) {
            switch ($e->getCode()) {
                case 205:
                    $data = ObjectSerializer::deserialize(
                        $e->getResponseBody(),
                        '\Swagger\Client\Model\LocationWarningsUpdate',
                        $e->getResponseHeaders()
                    );
                    $e->setResponseObject($data);
                    break;
                case 403:
                    $data = ObjectSerializer::deserialize(
                        $e->getResponseBody(),
                        '\Swagger\Client\Model\ErrorMessage',
                        $e->getResponseHeaders()
                    );
                    $e->setResponseObject($data);
                    break;
            }
            throw $e;
        }
    }

    /**
     * Operation privateCollectionUpdateAsync
     *
     * Update collection
     *
     * @param  int $collection_id Collection Unique identifier (required)
     * @param  \Swagger\Client\Model\CollectionUpdate $collection Collection description (required)
     *
     * @throws \InvalidArgumentException
     * @return \GuzzleHttp\Promise\PromiseInterface
     */
    public function privateCollectionUpdateAsync($collection_id, $collection)
    {
        return $this->privateCollectionUpdateAsyncWithHttpInfo($collection_id, $collection)
            ->then(
                function ($response) {
                    return $response[0];
                }
            );
    }

    /**
     * Operation privateCollectionUpdateAsyncWithHttpInfo
     *
     * Update collection
     *
     * @param  int $collection_id Collection Unique identifier (required)
     * @param  \Swagger\Client\Model\CollectionUpdate $collection Collection description (required)
     *
     * @throws \InvalidArgumentException
     * @return \GuzzleHttp\Promise\PromiseInterface
     */
    public function privateCollectionUpdateAsyncWithHttpInfo($collection_id, $collection)
    {
        $returnType = '\Swagger\Client\Model\LocationWarningsUpdate';
        $request = $this->privateCollectionUpdateRequest($collection_id, $collection);

        return $this->client
            ->sendAsync($request, $this->createHttpClientOption())
            ->then(
                function ($response) use ($returnType) {
                    $responseBody = $response->getBody();
                    if ($returnType === '\SplFileObject') {
                        $content = $responseBody; //stream goes to serializer
                    } else {
                        $content = $responseBody->getContents();
                        if ($returnType !== 'string') {
                            $content = json_decode($content);
                        }
                    }

                    return [
                        ObjectSerializer::deserialize($content, $returnType, []),
                        $response->getStatusCode(),
                        $response->getHeaders()
                    ];
                },
                function ($exception) {
                    $response = $exception->getResponse();
                    $statusCode = $response->getStatusCode();
                    throw new ApiException(
                        sprintf(
                            '[%d] Error connecting to the API (%s)',
                            $statusCode,
                            $exception->getRequest()->getUri()
                        ),
                        $statusCode,
                        $response->getHeaders(),
                        $response->getBody()
                    );
                }
            );
    }

    /**
     * Create request for operation 'privateCollectionUpdate'
     *
     * @param  int $collection_id Collection Unique identifier (required)
     * @param  \Swagger\Client\Model\CollectionUpdate $collection Collection description (required)
     *
     * @throws \InvalidArgumentException
     * @return \GuzzleHttp\Psr7\Request
     */
    protected function privateCollectionUpdateRequest($collection_id, $collection)
    {
        // verify the required parameter 'collection_id' is set
        if ($collection_id === null || (is_array($collection_id) && count($collection_id) === 0)) {
            throw new \InvalidArgumentException(
                'Missing the required parameter $collection_id when calling privateCollectionUpdate'
            );
        }
        if ($collection_id < 1) {
            throw new \InvalidArgumentException('invalid value for "$collection_id" when calling CollectionsApi.privateCollectionUpdate, must be bigger than or equal to 1.');
        }

        // verify the required parameter 'collection' is set
        if ($collection === null || (is_array($collection) && count($collection) === 0)) {
            throw new \InvalidArgumentException(
                'Missing the required parameter $collection when calling privateCollectionUpdate'
            );
        }

        $resourcePath = '/account/collections/{collection_id}';
        $formParams = [];
        $queryParams = [];
        $headerParams = [];
        $httpBody = '';
        $multipart = false;


        // path params
        if ($collection_id !== null) {
            $resourcePath = str_replace(
                '{' . 'collection_id' . '}',
                ObjectSerializer::toPathValue($collection_id),
                $resourcePath
            );
        }

        // body params
        $_tempBody = null;
        if (isset($collection)) {
            $_tempBody = $collection;
        }

        if ($multipart) {
            $headers = $this->headerSelector->selectHeadersForMultipart(
                ['application/json']
            );
        } else {
            $headers = $this->headerSelector->selectHeaders(
                ['application/json'],
                []
            );
        }

        // for model (json/xml)
        if (isset($_tempBody)) {
            // $_tempBody is the method argument, if present
            $httpBody = $_tempBody;
            
            if($headers['Content-Type'] === 'application/json') {
                // \stdClass has no __toString(), so we should encode it manually
                if ($httpBody instanceof \stdClass) {
                    $httpBody = \GuzzleHttp\json_encode($httpBody);
                }
                // array has no __toString(), so we should encode it manually
                if(is_array($httpBody)) {
                    $httpBody = \GuzzleHttp\json_encode(ObjectSerializer::sanitizeForSerialization($httpBody));
                }
            }
        } elseif (count($formParams) > 0) {
            if ($multipart) {
                $multipartContents = [];
                foreach ($formParams as $formParamName => $formParamValue) {
                    $multipartContents[] = [
                        'name' => $formParamName,
                        'contents' => $formParamValue
                    ];
                }
                // for HTTP post (form)
                $httpBody = new MultipartStream($multipartContents);

            } elseif ($headers['Content-Type'] === 'application/json') {
                $httpBody = \GuzzleHttp\json_encode($formParams);

            } else {
                // for HTTP post (form)
                $httpBody = \GuzzleHttp\Psr7\Query::build($formParams);
            }
        }

        // this endpoint requires OAuth (access token)
        if ($this->config->getAccessToken() !== null) {
            $headers['Authorization'] = 'Bearer ' . $this->config->getAccessToken();
        }

        $defaultHeaders = [];
        if ($this->config->getUserAgent()) {
            $defaultHeaders['User-Agent'] = $this->config->getUserAgent();
        }

        $headers = array_merge(
            $defaultHeaders,
            $headerParams,
            $headers
        );

        $query = \GuzzleHttp\Psr7\Query::build($queryParams);
        return new Request(
            'PUT',
            $this->config->getHost() . $resourcePath . ($query ? "?{$query}" : ''),
            $headers,
            $httpBody
        );
    }

    /**
     * Operation privateCollectionsList
     *
     * Private Collections List
     *
     * @param  int $page Page number. Used for pagination with page_size (optional)
     * @param  int $page_size The number of results included on a page. Used for pagination with page (optional, default to 10)
     * @param  int $limit Number of results included on a page. Used for pagination with query (optional)
     * @param  int $offset Where to start the listing(the offset of the first result). Used for pagination with limit (optional)
     * @param  string $order The field by which to order. Default varies by endpoint/resource. (optional, default to published_date)
     * @param  string $order_direction order_direction (optional, default to desc)
     *
     * @throws \Swagger\Client\ApiException on non-2xx response
     * @throws \InvalidArgumentException
     * @return \Swagger\Client\Model\Collection[]
     */
    public function privateCollectionsList($page = null, $page_size = '10', $limit = null, $offset = null, $order = 'published_date', $order_direction = 'desc')
    {
        list($response) = $this->privateCollectionsListWithHttpInfo($page, $page_size, $limit, $offset, $order, $order_direction);
        return $response;
    }

    /**
     * Operation privateCollectionsListWithHttpInfo
     *
     * Private Collections List
     *
     * @param  int $page Page number. Used for pagination with page_size (optional)
     * @param  int $page_size The number of results included on a page. Used for pagination with page (optional, default to 10)
     * @param  int $limit Number of results included on a page. Used for pagination with query (optional)
     * @param  int $offset Where to start the listing(the offset of the first result). Used for pagination with limit (optional)
     * @param  string $order The field by which to order. Default varies by endpoint/resource. (optional, default to published_date)
     * @param  string $order_direction (optional, default to desc)
     *
     * @throws \Swagger\Client\ApiException on non-2xx response
     * @throws \InvalidArgumentException
     * @return array of \Swagger\Client\Model\Collection[], HTTP status code, HTTP response headers (array of strings)
     */
    public function privateCollectionsListWithHttpInfo($page = null, $page_size = '10', $limit = null, $offset = null, $order = 'published_date', $order_direction = 'desc')
    {
        $returnType = '\Swagger\Client\Model\Collection[]';
        $request = $this->privateCollectionsListRequest($page, $page_size, $limit, $offset, $order, $order_direction);

        try {
            $options = $this->createHttpClientOption();
            try {
                $response = $this->client->send($request, $options);
            } catch (RequestException $e) {
                throw new ApiException(
                    "[{$e->getCode()}] {$e->getMessage()}",
                    $e->getCode(),
                    $e->getResponse() ? $e->getResponse()->getHeaders() : null,
                    $e->getResponse() ? $e->getResponse()->getBody()->getContents() : null
                );
            }

            $statusCode = $response->getStatusCode();

            if ($statusCode < 200 || $statusCode > 299) {
                throw new ApiException(
                    sprintf(
                        '[%d] Error connecting to the API (%s)',
                        $statusCode,
                        $request->getUri()
                    ),
                    $statusCode,
                    $response->getHeaders(),
                    $response->getBody()
                );
            }

            $responseBody = $response->getBody();
            if ($returnType === '\SplFileObject') {
                $content = $responseBody; //stream goes to serializer
            } else {
                $content = $responseBody->getContents();
                if ($returnType !== 'string') {
                    $content = json_decode($content);
                }
            }

            return [
                ObjectSerializer::deserialize($content, $returnType, []),
                $response->getStatusCode(),
                $response->getHeaders()
            ];

        } catch (ApiException $e) {
            switch ($e->getCode()) {
                case 200:
                    $data = ObjectSerializer::deserialize(
                        $e->getResponseBody(),
                        '\Swagger\Client\Model\Collection[]',
                        $e->getResponseHeaders()
                    );
                    $e->setResponseObject($data);
                    break;
                case 403:
                    $data = ObjectSerializer::deserialize(
                        $e->getResponseBody(),
                        '\Swagger\Client\Model\ErrorMessage',
                        $e->getResponseHeaders()
                    );
                    $e->setResponseObject($data);
                    break;
            }
            throw $e;
        }
    }

    /**
     * Operation privateCollectionsListAsync
     *
     * Private Collections List
     *
     * @param  int $page Page number. Used for pagination with page_size (optional)
     * @param  int $page_size The number of results included on a page. Used for pagination with page (optional, default to 10)
     * @param  int $limit Number of results included on a page. Used for pagination with query (optional)
     * @param  int $offset Where to start the listing(the offset of the first result). Used for pagination with limit (optional)
     * @param  string $order The field by which to order. Default varies by endpoint/resource. (optional, default to published_date)
     * @param  string $order_direction (optional, default to desc)
     *
     * @throws \InvalidArgumentException
     * @return \GuzzleHttp\Promise\PromiseInterface
     */
    public function privateCollectionsListAsync($page = null, $page_size = '10', $limit = null, $offset = null, $order = 'published_date', $order_direction = 'desc')
    {
        return $this->privateCollectionsListAsyncWithHttpInfo($page, $page_size, $limit, $offset, $order, $order_direction)
            ->then(
                function ($response) {
                    return $response[0];
                }
            );
    }

    /**
     * Operation privateCollectionsListAsyncWithHttpInfo
     *
     * Private Collections List
     *
     * @param  int $page Page number. Used for pagination with page_size (optional)
     * @param  int $page_size The number of results included on a page. Used for pagination with page (optional, default to 10)
     * @param  int $limit Number of results included on a page. Used for pagination with query (optional)
     * @param  int $offset Where to start the listing(the offset of the first result). Used for pagination with limit (optional)
     * @param  string $order The field by which to order. Default varies by endpoint/resource. (optional, default to published_date)
     * @param  string $order_direction (optional, default to desc)
     *
     * @throws \InvalidArgumentException
     * @return \GuzzleHttp\Promise\PromiseInterface
     */
    public function privateCollectionsListAsyncWithHttpInfo($page = null, $page_size = '10', $limit = null, $offset = null, $order = 'published_date', $order_direction = 'desc')
    {
        $returnType = '\Swagger\Client\Model\Collection[]';
        $request = $this->privateCollectionsListRequest($page, $page_size, $limit, $offset, $order, $order_direction);

        return $this->client
            ->sendAsync($request, $this->createHttpClientOption())
            ->then(
                function ($response) use ($returnType) {
                    $responseBody = $response->getBody();
                    if ($returnType === '\SplFileObject') {
                        $content = $responseBody; //stream goes to serializer
                    } else {
                        $content = $responseBody->getContents();
                        if ($returnType !== 'string') {
                            $content = json_decode($content);
                        }
                    }

                    return [
                        ObjectSerializer::deserialize($content, $returnType, []),
                        $response->getStatusCode(),
                        $response->getHeaders()
                    ];
                },
                function ($exception) {
                    $response = $exception->getResponse();
                    $statusCode = $response->getStatusCode();
                    throw new ApiException(
                        sprintf(
                            '[%d] Error connecting to the API (%s)',
                            $statusCode,
                            $exception->getRequest()->getUri()
                        ),
                        $statusCode,
                        $response->getHeaders(),
                        $response->getBody()
                    );
                }
            );
    }

    /**
     * Create request for operation 'privateCollectionsList'
     *
     * @param  int $page Page number. Used for pagination with page_size (optional)
     * @param  int $page_size The number of results included on a page. Used for pagination with page (optional, default to 10)
     * @param  int $limit Number of results included on a page. Used for pagination with query (optional)
     * @param  int $offset Where to start the listing(the offset of the first result). Used for pagination with limit (optional)
     * @param  string $order The field by which to order. Default varies by endpoint/resource. (optional, default to published_date)
     * @param  string $order_direction (optional, default to desc)
     *
     * @throws \InvalidArgumentException
     * @return \GuzzleHttp\Psr7\Request
     */
    protected function privateCollectionsListRequest($page = null, $page_size = '10', $limit = null, $offset = null, $order = 'published_date', $order_direction = 'desc')
    {
        if ($page !== null && $page > 5000) {
            throw new \InvalidArgumentException('invalid value for "$page" when calling CollectionsApi.privateCollectionsList, must be smaller than or equal to 5000.');
        }
        if ($page !== null && $page < 1) {
            throw new \InvalidArgumentException('invalid value for "$page" when calling CollectionsApi.privateCollectionsList, must be bigger than or equal to 1.');
        }

        if ($page_size !== null && $page_size > 1000) {
            throw new \InvalidArgumentException('invalid value for "$page_size" when calling CollectionsApi.privateCollectionsList, must be smaller than or equal to 1000.');
        }
        if ($page_size !== null && $page_size < 1) {
            throw new \InvalidArgumentException('invalid value for "$page_size" when calling CollectionsApi.privateCollectionsList, must be bigger than or equal to 1.');
        }

        if ($limit !== null && $limit > 1000) {
            throw new \InvalidArgumentException('invalid value for "$limit" when calling CollectionsApi.privateCollectionsList, must be smaller than or equal to 1000.');
        }
        if ($limit !== null && $limit < 1) {
            throw new \InvalidArgumentException('invalid value for "$limit" when calling CollectionsApi.privateCollectionsList, must be bigger than or equal to 1.');
        }

        if ($offset !== null && $offset > 5000) {
            throw new \InvalidArgumentException('invalid value for "$offset" when calling CollectionsApi.privateCollectionsList, must be smaller than or equal to 5000.');
        }
        if ($offset !== null && $offset < 0) {
            throw new \InvalidArgumentException('invalid value for "$offset" when calling CollectionsApi.privateCollectionsList, must be bigger than or equal to 0.');
        }


        $resourcePath = '/account/collections';
        $formParams = [];
        $queryParams = [];
        $headerParams = [];
        $httpBody = '';
        $multipart = false;

        // query params
        if ($page !== null) {
            $queryParams['page'] = ObjectSerializer::toQueryValue($page);
        }
        // query params
        if ($page_size !== null) {
            $queryParams['page_size'] = ObjectSerializer::toQueryValue($page_size);
        }
        // query params
        if ($limit !== null) {
            $queryParams['limit'] = ObjectSerializer::toQueryValue($limit);
        }
        // query params
        if ($offset !== null) {
            $queryParams['offset'] = ObjectSerializer::toQueryValue($offset);
        }
        // query params
        if ($order !== null) {
            $queryParams['order'] = ObjectSerializer::toQueryValue($order);
        }
        // query params
        if ($order_direction !== null) {
            $queryParams['order_direction'] = ObjectSerializer::toQueryValue($order_direction);
        }


        // body params
        $_tempBody = null;

        if ($multipart) {
            $headers = $this->headerSelector->selectHeadersForMultipart(
                ['application/json']
            );
        } else {
            $headers = $this->headerSelector->selectHeaders(
                ['application/json'],
                []
            );
        }

        // for model (json/xml)
        if (isset($_tempBody)) {
            // $_tempBody is the method argument, if present
            $httpBody = $_tempBody;
            
            if($headers['Content-Type'] === 'application/json') {
                // \stdClass has no __toString(), so we should encode it manually
                if ($httpBody instanceof \stdClass) {
                    $httpBody = \GuzzleHttp\json_encode($httpBody);
                }
                // array has no __toString(), so we should encode it manually
                if(is_array($httpBody)) {
                    $httpBody = \GuzzleHttp\json_encode(ObjectSerializer::sanitizeForSerialization($httpBody));
                }
            }
        } elseif (count($formParams) > 0) {
            if ($multipart) {
                $multipartContents = [];
                foreach ($formParams as $formParamName => $formParamValue) {
                    $multipartContents[] = [
                        'name' => $formParamName,
                        'contents' => $formParamValue
                    ];
                }
                // for HTTP post (form)
                $httpBody = new MultipartStream($multipartContents);

            } elseif ($headers['Content-Type'] === 'application/json') {
                $httpBody = \GuzzleHttp\json_encode($formParams);

            } else {
                // for HTTP post (form)
                $httpBody = \GuzzleHttp\Psr7\Query::build($formParams);
            }
        }

        // this endpoint requires OAuth (access token)
        if ($this->config->getAccessToken() !== null) {
            $headers['Authorization'] = 'Bearer ' . $this->config->getAccessToken();
        }

        $defaultHeaders = [];
        if ($this->config->getUserAgent()) {
            $defaultHeaders['User-Agent'] = $this->config->getUserAgent();
        }

        $headers = array_merge(
            $defaultHeaders,
            $headerParams,
            $headers
        );

        $query = \GuzzleHttp\Psr7\Query::build($queryParams);
        return new Request(
            'GET',
            $this->config->getHost() . $resourcePath . ($query ? "?{$query}" : ''),
            $headers,
            $httpBody
        );
    }

    /**
     * Operation privateCollectionsSearch
     *
     * Private Collections Search
     *
     * @param  \Swagger\Client\Model\PrivateCollectionSearch $search Search Parameters (required)
     *
     * @throws \Swagger\Client\ApiException on non-2xx response
     * @throws \InvalidArgumentException
     * @return \Swagger\Client\Model\Collection[]
     */
    public function privateCollectionsSearch($search)
    {
        list($response) = $this->privateCollectionsSearchWithHttpInfo($search);
        return $response;
    }

    /**
     * Operation privateCollectionsSearchWithHttpInfo
     *
     * Private Collections Search
     *
     * @param  \Swagger\Client\Model\PrivateCollectionSearch $search Search Parameters (required)
     *
     * @throws \Swagger\Client\ApiException on non-2xx response
     * @throws \InvalidArgumentException
     * @return array of \Swagger\Client\Model\Collection[], HTTP status code, HTTP response headers (array of strings)
     */
    public function privateCollectionsSearchWithHttpInfo($search)
    {
        $returnType = '\Swagger\Client\Model\Collection[]';
        $request = $this->privateCollectionsSearchRequest($search);

        try {
            $options = $this->createHttpClientOption();
            try {
                $response = $this->client->send($request, $options);
            } catch (RequestException $e) {
                throw new ApiException(
                    "[{$e->getCode()}] {$e->getMessage()}",
                    $e->getCode(),
                    $e->getResponse() ? $e->getResponse()->getHeaders() : null,
                    $e->getResponse() ? $e->getResponse()->getBody()->getContents() : null
                );
            }

            $statusCode = $response->getStatusCode();

            if ($statusCode < 200 || $statusCode > 299) {
                throw new ApiException(
                    sprintf(
                        '[%d] Error connecting to the API (%s)',
                        $statusCode,
                        $request->getUri()
                    ),
                    $statusCode,
                    $response->getHeaders(),
                    $response->getBody()
                );
            }

            $responseBody = $response->getBody();
            if ($returnType === '\SplFileObject') {
                $content = $responseBody; //stream goes to serializer
            } else {
                $content = $responseBody->getContents();
                if ($returnType !== 'string') {
                    $content = json_decode($content);
                }
            }

            return [
                ObjectSerializer::deserialize($content, $returnType, []),
                $response->getStatusCode(),
                $response->getHeaders()
            ];

        } catch (ApiException $e) {
            switch ($e->getCode()) {
                case 200:
                    $data = ObjectSerializer::deserialize(
                        $e->getResponseBody(),
                        '\Swagger\Client\Model\Collection[]',
                        $e->getResponseHeaders()
                    );
                    $e->setResponseObject($data);
                    break;
                case 403:
                    $data = ObjectSerializer::deserialize(
                        $e->getResponseBody(),
                        '\Swagger\Client\Model\ErrorMessage',
                        $e->getResponseHeaders()
                    );
                    $e->setResponseObject($data);
                    break;
            }
            throw $e;
        }
    }

    /**
     * Operation privateCollectionsSearchAsync
     *
     * Private Collections Search
     *
     * @param  \Swagger\Client\Model\PrivateCollectionSearch $search Search Parameters (required)
     *
     * @throws \InvalidArgumentException
     * @return \GuzzleHttp\Promise\PromiseInterface
     */
    public function privateCollectionsSearchAsync($search)
    {
        return $this->privateCollectionsSearchAsyncWithHttpInfo($search)
            ->then(
                function ($response) {
                    return $response[0];
                }
            );
    }

    /**
     * Operation privateCollectionsSearchAsyncWithHttpInfo
     *
     * Private Collections Search
     *
     * @param  \Swagger\Client\Model\PrivateCollectionSearch $search Search Parameters (required)
     *
     * @throws \InvalidArgumentException
     * @return \GuzzleHttp\Promise\PromiseInterface
     */
    public function privateCollectionsSearchAsyncWithHttpInfo($search)
    {
        $returnType = '\Swagger\Client\Model\Collection[]';
        $request = $this->privateCollectionsSearchRequest($search);

        return $this->client
            ->sendAsync($request, $this->createHttpClientOption())
            ->then(
                function ($response) use ($returnType) {
                    $responseBody = $response->getBody();
                    if ($returnType === '\SplFileObject') {
                        $content = $responseBody; //stream goes to serializer
                    } else {
                        $content = $responseBody->getContents();
                        if ($returnType !== 'string') {
                            $content = json_decode($content);
                        }
                    }

                    return [
                        ObjectSerializer::deserialize($content, $returnType, []),
                        $response->getStatusCode(),
                        $response->getHeaders()
                    ];
                },
                function ($exception) {
                    $response = $exception->getResponse();
                    $statusCode = $response->getStatusCode();
                    throw new ApiException(
                        sprintf(
                            '[%d] Error connecting to the API (%s)',
                            $statusCode,
                            $exception->getRequest()->getUri()
                        ),
                        $statusCode,
                        $response->getHeaders(),
                        $response->getBody()
                    );
                }
            );
    }

    /**
     * Create request for operation 'privateCollectionsSearch'
     *
     * @param  \Swagger\Client\Model\PrivateCollectionSearch $search Search Parameters (required)
     *
     * @throws \InvalidArgumentException
     * @return \GuzzleHttp\Psr7\Request
     */
    protected function privateCollectionsSearchRequest($search)
    {
        // verify the required parameter 'search' is set
        if ($search === null || (is_array($search) && count($search) === 0)) {
            throw new \InvalidArgumentException(
                'Missing the required parameter $search when calling privateCollectionsSearch'
            );
        }

        $resourcePath = '/account/collections/search';
        $formParams = [];
        $queryParams = [];
        $headerParams = [];
        $httpBody = '';
        $multipart = false;



        // body params
        $_tempBody = null;
        if (isset($search)) {
            $_tempBody = $search;
        }

        if ($multipart) {
            $headers = $this->headerSelector->selectHeadersForMultipart(
                ['application/json']
            );
        } else {
            $headers = $this->headerSelector->selectHeaders(
                ['application/json'],
                []
            );
        }

        // for model (json/xml)
        if (isset($_tempBody)) {
            // $_tempBody is the method argument, if present
            $httpBody = $_tempBody;
            
            if($headers['Content-Type'] === 'application/json') {
                // \stdClass has no __toString(), so we should encode it manually
                if ($httpBody instanceof \stdClass) {
                    $httpBody = \GuzzleHttp\json_encode($httpBody);
                }
                // array has no __toString(), so we should encode it manually
                if(is_array($httpBody)) {
                    $httpBody = \GuzzleHttp\json_encode(ObjectSerializer::sanitizeForSerialization($httpBody));
                }
            }
        } elseif (count($formParams) > 0) {
            if ($multipart) {
                $multipartContents = [];
                foreach ($formParams as $formParamName => $formParamValue) {
                    $multipartContents[] = [
                        'name' => $formParamName,
                        'contents' => $formParamValue
                    ];
                }
                // for HTTP post (form)
                $httpBody = new MultipartStream($multipartContents);

            } elseif ($headers['Content-Type'] === 'application/json') {
                $httpBody = \GuzzleHttp\json_encode($formParams);

            } else {
                // for HTTP post (form)
                $httpBody = \GuzzleHttp\Psr7\Query::build($formParams);
            }
        }

        // this endpoint requires OAuth (access token)
        if ($this->config->getAccessToken() !== null) {
            $headers['Authorization'] = 'Bearer ' . $this->config->getAccessToken();
        }

        $defaultHeaders = [];
        if ($this->config->getUserAgent()) {
            $defaultHeaders['User-Agent'] = $this->config->getUserAgent();
        }

        $headers = array_merge(
            $defaultHeaders,
            $headerParams,
            $headers
        );

        $query = \GuzzleHttp\Psr7\Query::build($queryParams);
        return new Request(
            'POST',
            $this->config->getHost() . $resourcePath . ($query ? "?{$query}" : ''),
            $headers,
            $httpBody
        );
    }

    /**
     * Create http client option
     *
     * @throws \RuntimeException on file opening failure
     * @return array of http client options
     */
    protected function createHttpClientOption()
    {
        $options = [];
        if ($this->config->getDebug()) {
            $options[RequestOptions::DEBUG] = fopen($this->config->getDebugFile(), 'a');
            if (!$options[RequestOptions::DEBUG]) {
                throw new \RuntimeException('Failed to open the debug file: ' . $this->config->getDebugFile());
            }
        }

        return $options;
    }
}
